<?php

if (!defined('EVENT_ESPRESSO_VERSION')) {
	exit('No direct script access allowed');
}

/**
 *
 * EEG_Aim_Echeck
 *
 * Extends EEG_Aim to inherit most of its behaviour, just overrides setting
 * the sensitive billing data
 *
 * @package			Event Espresso
 * @subpackage
 * @author				Mike Nelson
 *
 */
class EEG_Aim_Echeck extends EEG_Aim{
	/**
	 * Overrides parent so instead of sending credit card data, we just send bank data
	 * @param array $billing_info
	 */
	protected function _set_sensitive_billing_data( $billing_info ) {
		$this->setField( 'method', 'ECHECK' );
		$this->setField( 'bank_aba_code', $billing_info[ 'bank_routing_number' ] );
		$this->setField( 'bank_acct_num', $billing_info[ 'account_number' ] );
		$this->setField( 'bank_acct_type', $billing_info[ 'account_type' ] );
		$this->setField( 'bank_name', $billing_info[ 'bank_name' ] );
		$this->setField( 'bank_acct_name', $billing_info[ 'account_name' ] );
		$this->setField( 'echeck_type', $billing_info[ 'WEB' ] );
		
	}
	
	/**
	 * Logs the clean data only
	 * @param array $request_array
	 * @param EEI_Payment $payment
	 */
	protected function _log_clean_request($request_array,$payment){
		$keys_to_filter_out = array( 'x_bank_acct_num', 'x_bank_acct_name' );
		foreach($request_array as $index => $keyvaltogether ) {
			foreach( $keys_to_filter_out as $key ) {
				if( strpos( $keyvaltogether, $key ) === 0 ){
					//found it at the first character
					//so its one of them
					unset( $request_array[ $index ] );
				}
			}
		}
		$this->log(array('AIM eCheck Request sent:'=>$request_array),$payment);
	}
}

// End of file EEG_Aim_Echeck.php