<?php
/*
  Plugin Name: Event Espresso - Braintree Gateway (EE 4.8.23+)
  Plugin URI: https://eventespresso.com
  Description: Braintree is an on-site payment method for Event Espresso for accepting credit and debit cards and is available to event organizers in many countries. An account with Braintree is required to accept payments.

  Version: 1.0.6.p

  Author: Event Espresso
  Author URI: https://eventespresso.com
  Copyright 2015 Event Espresso (email : support@eventespresso.com)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA02110-1301USA
 *
 * ------------------------------------------------------------------------
 *
 * Event Espresso
 *
 * Event Registration and Management Plugin for WordPress
 *
 * @ package		Event Espresso
 * @ author			Event Espresso
 * @ copyright	(c) 2008-2015 Event Espresso  All Rights Reserved.
 * @ license		https://eventespresso.com/support/terms-conditions/   * see Plugin Licensing *
 * @ link			  https://eventespresso.com
 * @ version	 	EE4
 *
 * ------------------------------------------------------------------------
 */

define( 'EEA_BRAINTREE_VERSION', '1.0.6.p' );
define( 'EEA_BRAINTREE_MIN_CORE_VERSION', '4.9.26.rc.000' );
define( 'EEA_BRAINTREE_PLUGIN_FILE',  __FILE__ );
define( 'EEA_BRAINTREE_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );


// Check for required modules.
function eea_braintree_check_for_components() {
	if (
		version_compare( PHP_VERSION, '5.4.0', '<' )
		|| ! extension_loaded( 'mbstring' )
		|| ! function_exists( 'json_decode' )
		|| ! extension_loaded( 'curl' )
		|| ! extension_loaded( 'hash' )
		|| ! extension_loaded( 'dom' )
		|| ! extension_loaded( 'openssl' )
		|| ! extension_loaded( 'xmlwriter' )
	) {
		deactivate_plugins( plugin_basename( EEA_BRAINTREE_PLUGIN_FILE ) );
        add_action( 'admin_notices', 'eea_braintree_gtw_disable_notice' );

        if ( isset( $_GET['activate'] ) ) {
            unset( $_GET['activate'] );
        }
    }
}
add_action( 'admin_init', 'eea_braintree_check_for_components' );

function eea_braintree_gtw_disable_notice() {
	echo sprintf(
			 __(
				 '%1$sThe %3$s Braintree Gateway %4$s plugin was deactivated! This plugin requires the %3$s PHP version >= 5.4.0 %4$s, and the following list of PHP extensions to be enabled: %3$s mbstring, JSON, cURL, XMLWriter, OpenSSL, HASH and DOM. %4$s%2$s',
				 'event_espresso'
			 ),
			 '<div class="error"><p>',
			 '</p></div>',
			 '<strong>',
			 '</strong>'
		 );
}


// Register Add-on.
function load_eea_braintree() {
	if (
		class_exists( 'EE_Addon' )
		&& version_compare( PHP_VERSION, '5.4.0', '>=' )
		&& extension_loaded( 'mbstring' )
		&& function_exists( 'json_decode' )
		&& extension_loaded( 'curl' )
		&& extension_loaded( 'hash' )
		&& extension_loaded( 'dom' )
		&& extension_loaded( 'openssl' )
		&& extension_loaded( 'xmlwriter' )
	) {
		require_once( plugin_dir_path( __FILE__ ) . 'EE_Braintree_Gateway.class.php' );
        EE_Braintree_Gateway::register_addon();
    }
}
add_action( 'AHEE__EE_System__load_espresso_addons', 'load_eea_braintree' );

// End of file eea-braintree-gateway.php
// Location: wp-content/plugins/espresso-braintree-gateway/