<?php
namespace Test\Unit\ClientApi;

require_once dirname(dirname(__DIR__)) . '/Setup.php';

use Test\Setup;
use EEA_Braintree;

class ClientTokenTest extends Setup
{
    public function testErrorsWhenCreditCardOptionsGivenWithoutCustomerId()
    {
        $this->setExpectedException('InvalidArgumentException', 'invalid keys: options[makeDefault]');
        EEA_Braintree\ClientToken::generate(["options" => ["makeDefault" => true]]);
    }

    public function testErrorsWhenInvalidArgumentIsSupplied()
    {
        $this->setExpectedException('InvalidArgumentException', 'invalid keys: customrId');
        EEA_Braintree\ClientToken::generate(["customrId" => "1234"]);
    }
}
