<?php
namespace Test\Unit;

require_once dirname(__DIR__) . '/Setup.php';

use Test\Setup;
use EEA_Braintree;

class PayPalAccountTest extends Setup
{
    public function testGet_givesErrorIfInvalidProperty()
    {
        $this->setExpectedException('PHPUnit_Framework_Error', 'Undefined property on EEA_Braintree\PayPalAccount: foo');
        $paypalAccount = EEA_Braintree\PayPalAccount::factory([]);
        $paypalAccount->foo;
    }

    public function testIsDefault()
    {
        $paypalAccount = EEA_Braintree\PayPalAccount::factory(['default' => true]);
        $this->assertTrue($paypalAccount->isDefault());

        $paypalAccount = EEA_Braintree\PayPalAccount::factory(['default' => false]);
        $this->assertFalse($paypalAccount->isDefault());
    }

    public function testErrorsOnFindWithBlankArgument()
    {
        $this->setExpectedException('InvalidArgumentException');
        EEA_Braintree\PayPalAccount::find('');
    }

    public function testErrorsOnFindWithWhitespaceArgument()
    {
        $this->setExpectedException('InvalidArgumentException');
        EEA_Braintree\PayPalAccount::find('  ');
    }

    public function testErrorsOnFindWithWhitespaceCharacterArgument()
    {
        $this->setExpectedException('InvalidArgumentException');
        EEA_Braintree\PayPalAccount::find('\t');
    }
}
