<?php
namespace Test\Unit;

require_once dirname(__DIR__) . '/Setup.php';

use Test\Setup;
use EEA_Braintree;

class SubscriptionSearchTest extends Setup
{
    public function testSearch_billingCyclesRemaining_isRangeNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::billingCyclesRemaining();
        $this->assertInstanceOf('EEA_Braintree\RangeNode', $node);
    }

    public function testSearch_price_isRangeNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::price();
        $this->assertInstanceOf('EEA_Braintree\RangeNode', $node);
    }

    public function testSearch_daysPastDue_isRangeNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::daysPastDue();
        $this->assertInstanceOf('EEA_Braintree\RangeNode', $node);
    }

    public function testSearch_createdAt_isRangeNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::createdAt();
        $this->assertInstanceOf('EEA_Braintree\RangeNode', $node);
    }

    public function testSearch_id_isTextNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::id();
        $this->assertInstanceOf('EEA_Braintree\TextNode', $node);
    }

    public function testSearch_ids_isMultipleValueNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::ids();
        $this->assertInstanceOf('EEA_Braintree\MultipleValueNode', $node);
    }

    public function testSearch_inTrialPeriod_isMultipleValueNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::inTrialPeriod();
        $this->assertInstanceOf('EEA_Braintree\MultipleValueNode', $node);
    }

    public function testSearch_merchantAccountId_isMultipleValueNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::merchantAccountId();
        $this->assertInstanceOf('EEA_Braintree\MultipleValueNode', $node);
    }

    public function testSearch_planId_isMultipleValueOrTextNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::planId();
        $this->assertInstanceOf('EEA_Braintree\MultipleValueOrTextNode', $node);
    }

    public function testSearch_status_isMultipleValueNode()
    {
        $node = EEA_Braintree\SubscriptionSearch::status();
        $this->assertInstanceOf('EEA_Braintree\MultipleValueNode', $node);
    }
}
