<?php if ( ! defined( 'EVENT_ESPRESSO_VERSION' ) ) { exit('No direct script access allowed'); } ?>

    <div id="braintree-sandbox-panel" class="sandbox-panel">

		<h6 class="important-notice"><?php _e('Debug Mode is turned ON. Payments will NOT be processed !', 'event_espresso'); ?></h6>

        <p class="test-credit-cards-info-pg">
            <strong><?php _e('Credit Card Numbers Used for Testing', 'event_espresso'); ?></strong><br/>
        </p>
        <div class="tbl-wrap">
            <table id="braintree-test-credit-cards" class="test-credit-card-data-tbl small-text">
                <thead>
                    <tr>
                        <td><strong><?php _e('Card Type', 'event_espresso'); ?></strong></td>
                        <td><strong><?php _e('Card Number', 'event_espresso'); ?></strong></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Visa</td>
                        <td>4111111111111111</td>
                    </tr>
                    <tr>
                        <td>Mastercard</td>
                        <td>5555555555554444</td>
                    </tr>
                </tbody>
            </table>
        </div>

        <p class="test-credit-cards-info-pg">
            <strong><?php _e('How to test specific error codes.', 'event_espresso'); ?></strong><br/>
            <span style="color: #D54E21;"><strong><?php _e('The following will only trigger a fraud response if you have fraud protection enabled in your sandbox.', 'event_espresso'); ?></strong></span><br/>
        </p>
        <div class="tbl-wrap">
            <table id="braintree-test-credit-cards" class="test-credit-card-data-tbl small-text">
                <thead>
                    <tr>
                        <td><strong><?php _e('Card Type', 'event_espresso'); ?></strong></td>
                        <td><strong><?php _e('Card Value', 'event_espresso'); ?></strong></td>
                        <td><strong><?php _e('Status', 'event_espresso'); ?></strong></td>
                        <td><strong><?php _e('Reason', 'event_espresso'); ?></strong></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Visa</td>
                        <td>4000111111111511</td>
                        <td>gateway_rejected</td>
                        <td>fraud</td>
                    </tr>
                </tbody>
            </table>
        </div>

        <p class="test-credit-cards-info-pg">
            <strong><?php _e('Test amounts:', 'event_espresso'); ?></strong><br/>
            <span class="small-text"><?php _e('When working with transactions, you can pass specific amounts to simulate different processor responses.', 'event_espresso'); ?></span><br/>
        </p>
        <div class="tbl-wrap">
            <table id="braintree-test-credit-cards" class="test-credit-card-data-tbl small-text">
                <thead>
                    <tr>
                        <td><strong><?php _e('Amount', 'event_espresso'); ?></strong></td>
                        <td><strong><?php _e('Authorization Response', 'event_espresso'); ?></strong></td>
                        <td><strong><?php _e('Settlement Response', 'event_espresso'); ?></strong></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>$0.01 - $1999.99</td>
                        <td><?php _e('Authorized', 'event_espresso'); ?></td>
                        <td><?php _e('Settled', 'event_espresso'); ?></td>
                    </tr>
                    <tr>
                        <td>$2000.00 - $3000.99</td>
                        <td><?php _e('Processor Declined with a processor response equal to the amount', 'event_espresso'); ?></td>
                        <td>n/a</td>
                    </tr>
                    <tr>
                        <td>$4001.00 - $4001.99</td>
                        <td><?php _e('Authorized', 'event_espresso'); ?></td>
                        <td><?php _e('Settlement Declined on certain transaction types with a processor response equal to the amount; Settled on all others.', 'event_espresso'); ?></td>
                    </tr>
                    <tr>
                        <td>$4002.00 - $4002.99</td>
                        <td><?php _e('Authorized', 'event_espresso'); ?></td>
                        <td><?php _e('Settlement Pending on PayPal transactions with a processor response equal to the amount; Settled on all others.', 'event_espresso'); ?></td>
                    </tr>
                    <tr>
                        <td>$5001.00</td>
                        <td><?php _e('Gateway Rejected with a reason of Application Incomplete', 'event_espresso'); ?></td>
                        <td>n/a</td>
                    </tr>
                </tbody>
            </table>
        </div>

        <p class="test-credit-cards-info-pg">
            <strong><?php _e('CVV/CID responses.', 'event_espresso'); ?></strong>
        </p>
        <div class="tbl-wrap">
            <table id="braintree-test-credit-cards" class="test-credit-card-data-tbl small-text">
                <thead>
                    <tr>
                        <td><strong><?php _e('CVV', 'event_espresso'); ?></strong></td>
                        <td><strong><?php _e('CID (AmEx)', 'event_espresso'); ?></strong></td>
                        <td><strong><?php _e('Response', 'event_espresso'); ?></strong></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>200</td>
                        <td>2000</td>
                        <td>N (does not match)</td>
                    </tr>
                    <tr>
                        <td>201</td>
                        <td>2011</td>
                        <td>U (not verified)</td>
                    </tr>
                    <tr>
                        <td>301</td>
                        <td>3011</td>
                        <td>S (issuer does not participate)</td>
                    </tr>
                </tbody>
            </table>
        </div>

    </div>
