<?php
/*
	Plugin Name: Event Espresso - MIGS Gateway (EE 4.8.0+)
	Plugin URI: https://eventespresso.com
	Description: MasterCard Internet Gateway Service (MiGS) is an on-site payment method for Event Espresso for accepting credit and debit cards and is available to event organizers in Australia. An account with a supported bank (e.g. Commonwealth, ANZ, Bendigo, Axis, etc) is required to accept payments.

	Version: 1.0.3.p

	Author: Event Espresso
	Author URI: https://eventespresso.com
	Copyright 2015 Event Espresso (email : support@eventespresso.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA02110-1301USA
 *
 * ------------------------------------------------------------------------
 *
 * Event Espresso
 *
 * Event Registration and Management Plugin for WordPress
 *
 * @ package		Event Espresso
 * @ author			Event Espresso
 * @ copyright (c)	2008-2015 Event Espresso  All Rights Reserved.
 * @ license		https://eventespresso.com/support/terms-conditions/   * see Plugin Licensing *
 * @ link			https://www.eventespresso.com
 * @ version	 	EE4
 *
 * ------------------------------------------------------------------------
 */


define( 'EEA_MIGS_PM_VERSION', '1.0.3.p' );
define( 'EEA_MIGS_PM_PLUGIN_FILE', __FILE__ );
define( 'EEA_MIGS_PM_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'EEA_MIGS_PM_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'EEA_MIGS_PM_PLUGIN_BNAME', plugin_basename( __FILE__ ) );

function load_eea_migs_payment_method() {
	if ( class_exists('EE_Addon') ) {
		require_once( EEA_MIGS_PM_PLUGIN_DIR . 'EE_MIGS_Payment_Method.class.php' );
		EE_MIGS_Payment_Method::register_addon();
	}
}

add_action( 'AHEE__EE_System__load_espresso_addons', 'load_eea_migs_payment_method' );