<?php if ( ! defined('EVENT_ESPRESSO_VERSION') ) { exit('No direct script access allowed'); }

/**
 *
 * Class EEA_MIGS_Billing_Form
 *
 *
 * @package			Event Espresso
 * @subpackage		eea-migs-payment-method
 * @author			Event Espresso
 *
 */
class EEA_MIGS_Billing_Form extends EE_Billing_Attendee_Info_Form {

	protected function _normalize( $req_data ) {
		parent::_normalize( $req_data );
	}

	/**
	 *
	 * @param EE_PMT_MIGS_Onsite $payment_method_type
	 * @param EE_Payment_Method $payment_method
	 */
	public function __construct( EE_PMT_MIGS_Onsite $payment_method_type, EE_Payment_Method $payment_method ) {
		$state_list = array( '' => array( '' => '' ) );
		$settings = $payment_method->settings_array();

		$form_name = 'MIGS_Billing_Form';
		$form_args = array(
			'name' => $form_name,
			'html_id' => 'ee-MIGS-billing-form',
			'subsections' => array(
				'credit_card' => new EE_Credit_Card_Input( 
					array( 'required' => true, 'html_class' => 'ee-billing-qstn' )
				),
				'exp_month' => new EE_Credit_Card_Month_Input( 
					true, array( 'required' => true, 'html_class' => 'ee-billing-qstn' )
				),
				'exp_year' => new EE_Credit_Card_Year_Input( 
					array( 'required' => true, 'html_class' => 'ee-billing-qstn' )
				),
				'cvv' => new EE_CVV_Input( 
					array(
						'required' => false,
						'html_class' => 'ee-billing-qstn',
						'html_label_text' => __( 'CSC', 'event_espresso' )
					)
				)
			)
		);

		parent::__construct( $payment_method, $form_args );
	}
	
}
// End of class EEA_MIGS_Billing_Form.
// End of file EEA_MIGS_Billing_Form.form.php