<?php if ( ! defined( 'EVENT_ESPRESSO_VERSION' ) ) { exit('No direct script access allowed'); } ?>

<div id="migs-sandbox-panel" class="sandbox-panel">

<h6 class="important-notice"><?php _e('Debug Mode is turned ON. Payments will NOT be processed !', 'event_espresso'); ?></h6>

	<p class="test-credit-cards-info-pg">
		<strong><?php _e('Credit Card Numbers Used for Testing', 'event_espresso'); ?></strong><br/>
	</p>

	<div class="tbl-wrap">
		<p>
			<span class="small-text">
				The following table shows the test card numbers and associated expiry dates configured for each card scheme on the Payment Server:
			</span>
			<div class="table">
				<table class="inline migs-debug-cntnts">
					<tbody><tr>
						<th> Card Type </th><th> PAN </th><th> Expiry Date </th><th> Card Security Code </th>
					</tr>
					<tr>
						<td> MasterCard </td><td> 5123456789012346 </td><td> 05/17 </td><td> Any 3 digits </td>
					</tr>
					<tr>
						<td> Visa </td><td> 4987654321098769 </td><td> 05/17 </td><td> Any 3 digits </td>
					</tr>
					<tr>
						<td> Amex </td><td> 345678901234564 </td><td> 05/17 </td><td> Any 3 digits </td>
					</tr>
					<tr>
						<td> Diners Club </td><td> 30123456789019 </td><td> 05/17 </td><td> N/A </td>
					</tr>
				</tbody></table>
			</div>
		</p>

		<p>
			<strong><?php _e('Response Codes', 'event_espresso'); ?></strong><br/>
			<span class="small-text">
				<?php _e('The test bank simulator is configured to allow the user to change the response received against the above test card numbers by varying the cent amount for the transaction.', 'event_espresso'); ?>
			</span>
			<span class="small-text">
				<?php _e('The following table shows how the various response codes can be triggered varying the cent amount.', 'event_espresso'); ?>
			</span>
			<div class="table">
				<table class="inline migs-debug-cntnts">
					<tbody><tr>
						<th> Response Code </th><th> Name </th><th> Cent Amount * </th>
					</tr>
					<tr>
						<td> 0 </td><td> Transaction approved </td><td> 00 </td>
					</tr>
					<tr>
						<td> 1 </td><td> Transaction could not be processed </td><td> 10 </td>
					</tr>
					<tr>
						<td> E </td><td> Transaction declined - contact issuing bank </td><td> 01 </td>
					</tr>
					<tr>
						<td> 2 </td><td> Transaction declined - contact issuing bank </td><td> 05 </td>
					</tr>
					<tr>
						<td> 3 </td><td> No reply from Processing Host </td><td> 68 </td>
					</tr>
					<tr>
						<td> 4 </td><td> Card has expired </td><td> 54 </td>
					</tr>
					<tr>
						<td> 5 </td><td> Insufficient credit </td><td> 51 </td>
					</tr>
				</tbody></table>
			</div>
			<span class="small-text">
				<?php _e('* For example, to obtain a response code of 1 on a MasterCard, simply send a transaction for $x.10 against one of the above MasterCard numbers.', 'event_espresso'); ?>
			</span><br/>
			<span class="small-text">
				<?php printf(__('%sNote:%s You cannot use an amount value of %s‘00’%s to obtain a response code of %s‘0’%s as this amount is an illegal value. Use an amount value of %s$1.00%s or %s$2.00%s or %s$3.00%s, etc.', 'event_espresso'), '<b>', '</b>', '<b>', '</b>', '<b>', '</b>', '<b>', '</b>', '<b>', '</b>', '<b>', '</b>' ); ?>
			</span>
		</p>

		<p>
			<strong><?php _e('Card Security Code (CSC) Response Codes', 'event_espresso'); ?></strong><br/>
			<span class="small-text">
				<?php _e('The following table shows how the various CSC response codes can be triggered by varying the Card Security Code value.', 'event_espresso'); ?>
			</span>
			<div class="table">
				<table class="inline migs-debug-cntnts">
					<tbody><tr>
						<th> Response Code </th><th> Name </th><th> CSC Value </th>
					</tr>
					<tr>
						<td> M </td><td> Valid Or Matched CSC </td><td> 100 </td>
					</tr>
					<tr>
						<td> S </td><td> Merchant indicates CSC not present on card </td><td> - </td>
					</tr>
					<tr>
						<td> P </td><td> CSC not Processed </td><td> 102 </td>
					</tr>
					<tr>
						<td> U </td><td> Card issuer is not registered and/or certified </td><td> 103 </td>
					</tr>
					<tr>
						<td> N </td><td> Code invalid or not matched </td><td> 104 </td>
					</tr>
				</tbody></table>
			</div>
		</p>
	</div>
</div><br/>