<?php if ( ! defined( 'EVENT_ESPRESSO_VERSION' )) { exit('NO direct script access allowed'); }
/**
 * ------------------------------------------------------------------------
 *
 * Class  EE_Sage_Pay_Gateway
 *
 * @package			Event Espresso
 * @subpackage		eea-sage-pay-gateway
 * @author			Event Espresso
 * @ version		 	$VID:$
 *
 * ------------------------------------------------------------------------
 */

// Define the plugin directory path and URL.
define( 'EEA_SAGE_PAY_BASENAME', plugin_basename( EEA_SAGE_PAY_PLUGIN_FILE ) );
define( 'EEA_SAGE_PAY_PATH', plugin_dir_path( __FILE__ ) );
define( 'EEA_SAGE_PAY_URL', plugin_dir_url( __FILE__ ) );

class EE_Sage_Pay_Gateway extends EE_Addon {

	/**
	 * class constructor
	 */
	public function __construct() {

	}

	public static function register_addon() {
		// Register addon via Plugin API.
		EE_Register_Addon::register(
			'Sage_Pay_Gateway',
			array(
				'version' => EEA_SAGE_PAY_VERSION,
				'min_core_version' => '4.6.0.dev.000',
				'main_file_path' => EEA_SAGE_PAY_PLUGIN_FILE,
				'admin_callback' => 'additional_sage_pay_admin_hooks',
				// if plugin update engine is being used for auto-updates. not needed if PUE is not being used.
				'pue_options' => array(
					'pue_plugin_slug' => 'eea-sage-pay-gateway',
					'plugin_basename' => EEA_SAGE_PAY_BASENAME,
					'checkPeriod' => '24',
					'use_wp_update' => false,
				),
				'payment_method_paths' => array(
					EEA_SAGE_PAY_PATH . 'payment_methods' . DS . 'Sage_Pay_Onsite'
				),
		));
	}

	/**
	 * 	Additional admin hooks.
	 *
	 *  @access 	public
	 *  @return 	void
	 */
	public static function additional_sage_pay_admin_hooks() {
		// is admin and not in M-Mode ?
		if ( is_admin() && ! EE_Maintenance_Mode::instance()->level() ) {
			add_filter( 'plugin_action_links', array( 'EE_Sage_Pay_Gateway', 'plugin_actions' ), 10, 2 );
		}
	}

	/**
	 * Add a settings link to the Plugins page.
	 *
	 * Add a settings link to the Plugins page, so people can go straight from the plugin page to the settings page.
	 * @param 	$links
	 * @param 	$file
	 * @return 	array
	 */
	public static function plugin_actions( $links, $file ) {
		if ( $file == EEA_SAGE_PAY_BASENAME ) {
			// Before other links
			array_unshift( $links, '<a href="admin.php?page=espresso_payment_settings">' . __('Settings') . '</a>' );
		}
		return $links;
	}
}
// End of file EE_Sage_Pay_Gateway.class.php
// Location: wp-content/plugins/eea-sage-pay-gateway/EE_Sage_Pay_Gateway.class.php
