jQuery(document).ready(function($) {

    var EEA_VANCO_PM;

    /**
     * @namespace EEA_VANCO_PM
     * @type {{
     *     form_first_name : object,
     *     form_last_name : object,
     *     form_email : object,
     *     form_address : object,
     *     form_address2 : object,
     *     form_city : object,
     *     form_state : object,
     *     form_country : object,
     *     form_zip : object,
     *     form_name_on_card : object,
     *     form_credit_card : object,
     *     form_bank_account : object,
     *     form_credit_card_div : object,
     *     form_bank_account_div : object,
     *     form_routing_number : object,
     *     form_name_on_card_div : object,
     *     form_routing_number_div : object,
     *     form_account_type : object,
     *     form_exp_month : object,
     *     form_exp_year : object,
     *     form_exp_month_div : object,
     *     form_exp_year_div : object,
     *     pm_selector : object,
     *     pm_info_div : object,
     *     vanco_submit_flag : object,
     *     vanco_sessionid : object,
     *     vanco_requestid : object,
     *     vanco_customerid : object,
     *     vanco_customerref : object,
     *     vanco_paymentmethodref : object,
     *     spco_submit_button : object,
     *     offset_from_top_modifier: number,
     *     initialized : boolean,
     *     notification: string,
     *     submitted: boolean,
     *     reattempts: integer,
     *     txn_data: array,
     * }}
     *
     * @namespace EEA_VANCO_ARGS
     * @type {{
     *     requesturl: string,
     *     no_SPCO_error: string,
     *     no_NVPVAR_error: string,
     *     accepted_message: string,
     *     invalid_SPCO_submit_button: string,
     *     error_list: array
     * }}
     */
    EEA_VANCO_PM = {

        form_first_name: {},
        form_last_name: {},
        form_email: {},
        form_address: {},
        form_address2: {},
        form_city: {},
        form_state: {},
        form_country: {},
        form_zip: {},
        form_name_on_card: {},
        form_routing_number: {},
        form_name_on_card_div: {},
        form_routing_number_div: {},
        form_account_type: {},
        form_credit_card: {},
        form_bank_account: {},
        form_credit_card_div: {},
        form_bank_account_div: {},
        form_exp_month: {},
        form_exp_year: {},
        form_exp_month_div: {},
        form_exp_year_div: {},
        pm_selector: {},
        pm_info_div: {},
        vanco_submit_flag: {},
        vanco_nvpvar: {},
        vanco_sessionid: {},
        vanco_requestid: {},
        vanco_customerid: {},
        vanco_customerref: {},
        vanco_paymentmethodref: {},
        spco_submit_button: {},
        offset_from_top_modifier: -400,
        initialized: false,
        notification: '',
        submitted: false,
        reattempts: 3,
        txn_data: {},

        /**
         * @function initialize
         */
        initialize: function() {
            //console.log( JSON.stringify( '**EEA_VANCO_PM.initialize()**', null, 4 ) );
            EEA_VANCO_PM.initialize_objects();

            // Ensure that the SPCO is loaded.
            if (typeof SPCO === 'undefined') {
                EEA_VANCO_PM.hide_vanco_pm();
                EEA_VANCO_PM.display_error(EEA_VANCO_ARGS.no_SPCO_error);
                return;
            }

            SPCO.allow_submit_reg_form = true;
            EEA_VANCO_PM.submitted = false;

            // Check if Vanco already initialized.
            if (!EEA_VANCO_PM.vanco_submit_flag.length || EEA_VANCO_PM.initialized) {
                return;
            }

            EEA_VANCO_PM.get_transaction_data();
            EEA_VANCO_PM.initialize_listeners();
            EEA_VANCO_PM.bank_or_card_number('');
            EEA_VANCO_PM.initialized = true;
        },

        /**
         * @function initialize_objects
         */
        initialize_objects: function() {
            EEA_VANCO_PM.form_first_name = $('#eea-vanco-onsite-billing-form-first-name');
            EEA_VANCO_PM.form_last_name = $('#eea-vanco-onsite-billing-form-last-name');
            EEA_VANCO_PM.form_email = $('#eea-vanco-onsite-billing-form-email');
            EEA_VANCO_PM.form_address = $('#eea-vanco-onsite-billing-form-address');
            EEA_VANCO_PM.form_address2 = $('#eea-vanco-onsite-billing-form-address2');
            EEA_VANCO_PM.form_city = $('#eea-vanco-onsite-billing-form-city');
            EEA_VANCO_PM.form_state = $('#eea-vanco-onsite-billing-form-state');
            EEA_VANCO_PM.form_country = $('#eea-vanco-onsite-billing-form-country');
            EEA_VANCO_PM.form_zip = $('#eea-vanco-onsite-billing-form-zip');

            EEA_VANCO_PM.form_credit_card = $('#eea-vanco-onsite-billing-form-credit-card');
            EEA_VANCO_PM.form_bank_account = $('#eea-vanco-onsite-billing-form-bank-account');
            EEA_VANCO_PM.form_name_on_card = $('#eea-vanco-onsite-billing-form-name-on-card');
            EEA_VANCO_PM.form_routing_number = $('#eea-vanco-onsite-billing-form-routing-number');
            EEA_VANCO_PM.form_account_type = $('#eea-vanco-onsite-billing-form-account-type');
            EEA_VANCO_PM.form_exp_month = $('#eea-vanco-onsite-billing-form-exp-month');
            EEA_VANCO_PM.form_exp_year = $('#eea-vanco-onsite-billing-form-exp-year');
            EEA_VANCO_PM.form_exp_month_div = $('#eea-vanco-onsite-billing-form-exp-month-input-dv');
            EEA_VANCO_PM.form_exp_year_div = $('#eea-vanco-onsite-billing-form-exp-year-input-dv');
            EEA_VANCO_PM.form_name_on_card_div = $('#eea-vanco-onsite-billing-form-name-on-card-input-dv');
            EEA_VANCO_PM.form_routing_number_div = $('#eea-vanco-onsite-billing-form-routing-number-input-dv');
            EEA_VANCO_PM.form_credit_card_div = $('#eea-vanco-onsite-billing-form-credit-card-input-dv');
            EEA_VANCO_PM.form_bank_account_div = $('#eea-vanco-onsite-billing-form-bank-account-input-dv');
            EEA_VANCO_PM.vanco_submit_flag = $('#eea_vanco_submit_payment');
            // from SPCO
            EEA_VANCO_PM.pm_selector = $('#ee-available-payment-method-inputs-vanco_onsite-lbl');
            EEA_VANCO_PM.pm_info_div = $('#spco-payment-method-info-vanco_onsite');
            // Hidden ones.
            EEA_VANCO_PM.vanco_nvpvar = $('#eea-vanco-onsite-billing-form-vanco-nvpvar');
            EEA_VANCO_PM.vanco_sessionid = $('#eea-vanco-onsite-billing-form-vanco-sessionid');
            EEA_VANCO_PM.vanco_requestid = $('#eea-vanco-onsite-billing-form-vanco-requestid');
            EEA_VANCO_PM.vanco_customerid = $('#eea-vanco-onsite-billing-form-vanco-customerid');
            EEA_VANCO_PM.vanco_customerref = $('#eea-vanco-onsite-billing-form-vanco-customerref');
            EEA_VANCO_PM.vanco_paymentmethodref = $('#eea-vanco-onsite-billing-form-vanco-paymentmethodref');
        },

        /**
         * @function initialize_listeners
         */
        initialize_listeners: function() {
            EEA_VANCO_PM.set_SPCO_submit_reg_form_listener();
            EEA_VANCO_PM.account_type_change_listener();
        },

        /**
         * @function get_transaction_data
         */
        get_transaction_data: function() {
            var req_data = {};
            req_data.step = 'payment_options';
            req_data.action = 'get_transaction_details_for_gateways';
            req_data.selected_method_of_payment = 'vanco_onsite';
            req_data.generate_reg_form = false;
            req_data.process_form_submission = false;
            req_data.noheader = true;
            req_data.ee_front_ajax = true;
            req_data.EESID = eei18n.EESID;
            req_data.revisit = eei18n.revisit;
            req_data.e_reg_url_link = eei18n.e_reg_url_link;

            $.ajax({
                type: "POST",
                url: eei18n.ajax_url,
                data: req_data,
                dataType: "json",

                beforeSend: function() {
                    SPCO.do_before_sending_ajax();
                },
                success: function(response) {
                    EEA_VANCO_PM.txn_data = response;
                    SPCO.end_ajax();
                },
                error: function() {
                    SPCO.end_ajax();
                    return SPCO.submit_reg_form_server_error();
                }
            });
        },

        /**
         * @function set_SPCO_submit_listener_if_Vanco_selected
         * Set listener on SPCO submit button to prevent the default submitting.
         */
        set_SPCO_submit_reg_form_listener: function() {
            SPCO.main_container.on('process_next_step_button_click', function(event, spco_submit_button) {
                EEA_VANCO_PM.spco_submit_button = spco_submit_button;
                var vanco_form = $('#eea-vanco-onsite-billing-form');
                //console.log( JSON.stringify( 'EEA_VANCO_PM.set_SPCO_submit_reg_form_listener heard a click', null, 4 ) );
                // has Vanco submitted it's payment yet?
                if (EEA_VANCO_PM.submitted === false && SPCO.form_is_valid === true && vanco_form.length > 0) {
                    //console.log( JSON.stringify( 'SPCO.allow_submit_reg_form: ' + SPCO.allow_submit_reg_form, null, 4 ) );
                    // set SPCO.allow_submit_reg_form to false
                    // this will stop SPCO at that last moment from submitting the reg form via AJAX
                    SPCO.allow_submit_reg_form = false;
                    // DO IT FOR MANN CO... errr... I mean VANCO
                    EEA_VANCO_PM.process_and_submit_payment();
                }
            });
        },

        /**
         * @function account_type_change_listener
         */
        account_type_change_listener: function() {
            SPCO.main_container.on('change', '#eea-vanco-onsite-billing-form-account-type', function() {
                EEA_VANCO_PM.bank_or_card_number($(this).val());
            });
            //also, when someone switches back to vanco from another payment method, update the form correctly
            SPCO.main_container.on( 'spco_switch_payment_methods', function( event, payment_method ) {
                EEA_VANCO_PM.bank_or_card_number($(this).val());
            });
        },


        /**
         * @function bank_or_card_number
         * @param  {string} type  Account Type selected.
         */
        bank_or_card_number: function(type) {
            if (type === '') {
                type = EEA_VANCO_PM.form_account_type.val();
            }
            if (type === 'C' || type === 'S') {
                EEA_VANCO_PM.form_name_on_card_div.hide();
                EEA_VANCO_PM.form_routing_number_div.show();
                EEA_VANCO_PM.form_credit_card_div.hide();
                EEA_VANCO_PM.form_bank_account_div.show();
                EEA_VANCO_PM.form_exp_month_div.hide();
                EEA_VANCO_PM.form_exp_year_div.hide();
                // Handle the 'required' attribute.
                EEA_VANCO_PM.form_name_on_card.removeAttr('required');
                EEA_VANCO_PM.form_routing_number.attr('required', '');
                EEA_VANCO_PM.form_credit_card.removeAttr('required');
                EEA_VANCO_PM.form_bank_account.attr('required', '');
                EEA_VANCO_PM.form_exp_month_div.removeAttr('required');
                EEA_VANCO_PM.form_exp_year_div.removeAttr('required');
            } else {
                EEA_VANCO_PM.form_routing_number_div.hide();
                EEA_VANCO_PM.form_name_on_card_div.show();
                EEA_VANCO_PM.form_bank_account_div.hide();
                EEA_VANCO_PM.form_credit_card_div.show();
                EEA_VANCO_PM.form_exp_month_div.show();
                EEA_VANCO_PM.form_exp_year_div.show();
                // Handle the 'required' attribute.
                EEA_VANCO_PM.form_routing_number.removeAttr('required');
                EEA_VANCO_PM.form_name_on_card.attr('required', '');
                EEA_VANCO_PM.form_bank_account.removeAttr('required');
                EEA_VANCO_PM.form_credit_card.attr('required', '');
                EEA_VANCO_PM.form_exp_month_div.attr('required', '');
                EEA_VANCO_PM.form_exp_year_div.attr('required', '');
            }
        },

        /**
         * @function process_and_submit_payment
         */
        process_and_submit_payment: function() {
            var pm_ref = EEA_VANCO_PM.vanco_paymentmethodref.val();
            if (!pm_ref || pm_ref.length == 0) {
                //console.log( JSON.stringify( '**EEA_VANCO_PM.process_and_submit_payment()**', null, 4 ) );
                //  mark submitted as true so that this doesn't fire again when we retrigger the SPCO form submit
                EEA_VANCO_PM.submitted = true;
                var account_type = EEA_VANCO_PM.form_account_type.val();

                // nvpvar To be encoded.
                var post_data = {};
                post_data.action = 'eea_vanco_encrypt_nvpvar';
                post_data.nvpvar = 'requesttype=efttransparentredirect&urltoredirect=' + window.location.protocol + '//' + window.location.host;

                $.ajax({

                    type: "POST",
                    url: eei18n.ajax_url,
                    data: post_data,
                    dataType: "json",

                    beforeSend: function() {
                        SPCO.do_before_sending_ajax();
                    },

                    success: function(nvp_data) {
                        //console.log( JSON.stringify( '**EEA_VANCO_PM.process_and_submit_payment() response received**', null, 4 ) );

                        // Vanco session ID is needed here (obtained by Login Request).
                        if (typeof nvp_data.session_id === 'undefined' || nvp_data.session_id === '' || nvp_data.session_id === false) {
                            var nvp_error_msg = EEA_VANCO_ARGS.no_NVPVAR_error;
                            // Add error details if present.
                            if (typeof nvp_data.session_inf !== 'undefined' && nvp_data.session_inf.length > 0) {
                                nvp_error_msg = nvp_data.session_inf;
                            }
                            EEA_VANCO_PM.display_error(nvp_error_msg);
                        } else {
                            var form_data = {};
                            form_data.accounttype = account_type;
                            form_data.expmonth = EEA_VANCO_PM.form_exp_month.val();
                            form_data.expyear = EEA_VANCO_PM.form_exp_year.val().substr(2);
                            form_data.email = EEA_VANCO_PM.form_email.val();
                            form_data.name = EEA_VANCO_PM.form_first_name.val() + ',' + EEA_VANCO_PM.form_last_name.val();
                            form_data.billingaddr1 = EEA_VANCO_PM.form_address.val();
                            form_data.billingaddr2 = EEA_VANCO_PM.form_address2.val();
                            form_data.billingcity = EEA_VANCO_PM.form_city.val();
                            form_data.billingstate = EEA_VANCO_PM.form_state.find('option:selected').val();
                            form_data.billingcountrycode = EEA_VANCO_PM.form_country.val();
                            form_data.billingzip = EEA_VANCO_PM.form_zip.val();
                            // Request vars depending on the account type.
                            if (account_type == 'C' || account_type == 'S') {
                                form_data.accountnumber = EEA_VANCO_PM.form_bank_account.val();
                                form_data.routingnumber = EEA_VANCO_PM.form_routing_number.val();
                            } else {
                                form_data.accountnumber = EEA_VANCO_PM.form_credit_card.val();
                                form_data.name_on_card = EEA_VANCO_PM.form_name_on_card.val();
                            }

                            form_data.sessionid = nvp_data.session_id;
                            form_data.nvpvar = nvp_data.nvp_var;
                            // Submit the form to Vanco via AJAX.
                            EEA_VANCO_PM.post_data_to_vanco(nvp_data, form_data);
                        }
                    },

                    error: function(jqXHR, textStatus, errorThrown) {
                        //console.log( JSON.stringify( '**EEA_VANCO_PM.process_and_submit_payment() ERROR!!!**', null, 4 ) );
                        EEA_VANCO_PM.display_error(errorThrown);
                    }

                });

            }
        },

        /**
         * @function post_data_to_vanco
         */
        post_data_to_vanco: function(nvp_data, form_data) {
            //console.log( JSON.stringify( '**EEA_VANCO_PM.post_data_to_vanco()**', null, 4 ) );
            $.ajax({
                type:        'GET',
                url:         EEA_VANCO_ARGS.requesturl,
                data:        form_data,
                dataType:    'jsonp',
                async:       true,
                traditional: false,

                success: function(response) {
                    if (response['errorlist'].length == 0) {
                        EEA_VANCO_PM.pm_success(response);
                    } else {
                        var error_text = '';
                        var error_ids = response['errorlist'].split(',', true);
                        for (var i = 0; i < error_ids.length; i++) {
                            error_text += EEA_VANCO_ARGS.error_list[error_ids[i]] + '; ';
                        }
                        EEA_VANCO_PM.display_error('Error occurred:  ' + error_text);
                    }
                },

                error: function(jqXHR, textStatus, errorThrown, data) {
                    if (EEA_VANCO_PM.reattempts > 0) {
                        // Do a Login request if Vanco POST fails.
                        $.ajax({
                            type: 'POST',
                            url:  eei18n.ajax_url,
                            data: {action: 'eea_vanco_login'},
                            success: function(response) {
                                if (typeof response.session_id === 'undefined' || response.session_id === '' || response.session_id === false) {
                                    var login_error_msg = EEA_VANCO_ARGS.no_sessionid_error;
                                    // Add error details if present.
                                    if (typeof response.session_inf !== 'undefined' && response.session_inf.length > 0) {
                                        login_error_msg = response.session_inf;
                                    }
                                    EEA_VANCO_PM.display_error(EEA_VANCO_ARGS.jsonp_error_message, login_error_msg);
                                } else {
                                    // Change the Session ID.
                                    form_data['sessionid'] = response.session_id;
                                    --EEA_VANCO_PM.reattempts;
                                    EEA_VANCO_PM.post_data_to_vanco(nvp_data, form_data);
                                }
                            },
                            error: function(jqXHR, textStatus, errorThrown) {
                                EEA_VANCO_PM.display_error(EEA_VANCO_ARGS.jsonp_error_message, errorThrown);
                            }
                        });
                    } else {
                        EEA_VANCO_PM.display_error(EEA_VANCO_ARGS.jsonp_error_message, errorThrown);
                    }
                }

            });
        },

        /**
         * @function pm_success
         * @param  {array} vanco_response  response vars.
         */
        pm_success: function(vanco_response) {
            //console.log( JSON.stringify( '**EEA_VANCO_PM.pm_success()**', null, 4 ) );
            EEA_VANCO_PM.vanco_nvpvar.val(vanco_response['nvpvar']);
            EEA_VANCO_PM.vanco_sessionid.val(vanco_response['sessionid']);
            EEA_VANCO_PM.vanco_requestid.val(vanco_response['requestid']);
            EEA_VANCO_PM.vanco_customerid.val(vanco_response['customerid']);
            EEA_VANCO_PM.vanco_customerref.val(vanco_response['customerref']);
            EEA_VANCO_PM.vanco_paymentmethodref.val(vanco_response['paymentmethodref']);
            SPCO.allow_submit_reg_form = true;
            SPCO.enable_submit_buttons();
            // this will retrigger a click event on the SPCO submit button
            if (EEA_VANCO_PM.spco_submit_button.length > 0) {
                // Sanitize some data.
                EEA_VANCO_PM.form_routing_number.val('').removeAttr('required');
                EEA_VANCO_PM.form_name_on_card.val('').removeAttr('required');
                EEA_VANCO_PM.form_bank_account.val('').removeAttr('required');
                EEA_VANCO_PM.form_credit_card.val('').removeAttr('required');

                EEA_VANCO_PM.spco_submit_button.trigger('click');
            } else {
                EEA_VANCO_PM.display_error(EEA_VANCO_ARGS.invalid_SPCO_submit_button);
            }
        },

        /**
         * @function hide_vanco_pm
         */
        hide_vanco_pm: function() {
            EEA_VANCO_PM.pm_selector.hide();
            EEA_VANCO_PM.pm_info_div.hide();
        },

        /**
         * @function display_error
         * @param  {string} msg
         */
        display_error: function(msg, alt) {
            SPCO.end_ajax();
            alt = (typeof (alt) !== 'undefined') ? alt : null;
            // Center notices on screen.
            $('#espresso-ajax-notices').eeCenter('fixed');
            // Target parent container.
            var espresso_ajax_msg = $('#espresso-ajax-notices-error');
            //  actual message container.
            espresso_ajax_msg.children('.espresso-notices-msg').html(msg);
            // Bye bye spinner.
            $('#espresso-ajax-loading').fadeOut('fast');
            // Display message.
            espresso_ajax_msg.removeClass('hidden').show().delay(10000).fadeOut('slow');
            // Log the Error.
            var log_msg = (alt != null) ? alt : msg;
            $.ajax({
                type: 'POST',
                dataType: 'json',
                url: eei18n.ajax_url,
                data: {
                    action: 'eea_vanco_log_error',
                    txn_id: EEA_VANCO_PM.txn_data['TXN_ID'],
                    message: log_msg
                }
            });
            // Reset.
            SPCO.enable_submit_buttons();
            SPCO.allow_submit_reg_form = true;
            EEA_VANCO_PM.submitted = false;
        }



    };
    // End of EEA_VANCO_PM Object.


    // Initialize Vanco Checkout if the SPCO reg step changes to 'payment_options'.
    SPCO.main_container.on('spco_display_step', function(event, step_to_show) {
        if (typeof step_to_show !== 'undefined' && step_to_show === 'payment_options') {
            EEA_VANCO_PM.initialize();
        }
    });

    // Initialize Vanco Checkout if the selected method of payment changes.
    SPCO.main_container.on('spco_switch_payment_methods', function(event, payment_method) {
        //SPCO.console_log( 'payment_method', payment_method, false );
        if (typeof payment_method !== 'undefined' && payment_method === 'vanco_onsite') {
            EEA_VANCO_PM.initialize();
        }
    });

    // Initialize Vanco Payment Method if the page just happens to load on the 'payment_options' step with Vanco already selected.
    EEA_VANCO_PM.initialize();

});