<?php if ( ! defined( 'EVENT_ESPRESSO_VERSION' )) { exit(); }
/**
 * ------------------------------------------------------------------------
 *
 * Class  EE_TransFirst
 *
 * @package			Event Espresso
 * @subpackage		espresso-transfirst
 * @author			    Brent Christensen
 * @ version		 	$VID:$
 *
 * ------------------------------------------------------------------------
 */
// define the plugin directory path and URL
define( 'EE_TRANSFIRST_BASENAME', plugin_basename( EE_TRANSFIRST_PLUGIN_FILE ));
define( 'EE_TRANSFIRST_PATH', plugin_dir_path( __FILE__ ));
define( 'EE_TRANSFIRST_URL', plugin_dir_url( __FILE__ ));
Class  EE_TransFirst extends EE_Addon {

	/**
	 * class constructor
	 */
	public function __construct() {
	}

	public static function register_addon() {
		// register addon via Plugin API
		EE_Register_Addon::register(
			'TransFirst',
			array(
				'version' 					=> EE_TRANSFIRST_VERSION,
				'min_core_version' => '4.9.17.dev.000',
				'main_file_path' 				=> EE_TRANSFIRST_PLUGIN_FILE,
				'admin_callback' => 'additional_admin_hooks',
				// if plugin update engine is being used for auto-updates. not needed if PUE is not being used.
				'pue_options'			=> array(
					'pue_plugin_slug' => 'espresso_transfirst',
					'plugin_basename' => EE_TRANSFIRST_BASENAME,
					'checkPeriod' => '24',
					'use_wp_update' => FALSE,
					),
				'payment_method_paths' => array(
					EE_TRANSFIRST_PATH . 'payment_methods' . DS . 'TransFirst_Onsite',
//					EE_TRANSFIRST_PATH . 'payment_methods' . DS . 'TransFirst_Offsite',
					),
                'autoloader_paths' => array(
                    'EE_TransFirst_Form' => EE_TRANSFIRST_PATH . 'payment_methods' . DS . 'TransFirst_Onsite' . DS . 'EE_TransFirst_Form.form.php'
                )
		));
	}



	/**
	 * 	additional_admin_hooks
	 *
	 *  @access 	public
	 *  @return 	void
	 */
	public function additional_admin_hooks() {
		// is admin and not in M-Mode ?
		if ( is_admin() && ! EE_Maintenance_Mode::instance()->level() ) {
			add_filter( 'plugin_action_links', array( $this, 'plugin_actions' ), 10, 2 );
		}
	}



	/**
	 * plugin_actions
	 *
	 * Add a settings link to the Plugins page, so people can go straight from the plugin page to the settings page.
	 * @param $links
	 * @param $file
	 * @return array
	 */
	public function plugin_actions( $links, $file ) {
		if ( $file == EE_TRANSFIRST_BASENAME ) {
			// before other links
			array_unshift( $links, '<a href="admin.php?page=espresso_payment_settings">' . __('Settings') . '</a>' );
		}
		return $links;
	}






}
// End of file EE_TransFirst.class.php
// Location: wp-content/plugins/espresso-transfirst/EE_TransFirst.class.php
