<?php
/**
 * File for class TransFirstStructAchEcheck
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructAchEcheck originally named AchEcheck
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructAchEcheck extends TransFirstWsdlClass
{
    /**
     * The achId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 19
     * - minLength : 1
     * - pattern : [A-Za-z0-9]+[A-Za-z0-9_]*
     * @var string
     */
    public $achId;
    /**
     * The achAcctInfo
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 10
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $achAcctInfo;
    /**
     * The bankRtNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [0-9]{1,9}
     * @var string
     */
    public $bankRtNr;
    /**
     * The bankName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : .{1,25}
     * @var string
     */
    public $bankName;
    /**
     * The acctNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : .{1,28}
     * @var string
     */
    public $acctNr;
    /**
     * The acctNrEncrypt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [A-Za-z0-9]{1,255}
     * @var string
     */
    public $acctNrEncrypt;
    /**
     * The acctType
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $acctType;
    /**
     * The seccCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 7
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $seccCode;
    /**
     * The checkNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : \d{1,8}
     * @var int
     */
    public $checkNr;
    /**
     * The fraudChk
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $fraudChk;
    /**
     * The driversLicense
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructDriversLicense
     */
    public $driversLicense;
    /**
     * The identity
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructIdentity
     */
    public $identity;
    /**
     * The dtBirth
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : (0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])(19|20)\d\d
     * @var string
     */
    public $dtBirth;
    /**
     * Constructor method for AchEcheck
     * @see parent::__construct()
     * @param string $_achId
     * @param string $_achAcctInfo
     * @param string $_bankRtNr
     * @param string $_bankName
     * @param string $_acctNr
     * @param string $_acctNrEncrypt
     * @param int $_acctType
     * @param int $_seccCode
     * @param int $_checkNr
     * @param int $_fraudChk
     * @param TransFirstStructDriversLicense $_driversLicense
     * @param TransFirstStructIdentity $_identity
     * @param string $_dtBirth
     * @return TransFirstStructAchEcheck
     */
    public function __construct($_achId = NULL,$_achAcctInfo = NULL,$_bankRtNr = NULL,$_bankName = NULL,$_acctNr = NULL,$_acctNrEncrypt = NULL,$_acctType = NULL,$_seccCode = NULL,$_checkNr = NULL,$_fraudChk = NULL,$_driversLicense = NULL,$_identity = NULL,$_dtBirth = NULL)
    {
        parent::__construct(array('achId'=>$_achId,'achAcctInfo'=>$_achAcctInfo,'bankRtNr'=>$_bankRtNr,'bankName'=>$_bankName,'acctNr'=>$_acctNr,'acctNrEncrypt'=>$_acctNrEncrypt,'acctType'=>$_acctType,'seccCode'=>$_seccCode,'checkNr'=>$_checkNr,'fraudChk'=>$_fraudChk,'driversLicense'=>$_driversLicense,'identity'=>$_identity,'dtBirth'=>$_dtBirth),false);
    }
    /**
     * Get achId value
     * @return string|null
     */
    public function getAchId()
    {
        return $this->achId;
    }
    /**
     * Set achId value
     * @param string $_achId the achId
     * @return string
     */
    public function setAchId($_achId)
    {
        return ($this->achId = $_achId);
    }
    /**
     * Get achAcctInfo value
     * @return string|null
     */
    public function getAchAcctInfo()
    {
        return $this->achAcctInfo;
    }
    /**
     * Set achAcctInfo value
     * @param string $_achAcctInfo the achAcctInfo
     * @return string
     */
    public function setAchAcctInfo($_achAcctInfo)
    {
        return ($this->achAcctInfo = $_achAcctInfo);
    }
    /**
     * Get bankRtNr value
     * @return string|null
     */
    public function getBankRtNr()
    {
        return $this->bankRtNr;
    }
    /**
     * Set bankRtNr value
     * @param string $_bankRtNr the bankRtNr
     * @return string
     */
    public function setBankRtNr($_bankRtNr)
    {
        return ($this->bankRtNr = $_bankRtNr);
    }
    /**
     * Get bankName value
     * @return string|null
     */
    public function getBankName()
    {
        return $this->bankName;
    }
    /**
     * Set bankName value
     * @param string $_bankName the bankName
     * @return string
     */
    public function setBankName($_bankName)
    {
        return ($this->bankName = $_bankName);
    }
    /**
     * Get acctNr value
     * @return string|null
     */
    public function getAcctNr()
    {
        return $this->acctNr;
    }
    /**
     * Set acctNr value
     * @param string $_acctNr the acctNr
     * @return string
     */
    public function setAcctNr($_acctNr)
    {
        return ($this->acctNr = $_acctNr);
    }
    /**
     * Get acctNrEncrypt value
     * @return string|null
     */
    public function getAcctNrEncrypt()
    {
        return $this->acctNrEncrypt;
    }
    /**
     * Set acctNrEncrypt value
     * @param string $_acctNrEncrypt the acctNrEncrypt
     * @return string
     */
    public function setAcctNrEncrypt($_acctNrEncrypt)
    {
        return ($this->acctNrEncrypt = $_acctNrEncrypt);
    }
    /**
     * Get acctType value
     * @return int|null
     */
    public function getAcctType()
    {
        return $this->acctType;
    }
    /**
     * Set acctType value
     * @param int $_acctType the acctType
     * @return int
     */
    public function setAcctType($_acctType)
    {
        return ($this->acctType = $_acctType);
    }
    /**
     * Get seccCode value
     * @return int|null
     */
    public function getSeccCode()
    {
        return $this->seccCode;
    }
    /**
     * Set seccCode value
     * @param int $_seccCode the seccCode
     * @return int
     */
    public function setSeccCode($_seccCode)
    {
        return ($this->seccCode = $_seccCode);
    }
    /**
     * Get checkNr value
     * @return int|null
     */
    public function getCheckNr()
    {
        return $this->checkNr;
    }
    /**
     * Set checkNr value
     * @param int $_checkNr the checkNr
     * @return int
     */
    public function setCheckNr($_checkNr)
    {
        return ($this->checkNr = $_checkNr);
    }
    /**
     * Get fraudChk value
     * @return int|null
     */
    public function getFraudChk()
    {
        return $this->fraudChk;
    }
    /**
     * Set fraudChk value
     * @param int $_fraudChk the fraudChk
     * @return int
     */
    public function setFraudChk($_fraudChk)
    {
        return ($this->fraudChk = $_fraudChk);
    }
    /**
     * Get driversLicense value
     * @return TransFirstStructDriversLicense|null
     */
    public function getDriversLicense()
    {
        return $this->driversLicense;
    }
    /**
     * Set driversLicense value
     * @param TransFirstStructDriversLicense $_driversLicense the driversLicense
     * @return TransFirstStructDriversLicense
     */
    public function setDriversLicense($_driversLicense)
    {
        return ($this->driversLicense = $_driversLicense);
    }
    /**
     * Get identity value
     * @return TransFirstStructIdentity|null
     */
    public function getIdentity()
    {
        return $this->identity;
    }
    /**
     * Set identity value
     * @param TransFirstStructIdentity $_identity the identity
     * @return TransFirstStructIdentity
     */
    public function setIdentity($_identity)
    {
        return ($this->identity = $_identity);
    }
    /**
     * Get dtBirth value
     * @return string|null
     */
    public function getDtBirth()
    {
        return $this->dtBirth;
    }
    /**
     * Set dtBirth value
     * @param string $_dtBirth the dtBirth
     * @return string
     */
    public function setDtBirth($_dtBirth)
    {
        return ($this->dtBirth = $_dtBirth);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructAchEcheck
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
