<?php
/**
 * File for class TransFirstStructAdditionalAmount
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructAdditionalAmount originally named AdditionalAmount
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructAdditionalAmount extends TransFirstWsdlClass
{
    /**
     * The accountType
     * @var TransFirstEnumAccountType
     */
    public $accountType;
    /**
     * The amountType
     * @var TransFirstEnumAmountType
     */
    public $amountType;
    /**
     * The currencyCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : (\d{3}|[A-Z]{3})
     * @var string
     */
    public $currencyCode;
    /**
     * The amountSign
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [CD]
     * @var string
     */
    public $amountSign;
    /**
     * The amount
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{12}
     * @var string
     */
    public $amount;
    /**
     * Constructor method for AdditionalAmount
     * @see parent::__construct()
     * @param TransFirstEnumAccountType $_accountType
     * @param TransFirstEnumAmountType $_amountType
     * @param string $_currencyCode
     * @param string $_amountSign
     * @param string $_amount
     * @return TransFirstStructAdditionalAmount
     */
    public function __construct($_accountType = NULL,$_amountType = NULL,$_currencyCode = NULL,$_amountSign = NULL,$_amount = NULL)
    {
        parent::__construct(array('accountType'=>$_accountType,'amountType'=>$_amountType,'currencyCode'=>$_currencyCode,'amountSign'=>$_amountSign,'amount'=>$_amount),false);
    }
    /**
     * Get accountType value
     * @return TransFirstEnumAccountType|null
     */
    public function getAccountType()
    {
        return $this->accountType;
    }
    /**
     * Set accountType value
     * @uses TransFirstEnumAccountType::valueIsValid()
     * @param TransFirstEnumAccountType $_accountType the accountType
     * @return TransFirstEnumAccountType
     */
    public function setAccountType($_accountType)
    {
        if(!TransFirstEnumAccountType::valueIsValid($_accountType))
        {
            return false;
        }
        return ($this->accountType = $_accountType);
    }
    /**
     * Get amountType value
     * @return TransFirstEnumAmountType|null
     */
    public function getAmountType()
    {
        return $this->amountType;
    }
    /**
     * Set amountType value
     * @uses TransFirstEnumAmountType::valueIsValid()
     * @param TransFirstEnumAmountType $_amountType the amountType
     * @return TransFirstEnumAmountType
     */
    public function setAmountType($_amountType)
    {
        if(!TransFirstEnumAmountType::valueIsValid($_amountType))
        {
            return false;
        }
        return ($this->amountType = $_amountType);
    }
    /**
     * Get currencyCode value
     * @return string|null
     */
    public function getCurrencyCode()
    {
        return $this->currencyCode;
    }
    /**
     * Set currencyCode value
     * @param string $_currencyCode the currencyCode
     * @return string
     */
    public function setCurrencyCode($_currencyCode)
    {
        return ($this->currencyCode = $_currencyCode);
    }
    /**
     * Get amountSign value
     * @return string|null
     */
    public function getAmountSign()
    {
        return $this->amountSign;
    }
    /**
     * Set amountSign value
     * @param string $_amountSign the amountSign
     * @return string
     */
    public function setAmountSign($_amountSign)
    {
        return ($this->amountSign = $_amountSign);
    }
    /**
     * Get amount value
     * @return string|null
     */
    public function getAmount()
    {
        return $this->amount;
    }
    /**
     * Set amount value
     * @param string $_amount the amount
     * @return string
     */
    public function setAmount($_amount)
    {
        return ($this->amount = $_amount);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructAdditionalAmount
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
