<?php
/**
 * File for class TransFirstStructAuthReq
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructAuthReq originally named AuthReq
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructAuthReq extends TransFirstWsdlClass
{
    /**
     * The xid
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-9A-Fa-f]{40}
     * @var string
     */
    public $xid;
    /**
     * The cavv
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-9A-Fa-f]{40}
     * @var string
     */
    public $cavv;
    /**
     * The ucafIdcr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-2]
     * @var int
     */
    public $ucafIdcr;
    /**
     * The ucaf
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-9A-Fa-f]{2,64}
     * @var string
     */
    public $ucaf;
    /**
     * The purcCard
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructPurcCard
     */
    public $purcCard;
    /**
     * The eSign
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-9A-Fa-f]{2,1000}
     * @var string
     */
    public $eSign;
    /**
     * The voiceAuthCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [A-Za-z0-9 ]{6}
     * @var string
     */
    public $voiceAuthCode;
    /**
     * The ordNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 50
     * - minLength : 1
     * - pattern : .{1,50}
     * @var string
     */
    public $ordNr;
    /**
     * The vchrNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,32}
     * @var string
     */
    public $vchrNr;
    /**
     * The pin
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-9A-Fa-f]{16}
     * @var string
     */
    public $pin;
    /**
     * Constructor method for AuthReq
     * @see parent::__construct()
     * @param string $_xid
     * @param string $_cavv
     * @param int $_ucafIdcr
     * @param string $_ucaf
     * @param TransFirstStructPurcCard $_purcCard
     * @param string $_eSign
     * @param string $_voiceAuthCode
     * @param string $_ordNr
     * @param string $_vchrNr
     * @param string $_pin
     * @return TransFirstStructAuthReq
     */
    public function __construct($_xid = NULL,$_cavv = NULL,$_ucafIdcr = NULL,$_ucaf = NULL,$_purcCard = NULL,$_eSign = NULL,$_voiceAuthCode = NULL,$_ordNr = NULL,$_vchrNr = NULL,$_pin = NULL)
    {
        parent::__construct(array('xid'=>$_xid,'cavv'=>$_cavv,'ucafIdcr'=>$_ucafIdcr,'ucaf'=>$_ucaf,'purcCard'=>$_purcCard,'eSign'=>$_eSign,'voiceAuthCode'=>$_voiceAuthCode,'ordNr'=>$_ordNr,'vchrNr'=>$_vchrNr,'pin'=>$_pin),false);
    }
    /**
     * Get xid value
     * @return string|null
     */
    public function getXid()
    {
        return $this->xid;
    }
    /**
     * Set xid value
     * @param string $_xid the xid
     * @return string
     */
    public function setXid($_xid)
    {
        return ($this->xid = $_xid);
    }
    /**
     * Get cavv value
     * @return string|null
     */
    public function getCavv()
    {
        return $this->cavv;
    }
    /**
     * Set cavv value
     * @param string $_cavv the cavv
     * @return string
     */
    public function setCavv($_cavv)
    {
        return ($this->cavv = $_cavv);
    }
    /**
     * Get ucafIdcr value
     * @return int|null
     */
    public function getUcafIdcr()
    {
        return $this->ucafIdcr;
    }
    /**
     * Set ucafIdcr value
     * @param int $_ucafIdcr the ucafIdcr
     * @return int
     */
    public function setUcafIdcr($_ucafIdcr)
    {
        return ($this->ucafIdcr = $_ucafIdcr);
    }
    /**
     * Get ucaf value
     * @return string|null
     */
    public function getUcaf()
    {
        return $this->ucaf;
    }
    /**
     * Set ucaf value
     * @param string $_ucaf the ucaf
     * @return string
     */
    public function setUcaf($_ucaf)
    {
        return ($this->ucaf = $_ucaf);
    }
    /**
     * Get purcCard value
     * @return TransFirstStructPurcCard|null
     */
    public function getPurcCard()
    {
        return $this->purcCard;
    }
    /**
     * Set purcCard value
     * @param TransFirstStructPurcCard $_purcCard the purcCard
     * @return TransFirstStructPurcCard
     */
    public function setPurcCard($_purcCard)
    {
        return ($this->purcCard = $_purcCard);
    }
    /**
     * Get eSign value
     * @return string|null
     */
    public function getESign()
    {
        return $this->eSign;
    }
    /**
     * Set eSign value
     * @param string $_eSign the eSign
     * @return string
     */
    public function setESign($_eSign)
    {
        return ($this->eSign = $_eSign);
    }
    /**
     * Get voiceAuthCode value
     * @return string|null
     */
    public function getVoiceAuthCode()
    {
        return $this->voiceAuthCode;
    }
    /**
     * Set voiceAuthCode value
     * @param string $_voiceAuthCode the voiceAuthCode
     * @return string
     */
    public function setVoiceAuthCode($_voiceAuthCode)
    {
        return ($this->voiceAuthCode = $_voiceAuthCode);
    }
    /**
     * Get ordNr value
     * @return string|null
     */
    public function getOrdNr()
    {
        return $this->ordNr;
    }
    /**
     * Set ordNr value
     * @param string $_ordNr the ordNr
     * @return string
     */
    public function setOrdNr($_ordNr)
    {
        return ($this->ordNr = $_ordNr);
    }
    /**
     * Get vchrNr value
     * @return string|null
     */
    public function getVchrNr()
    {
        return $this->vchrNr;
    }
    /**
     * Set vchrNr value
     * @param string $_vchrNr the vchrNr
     * @return string
     */
    public function setVchrNr($_vchrNr)
    {
        return ($this->vchrNr = $_vchrNr);
    }
    /**
     * Get pin value
     * @return string|null
     */
    public function getPin()
    {
        return $this->pin;
    }
    /**
     * Set pin value
     * @param string $_pin the pin
     * @return string
     */
    public function setPin($_pin)
    {
        return ($this->pin = $_pin);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructAuthReq
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
