<?php
/**
 * File for class TransFirstStructAuthRsp
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructAuthRsp originally named AuthRsp
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructAuthRsp extends TransFirstWsdlClass
{
    /**
     * The secRslt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : .
     * @var string
     */
    public $secRslt;
    /**
     * The avsRslt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : .
     * @var string
     */
    public $avsRslt;
    /**
     * The aci
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \w
     * @var string
     */
    public $aci;
    /**
     * The cavvRslt
     * @var TransFirstEnumCavvRslt
     */
    public $cavvRslt;
    /**
     * The tranId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [A-Za-z0-9]{1,15}
     * @var string
     */
    public $tranId;
    /**
     * The gwyTranId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [A-Za-z0-9]{1,20}
     * @var string
     */
    public $gwyTranId;
    /**
     * The issrNtwkId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 11
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $issrNtwkId;
    /**
     * The valCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \w{4}
     * @var string
     */
    public $valCode;
    /**
     * The comCardType
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [A-Z]{1,10}
     * @var string
     */
    public $comCardType;
    /**
     * Constructor method for AuthRsp
     * @see parent::__construct()
     * @param string $_secRslt
     * @param string $_avsRslt
     * @param string $_aci
     * @param TransFirstEnumCavvRslt $_cavvRslt
     * @param string $_tranId
     * @param string $_gwyTranId
     * @param string $_issrNtwkId
     * @param string $_valCode
     * @param string $_comCardType
     * @return TransFirstStructAuthRsp
     */
    public function __construct($_secRslt = NULL,$_avsRslt = NULL,$_aci = NULL,$_cavvRslt = NULL,$_tranId = NULL,$_gwyTranId = NULL,$_issrNtwkId = NULL,$_valCode = NULL,$_comCardType = NULL)
    {
        parent::__construct(array('secRslt'=>$_secRslt,'avsRslt'=>$_avsRslt,'aci'=>$_aci,'cavvRslt'=>$_cavvRslt,'tranId'=>$_tranId,'gwyTranId'=>$_gwyTranId,'issrNtwkId'=>$_issrNtwkId,'valCode'=>$_valCode,'comCardType'=>$_comCardType),false);
    }
    /**
     * Get secRslt value
     * @return string|null
     */
    public function getSecRslt()
    {
        return $this->secRslt;
    }
    /**
     * Set secRslt value
     * @param string $_secRslt the secRslt
     * @return string
     */
    public function setSecRslt($_secRslt)
    {
        return ($this->secRslt = $_secRslt);
    }
    /**
     * Get avsRslt value
     * @return string|null
     */
    public function getAvsRslt()
    {
        return $this->avsRslt;
    }
    /**
     * Set avsRslt value
     * @param string $_avsRslt the avsRslt
     * @return string
     */
    public function setAvsRslt($_avsRslt)
    {
        return ($this->avsRslt = $_avsRslt);
    }
    /**
     * Get aci value
     * @return string|null
     */
    public function getAci()
    {
        return $this->aci;
    }
    /**
     * Set aci value
     * @param string $_aci the aci
     * @return string
     */
    public function setAci($_aci)
    {
        return ($this->aci = $_aci);
    }
    /**
     * Get cavvRslt value
     * @return TransFirstEnumCavvRslt|null
     */
    public function getCavvRslt()
    {
        return $this->cavvRslt;
    }
    /**
     * Set cavvRslt value
     * @uses TransFirstEnumCavvRslt::valueIsValid()
     * @param TransFirstEnumCavvRslt $_cavvRslt the cavvRslt
     * @return TransFirstEnumCavvRslt
     */
    public function setCavvRslt($_cavvRslt)
    {
        if(!TransFirstEnumCavvRslt::valueIsValid($_cavvRslt))
        {
            return false;
        }
        return ($this->cavvRslt = $_cavvRslt);
    }
    /**
     * Get tranId value
     * @return string|null
     */
    public function getTranId()
    {
        return $this->tranId;
    }
    /**
     * Set tranId value
     * @param string $_tranId the tranId
     * @return string
     */
    public function setTranId($_tranId)
    {
        return ($this->tranId = $_tranId);
    }
    /**
     * Get gwyTranId value
     * @return string|null
     */
    public function getGwyTranId()
    {
        return $this->gwyTranId;
    }
    /**
     * Set gwyTranId value
     * @param string $_gwyTranId the gwyTranId
     * @return string
     */
    public function setGwyTranId($_gwyTranId)
    {
        return ($this->gwyTranId = $_gwyTranId);
    }
    /**
     * Get issrNtwkId value
     * @return string|null
     */
    public function getIssrNtwkId()
    {
        return $this->issrNtwkId;
    }
    /**
     * Set issrNtwkId value
     * @param string $_issrNtwkId the issrNtwkId
     * @return string
     */
    public function setIssrNtwkId($_issrNtwkId)
    {
        return ($this->issrNtwkId = $_issrNtwkId);
    }
    /**
     * Get valCode value
     * @return string|null
     */
    public function getValCode()
    {
        return $this->valCode;
    }
    /**
     * Set valCode value
     * @param string $_valCode the valCode
     * @return string
     */
    public function setValCode($_valCode)
    {
        return ($this->valCode = $_valCode);
    }
    /**
     * Get comCardType value
     * @return string|null
     */
    public function getComCardType()
    {
        return $this->comCardType;
    }
    /**
     * Set comCardType value
     * @param string $_comCardType the comCardType
     * @return string
     */
    public function setComCardType($_comCardType)
    {
        return ($this->comCardType = $_comCardType);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructAuthRsp
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
