<?php
/**
 * File for class TransFirstStructCard
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructCard originally named Card
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructCard extends TransFirstWsdlClass
{
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - maxLength : 6
     * - minInclusive : 0
     * - minLength : 2
     * - pattern : \d{1}
     * @var int
     */
    public $type;
    /**
     * The pan
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 19
     * - minLength : 12
     * - pattern : \d{1,19}
     * @var string
     */
    public $pan;
    /**
     * The sec
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{3,4}
     * @var string
     */
    public $sec;
    /**
     * The xprDt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d\d(1[0-2]|0\d)
     * @var string
     */
    public $xprDt;
    /**
     * The sqncNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{3}
     * @var string
     */
    public $sqncNr;
    /**
     * The trk1
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : .{1,76}
     * @var string
     */
    public $trk1;
    /**
     * The trk2
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 37
     * - minLength : 1
     * - pattern : [A-Za-z0-9]+[A-Za-z0-9=]*
     * @var string
     */
    public $trk2;
    /**
     * The dbtOrCdt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $dbtOrCdt;
    /**
     * Constructor method for Card
     * @see parent::__construct()
     * @param int $_type
     * @param string $_pan
     * @param string $_sec
     * @param string $_xprDt
     * @param string $_sqncNr
     * @param string $_trk1
     * @param string $_trk2
     * @param int $_dbtOrCdt
     * @return TransFirstStructCard
     */
    public function __construct($_type = NULL,$_pan = NULL,$_sec = NULL,$_xprDt = NULL,$_sqncNr = NULL,$_trk1 = NULL,$_trk2 = NULL,$_dbtOrCdt = NULL)
    {
        parent::__construct(array('type'=>$_type,'pan'=>$_pan,'sec'=>$_sec,'xprDt'=>$_xprDt,'sqncNr'=>$_sqncNr,'trk1'=>$_trk1,'trk2'=>$_trk2,'dbtOrCdt'=>$_dbtOrCdt),false);
    }
    /**
     * Get type value
     * @return int|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param int $_type the type
     * @return int
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Get pan value
     * @return string|null
     */
    public function getPan()
    {
        return $this->pan;
    }
    /**
     * Set pan value
     * @param string $_pan the pan
     * @return string
     */
    public function setPan($_pan)
    {
        return ($this->pan = $_pan);
    }
    /**
     * Get sec value
     * @return string|null
     */
    public function getSec()
    {
        return $this->sec;
    }
    /**
     * Set sec value
     * @param string $_sec the sec
     * @return string
     */
    public function setSec($_sec)
    {
        return ($this->sec = $_sec);
    }
    /**
     * Get xprDt value
     * @return string|null
     */
    public function getXprDt()
    {
        return $this->xprDt;
    }
    /**
     * Set xprDt value
     * @param string $_xprDt the xprDt
     * @return string
     */
    public function setXprDt($_xprDt)
    {
        return ($this->xprDt = $_xprDt);
    }
    /**
     * Get sqncNr value
     * @return string|null
     */
    public function getSqncNr()
    {
        return $this->sqncNr;
    }
    /**
     * Set sqncNr value
     * @param string $_sqncNr the sqncNr
     * @return string
     */
    public function setSqncNr($_sqncNr)
    {
        return ($this->sqncNr = $_sqncNr);
    }
    /**
     * Get trk1 value
     * @return string|null
     */
    public function getTrk1()
    {
        return $this->trk1;
    }
    /**
     * Set trk1 value
     * @param string $_trk1 the trk1
     * @return string
     */
    public function setTrk1($_trk1)
    {
        return ($this->trk1 = $_trk1);
    }
    /**
     * Get trk2 value
     * @return string|null
     */
    public function getTrk2()
    {
        return $this->trk2;
    }
    /**
     * Set trk2 value
     * @param string $_trk2 the trk2
     * @return string
     */
    public function setTrk2($_trk2)
    {
        return ($this->trk2 = $_trk2);
    }
    /**
     * Get dbtOrCdt value
     * @return int|null
     */
    public function getDbtOrCdt()
    {
        return $this->dbtOrCdt;
    }
    /**
     * Set dbtOrCdt value
     * @param int $_dbtOrCdt the dbtOrCdt
     * @return int
     */
    public function setDbtOrCdt($_dbtOrCdt)
    {
        return ($this->dbtOrCdt = $_dbtOrCdt);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructCard
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
