<?php
/**
 * File for class TransFirstStructContact
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructContact originally named Contact
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructContact extends TransFirstWsdlClass
{
    /**
     * The id
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 15
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $id;
    /**
     * The firstName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 30
     * - minLength : 1
     * - pattern : .{1,30}
     * @var string
     */
    public $firstName;
    /**
     * The lastName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 30
     * - minLength : 1
     * - pattern : .{1,30}
     * @var string
     */
    public $lastName;
    /**
     * The fullName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 61
     * - minLength : 1
     * - pattern : .{1,61}
     * @var string
     */
    public $fullName;
    /**
     * The coName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 30
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $coName;
    /**
     * The title
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 10
     * - minLength : 1
     * - pattern : [A-Za-z]+[A-Za-z ]*
     * @var string
     */
    public $title;
    /**
     * The phone
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructPhone
     */
    public $phone;
    /**
     * The addrLn1
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 50
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $addrLn1;
    /**
     * The addrLn2
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 50
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $addrLn2;
    /**
     * The city
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 40
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $city;
    /**
     * The state
     * @var TransFirstEnumState
     */
    public $state;
    /**
     * The zipCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]{1,9}
     * @var string
     */
    public $zipCode;
    /**
     * The ctry
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - length : 2
     * - pattern : [A-Za-z]{2}
     * @var string
     */
    public $ctry;
    /**
     * The email
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 75
     * - minLength : 1
     * - pattern : [a-zA-Z0-9._%+\-]+@[a-zA-Z0-9.\-]+\.[a-zA-Z0-9]+
     * @var string
     */
    public $email;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - maxLength : 6
     * - minInclusive : 0
     * - minLength : 2
     * - pattern : \d{1}
     * @var int
     */
    public $type;
    /**
     * The stat
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $stat;
    /**
     * The note
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 100
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $note;
    /**
     * The ship
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructShip
     */
    public $ship;
    /**
     * Constructor method for Contact
     * @see parent::__construct()
     * @param long $_id
     * @param string $_firstName
     * @param string $_lastName
     * @param string $_fullName
     * @param string $_coName
     * @param string $_title
     * @param TransFirstStructPhone $_phone
     * @param string $_addrLn1
     * @param string $_addrLn2
     * @param string $_city
     * @param TransFirstEnumState $_state
     * @param string $_zipCode
     * @param string $_ctry
     * @param string $_email
     * @param int $_type
     * @param int $_stat
     * @param string $_note
     * @param TransFirstStructShip $_ship
     * @return TransFirstStructContact
     */
    public function __construct($_id = NULL,$_firstName = NULL,$_lastName = NULL,$_fullName = NULL,$_coName = NULL,$_title = NULL,$_phone = NULL,$_addrLn1 = NULL,$_addrLn2 = NULL,$_city = NULL,$_state = NULL,$_zipCode = NULL,$_ctry = NULL,$_email = NULL,$_type = NULL,$_stat = NULL,$_note = NULL,$_ship = NULL)
    {
        parent::__construct(array('id'=>$_id,'firstName'=>$_firstName,'lastName'=>$_lastName,'fullName'=>$_fullName,'coName'=>$_coName,'title'=>$_title,'phone'=>$_phone,'addrLn1'=>$_addrLn1,'addrLn2'=>$_addrLn2,'city'=>$_city,'state'=>$_state,'zipCode'=>$_zipCode,'ctry'=>$_ctry,'email'=>$_email,'type'=>$_type,'stat'=>$_stat,'note'=>$_note,'ship'=>$_ship),false);
    }
    /**
     * Get id value
     * @return long|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param long $_id the id
     * @return long
     */
    public function setId($_id)
    {
        return ($this->id = $_id);
    }
    /**
     * Get firstName value
     * @return string|null
     */
    public function getFirstName()
    {
        return $this->firstName;
    }
    /**
     * Set firstName value
     * @param string $_firstName the firstName
     * @return string
     */
    public function setFirstName($_firstName)
    {
        return ($this->firstName = $_firstName);
    }
    /**
     * Get lastName value
     * @return string|null
     */
    public function getLastName()
    {
        return $this->lastName;
    }
    /**
     * Set lastName value
     * @param string $_lastName the lastName
     * @return string
     */
    public function setLastName($_lastName)
    {
        return ($this->lastName = $_lastName);
    }
    /**
     * Get fullName value
     * @return string|null
     */
    public function getFullName()
    {
        return $this->fullName;
    }
    /**
     * Set fullName value
     * @param string $_fullName the fullName
     * @return string
     */
    public function setFullName($_fullName)
    {
        return ($this->fullName = $_fullName);
    }
    /**
     * Get coName value
     * @return string|null
     */
    public function getCoName()
    {
        return $this->coName;
    }
    /**
     * Set coName value
     * @param string $_coName the coName
     * @return string
     */
    public function setCoName($_coName)
    {
        return ($this->coName = $_coName);
    }
    /**
     * Get title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $_title the title
     * @return string
     */
    public function setTitle($_title)
    {
        return ($this->title = $_title);
    }
    /**
     * Get phone value
     * @return TransFirstStructPhone|null
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param TransFirstStructPhone $_phone the phone
     * @return TransFirstStructPhone
     */
    public function setPhone($_phone)
    {
        return ($this->phone = $_phone);
    }
    /**
     * Get addrLn1 value
     * @return string|null
     */
    public function getAddrLn1()
    {
        return $this->addrLn1;
    }
    /**
     * Set addrLn1 value
     * @param string $_addrLn1 the addrLn1
     * @return string
     */
    public function setAddrLn1($_addrLn1)
    {
        return ($this->addrLn1 = $_addrLn1);
    }
    /**
     * Get addrLn2 value
     * @return string|null
     */
    public function getAddrLn2()
    {
        return $this->addrLn2;
    }
    /**
     * Set addrLn2 value
     * @param string $_addrLn2 the addrLn2
     * @return string
     */
    public function setAddrLn2($_addrLn2)
    {
        return ($this->addrLn2 = $_addrLn2);
    }
    /**
     * Get city value
     * @return string|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param string $_city the city
     * @return string
     */
    public function setCity($_city)
    {
        return ($this->city = $_city);
    }
    /**
     * Get state value
     * @return TransFirstEnumState|null
     */
    public function getState()
    {
        return $this->state;
    }
    /**
     * Set state value
     * @uses TransFirstEnumState::valueIsValid()
     * @param TransFirstEnumState $_state the state
     * @return TransFirstEnumState
     */
    public function setState($_state)
    {
        if(!TransFirstEnumState::valueIsValid($_state))
        {
            return false;
        }
        return ($this->state = $_state);
    }
    /**
     * Get zipCode value
     * @return string|null
     */
    public function getZipCode()
    {
        return $this->zipCode;
    }
    /**
     * Set zipCode value
     * @param string $_zipCode the zipCode
     * @return string
     */
    public function setZipCode($_zipCode)
    {
        return ($this->zipCode = $_zipCode);
    }
    /**
     * Get ctry value
     * @return string|null
     */
    public function getCtry()
    {
        return $this->ctry;
    }
    /**
     * Set ctry value
     * @param string $_ctry the ctry
     * @return string
     */
    public function setCtry($_ctry)
    {
        return ($this->ctry = $_ctry);
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $_email the email
     * @return string
     */
    public function setEmail($_email)
    {
        return ($this->email = $_email);
    }
    /**
     * Get type value
     * @return int|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param int $_type the type
     * @return int
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Get stat value
     * @return int|null
     */
    public function getStat()
    {
        return $this->stat;
    }
    /**
     * Set stat value
     * @param int $_stat the stat
     * @return int
     */
    public function setStat($_stat)
    {
        return ($this->stat = $_stat);
    }
    /**
     * Get note value
     * @return string|null
     */
    public function getNote()
    {
        return $this->note;
    }
    /**
     * Set note value
     * @param string $_note the note
     * @return string
     */
    public function setNote($_note)
    {
        return ($this->note = $_note);
    }
    /**
     * Get ship value
     * @return TransFirstStructShip|null
     */
    public function getShip()
    {
        return $this->ship;
    }
    /**
     * Set ship value
     * @param TransFirstStructShip $_ship the ship
     * @return TransFirstStructShip
     */
    public function setShip($_ship)
    {
        return ($this->ship = $_ship);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructContact
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
