<?php
/**
 * File for class TransFirstStructCustCrta
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructCustCrta originally named CustCrta
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructCustCrta extends TransFirstWsdlClass
{
    /**
     * The id
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 15
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $id;
    /**
     * The coName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 30
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $coName;
    /**
     * The firstName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 30
     * - minLength : 1
     * - pattern : .{1,30}
     * @var string
     */
    public $firstName;
    /**
     * The lastName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 30
     * - minLength : 1
     * - pattern : .{1,30}
     * @var string
     */
    public $lastName;
    /**
     * The fullName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 61
     * - minLength : 1
     * - pattern : .{1,61}
     * @var string
     */
    public $fullName;
    /**
     * The stat
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $stat;
    /**
     * Constructor method for CustCrta
     * @see parent::__construct()
     * @param long $_id
     * @param string $_coName
     * @param string $_firstName
     * @param string $_lastName
     * @param string $_fullName
     * @param int $_stat
     * @return TransFirstStructCustCrta
     */
    public function __construct($_id = NULL,$_coName = NULL,$_firstName = NULL,$_lastName = NULL,$_fullName = NULL,$_stat = NULL)
    {
        parent::__construct(array('id'=>$_id,'coName'=>$_coName,'firstName'=>$_firstName,'lastName'=>$_lastName,'fullName'=>$_fullName,'stat'=>$_stat),false);
    }
    /**
     * Get id value
     * @return long|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param long $_id the id
     * @return long
     */
    public function setId($_id)
    {
        return ($this->id = $_id);
    }
    /**
     * Get coName value
     * @return string|null
     */
    public function getCoName()
    {
        return $this->coName;
    }
    /**
     * Set coName value
     * @param string $_coName the coName
     * @return string
     */
    public function setCoName($_coName)
    {
        return ($this->coName = $_coName);
    }
    /**
     * Get firstName value
     * @return string|null
     */
    public function getFirstName()
    {
        return $this->firstName;
    }
    /**
     * Set firstName value
     * @param string $_firstName the firstName
     * @return string
     */
    public function setFirstName($_firstName)
    {
        return ($this->firstName = $_firstName);
    }
    /**
     * Get lastName value
     * @return string|null
     */
    public function getLastName()
    {
        return $this->lastName;
    }
    /**
     * Set lastName value
     * @param string $_lastName the lastName
     * @return string
     */
    public function setLastName($_lastName)
    {
        return ($this->lastName = $_lastName);
    }
    /**
     * Get fullName value
     * @return string|null
     */
    public function getFullName()
    {
        return $this->fullName;
    }
    /**
     * Set fullName value
     * @param string $_fullName the fullName
     * @return string
     */
    public function setFullName($_fullName)
    {
        return ($this->fullName = $_fullName);
    }
    /**
     * Get stat value
     * @return int|null
     */
    public function getStat()
    {
        return $this->stat;
    }
    /**
     * Set stat value
     * @param int $_stat the stat
     * @return int
     */
    public function setStat($_stat)
    {
        return ($this->stat = $_stat);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructCustCrta
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
