<?php
/**
 * File for class TransFirstStructCust
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructCust originally named Cust
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructCust extends TransFirstWsdlClass
{
    /**
     * The contact
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 1
     * @var TransFirstStructContact
     */
    public $contact;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - maxLength : 6
     * - minInclusive : 0
     * - minLength : 2
     * - pattern : \d{1}
     * @var int
     */
    public $type;
    /**
     * The pmt
     * Meta informations extracted from the WSDL
     * - maxOccurs : 10
     * - minOccurs : 0
     * @var TransFirstStructPmt
     */
    public $pmt;
    /**
     * Constructor method for Cust
     * @see parent::__construct()
     * @param TransFirstStructContact $_contact
     * @param int $_type
     * @param TransFirstStructPmt $_pmt
     * @return TransFirstStructCust
     */
    public function __construct($_contact,$_type = NULL,$_pmt = NULL)
    {
        parent::__construct(array('contact'=>$_contact,'type'=>$_type,'pmt'=>$_pmt),false);
    }
    /**
     * Get contact value
     * @return TransFirstStructContact
     */
    public function getContact()
    {
        return $this->contact;
    }
    /**
     * Set contact value
     * @param TransFirstStructContact $_contact the contact
     * @return TransFirstStructContact
     */
    public function setContact($_contact)
    {
        return ($this->contact = $_contact);
    }
    /**
     * Get type value
     * @return int|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param int $_type the type
     * @return int
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Get pmt value
     * @return TransFirstStructPmt|null
     */
    public function getPmt()
    {
        return $this->pmt;
    }
    /**
     * Set pmt value
     * @param TransFirstStructPmt $_pmt the pmt
     * @return TransFirstStructPmt
     */
    public function setPmt($_pmt)
    {
        return ($this->pmt = $_pmt);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructCust
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
