<?php
/**
 * File for class TransFirstStructDriversLicense
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructDriversLicense originally named DriversLicense
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructDriversLicense extends TransFirstWsdlClass
{
    /**
     * The state
     * @var TransFirstEnumState
     */
    public $state;
    /**
     * The nr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 15
     * - minLength : 10
     * - pattern : [0-9\s\-\(\)\+\./]{10,15}
     * @var string
     */
    public $nr;
    /**
     * Constructor method for DriversLicense
     * @see parent::__construct()
     * @param TransFirstEnumState $_state
     * @param string $_nr
     * @return TransFirstStructDriversLicense
     */
    public function __construct($_state = NULL,$_nr = NULL)
    {
        parent::__construct(array('state'=>$_state,'nr'=>$_nr),false);
    }
    /**
     * Get state value
     * @return TransFirstEnumState|null
     */
    public function getState()
    {
        return $this->state;
    }
    /**
     * Set state value
     * @uses TransFirstEnumState::valueIsValid()
     * @param TransFirstEnumState $_state the state
     * @return TransFirstEnumState
     */
    public function setState($_state)
    {
        if(!TransFirstEnumState::valueIsValid($_state))
        {
            return false;
        }
        return ($this->state = $_state);
    }
    /**
     * Get nr value
     * @return string|null
     */
    public function getNr()
    {
        return $this->nr;
    }
    /**
     * Set nr value
     * @param string $_nr the nr
     * @return string
     */
    public function setNr($_nr)
    {
        return ($this->nr = $_nr);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructDriversLicense
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
