<?php
/**
 * File for class TransFirstStructEcheck
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructEcheck originally named Echeck
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructEcheck extends TransFirstWsdlClass
{
    /**
     * The checkNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : \d{1,8}
     * @var int
     */
    public $checkNr;
    /**
     * The checkOrdNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : \w{1,8}
     * @var string
     */
    public $checkOrdNr;
    /**
     * The custId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 25
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $custId;
    /**
     * The checkRefNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [A-Za-z0-9]*
     * @var string
     */
    public $checkRefNr;
    /**
     * The ackDtTm
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * @var dateTime
     */
    public $ackDtTm;
    /**
     * The retStat
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : \w{1,3}
     * @var string
     */
    public $retStat;
    /**
     * The retRefNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : \w{1,10}
     * @var string
     */
    public $retRefNr;
    /**
     * The retTxt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 100
     * - pattern : [A-Za-z0-9]+[A-Za-z0-9\s]*
     * @var string
     */
    public $retTxt;
    /**
     * Constructor method for Echeck
     * @see parent::__construct()
     * @param int $_checkNr
     * @param string $_checkOrdNr
     * @param long $_custId
     * @param string $_checkRefNr
     * @param dateTime $_ackDtTm
     * @param string $_retStat
     * @param string $_retRefNr
     * @param string $_retTxt
     * @return TransFirstStructEcheck
     */
    public function __construct($_checkNr = NULL,$_checkOrdNr = NULL,$_custId = NULL,$_checkRefNr = NULL,$_ackDtTm = NULL,$_retStat = NULL,$_retRefNr = NULL,$_retTxt = NULL)
    {
        parent::__construct(array('checkNr'=>$_checkNr,'checkOrdNr'=>$_checkOrdNr,'custId'=>$_custId,'checkRefNr'=>$_checkRefNr,'ackDtTm'=>$_ackDtTm,'retStat'=>$_retStat,'retRefNr'=>$_retRefNr,'retTxt'=>$_retTxt),false);
    }
    /**
     * Get checkNr value
     * @return int|null
     */
    public function getCheckNr()
    {
        return $this->checkNr;
    }
    /**
     * Set checkNr value
     * @param int $_checkNr the checkNr
     * @return int
     */
    public function setCheckNr($_checkNr)
    {
        return ($this->checkNr = $_checkNr);
    }
    /**
     * Get checkOrdNr value
     * @return string|null
     */
    public function getCheckOrdNr()
    {
        return $this->checkOrdNr;
    }
    /**
     * Set checkOrdNr value
     * @param string $_checkOrdNr the checkOrdNr
     * @return string
     */
    public function setCheckOrdNr($_checkOrdNr)
    {
        return ($this->checkOrdNr = $_checkOrdNr);
    }
    /**
     * Get custId value
     * @return long|null
     */
    public function getCustId()
    {
        return $this->custId;
    }
    /**
     * Set custId value
     * @param long $_custId the custId
     * @return long
     */
    public function setCustId($_custId)
    {
        return ($this->custId = $_custId);
    }
    /**
     * Get checkRefNr value
     * @return string|null
     */
    public function getCheckRefNr()
    {
        return $this->checkRefNr;
    }
    /**
     * Set checkRefNr value
     * @param string $_checkRefNr the checkRefNr
     * @return string
     */
    public function setCheckRefNr($_checkRefNr)
    {
        return ($this->checkRefNr = $_checkRefNr);
    }
    /**
     * Get ackDtTm value
     * @return dateTime|null
     */
    public function getAckDtTm()
    {
        return $this->ackDtTm;
    }
    /**
     * Set ackDtTm value
     * @param dateTime $_ackDtTm the ackDtTm
     * @return dateTime
     */
    public function setAckDtTm($_ackDtTm)
    {
        return ($this->ackDtTm = $_ackDtTm);
    }
    /**
     * Get retStat value
     * @return string|null
     */
    public function getRetStat()
    {
        return $this->retStat;
    }
    /**
     * Set retStat value
     * @param string $_retStat the retStat
     * @return string
     */
    public function setRetStat($_retStat)
    {
        return ($this->retStat = $_retStat);
    }
    /**
     * Get retRefNr value
     * @return string|null
     */
    public function getRetRefNr()
    {
        return $this->retRefNr;
    }
    /**
     * Set retRefNr value
     * @param string $_retRefNr the retRefNr
     * @return string
     */
    public function setRetRefNr($_retRefNr)
    {
        return ($this->retRefNr = $_retRefNr);
    }
    /**
     * Get retTxt value
     * @return string|null
     */
    public function getRetTxt()
    {
        return $this->retTxt;
    }
    /**
     * Set retTxt value
     * @param string $_retTxt the retTxt
     * @return string
     */
    public function setRetTxt($_retTxt)
    {
        return ($this->retTxt = $_retTxt);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructEcheck
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
