<?php
/**
 * File for class TransFirstStructFndRecurrProfRequest
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructFndRecurrProfRequest originally named FndRecurrProfRequest
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructFndRecurrProfRequest extends TransFirstWsdlClass
{
    /**
     * The merc
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 1
     * @var TransFirstStructMerc
     */
    public $merc;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - maxLength : 6
     * - minInclusive : 0
     * - minLength : 2
     * - pattern : \d{1}
     * @var int
     */
    public $type;
    /**
     * The recurProfCrta
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructRecurProfCrta
     */
    public $recurProfCrta;
    /**
     * The custCrta
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructCustCrta
     */
    public $custCrta;
    /**
     * The prodCrta
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructProdCrta
     */
    public $prodCrta;
    /**
     * The pmtCrta
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructPmtCrta
     */
    public $pmtCrta;
    /**
     * Constructor method for FndRecurrProfRequest
     * @see parent::__construct()
     * @param TransFirstStructMerc $_merc
     * @param int $_type
     * @param TransFirstStructRecurProfCrta $_recurProfCrta
     * @param TransFirstStructCustCrta $_custCrta
     * @param TransFirstStructProdCrta $_prodCrta
     * @param TransFirstStructPmtCrta $_pmtCrta
     * @return TransFirstStructFndRecurrProfRequest
     */
    public function __construct($_merc,$_type = NULL,$_recurProfCrta = NULL,$_custCrta = NULL,$_prodCrta = NULL,$_pmtCrta = NULL)
    {
        parent::__construct(array('merc'=>$_merc,'type'=>$_type,'recurProfCrta'=>$_recurProfCrta,'custCrta'=>$_custCrta,'prodCrta'=>$_prodCrta,'pmtCrta'=>$_pmtCrta),false);
    }
    /**
     * Get merc value
     * @return TransFirstStructMerc
     */
    public function getMerc()
    {
        return $this->merc;
    }
    /**
     * Set merc value
     * @param TransFirstStructMerc $_merc the merc
     * @return TransFirstStructMerc
     */
    public function setMerc($_merc)
    {
        return ($this->merc = $_merc);
    }
    /**
     * Get type value
     * @return int|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param int $_type the type
     * @return int
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Get recurProfCrta value
     * @return TransFirstStructRecurProfCrta|null
     */
    public function getRecurProfCrta()
    {
        return $this->recurProfCrta;
    }
    /**
     * Set recurProfCrta value
     * @param TransFirstStructRecurProfCrta $_recurProfCrta the recurProfCrta
     * @return TransFirstStructRecurProfCrta
     */
    public function setRecurProfCrta($_recurProfCrta)
    {
        return ($this->recurProfCrta = $_recurProfCrta);
    }
    /**
     * Get custCrta value
     * @return TransFirstStructCustCrta|null
     */
    public function getCustCrta()
    {
        return $this->custCrta;
    }
    /**
     * Set custCrta value
     * @param TransFirstStructCustCrta $_custCrta the custCrta
     * @return TransFirstStructCustCrta
     */
    public function setCustCrta($_custCrta)
    {
        return ($this->custCrta = $_custCrta);
    }
    /**
     * Get prodCrta value
     * @return TransFirstStructProdCrta|null
     */
    public function getProdCrta()
    {
        return $this->prodCrta;
    }
    /**
     * Set prodCrta value
     * @param TransFirstStructProdCrta $_prodCrta the prodCrta
     * @return TransFirstStructProdCrta
     */
    public function setProdCrta($_prodCrta)
    {
        return ($this->prodCrta = $_prodCrta);
    }
    /**
     * Get pmtCrta value
     * @return TransFirstStructPmtCrta|null
     */
    public function getPmtCrta()
    {
        return $this->pmtCrta;
    }
    /**
     * Set pmtCrta value
     * @param TransFirstStructPmtCrta $_pmtCrta the pmtCrta
     * @return TransFirstStructPmtCrta
     */
    public function setPmtCrta($_pmtCrta)
    {
        return ($this->pmtCrta = $_pmtCrta);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructFndRecurrProfRequest
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
