<?php
/**
 * File for class TransFirstStructFndRecurrProfResponse
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructFndRecurrProfResponse originally named FndRecurrProfResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructFndRecurrProfResponse extends TransFirstWsdlClass
{
    /**
     * The id
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var int
     */
    public $id;
    /**
     * The mercId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 15
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $mercId;
    /**
     * The cust
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructCust
     */
    public $cust;
    /**
     * The recurProf
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructRecurProf
     */
    public $recurProf;
    /**
     * The prodData
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructProdData
     */
    public $prodData;
    /**
     * Constructor method for FndRecurrProfResponse
     * @see parent::__construct()
     * @param int $_id
     * @param string $_mercId
     * @param TransFirstStructCust $_cust
     * @param TransFirstStructRecurProf $_recurProf
     * @param TransFirstStructProdData $_prodData
     * @return TransFirstStructFndRecurrProfResponse
     */
    public function __construct($_id = NULL,$_mercId = NULL,$_cust = NULL,$_recurProf = NULL,$_prodData = NULL)
    {
        parent::__construct(array('id'=>$_id,'mercId'=>$_mercId,'cust'=>$_cust,'recurProf'=>$_recurProf,'prodData'=>$_prodData),false);
    }
    /**
     * Get id value
     * @return int|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param int $_id the id
     * @return int
     */
    public function setId($_id)
    {
        return ($this->id = $_id);
    }
    /**
     * Get mercId value
     * @return string|null
     */
    public function getMercId()
    {
        return $this->mercId;
    }
    /**
     * Set mercId value
     * @param string $_mercId the mercId
     * @return string
     */
    public function setMercId($_mercId)
    {
        return ($this->mercId = $_mercId);
    }
    /**
     * Get cust value
     * @return TransFirstStructCust|null
     */
    public function getCust()
    {
        return $this->cust;
    }
    /**
     * Set cust value
     * @param TransFirstStructCust $_cust the cust
     * @return TransFirstStructCust
     */
    public function setCust($_cust)
    {
        return ($this->cust = $_cust);
    }
    /**
     * Get recurProf value
     * @return TransFirstStructRecurProf|null
     */
    public function getRecurProf()
    {
        return $this->recurProf;
    }
    /**
     * Set recurProf value
     * @param TransFirstStructRecurProf $_recurProf the recurProf
     * @return TransFirstStructRecurProf
     */
    public function setRecurProf($_recurProf)
    {
        return ($this->recurProf = $_recurProf);
    }
    /**
     * Get prodData value
     * @return TransFirstStructProdData|null
     */
    public function getProdData()
    {
        return $this->prodData;
    }
    /**
     * Set prodData value
     * @param TransFirstStructProdData $_prodData the prodData
     * @return TransFirstStructProdData
     */
    public function setProdData($_prodData)
    {
        return ($this->prodData = $_prodData);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructFndRecurrProfResponse
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
