<?php
/**
 * File for class TransFirstStructLineItem
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructLineItem originally named LineItem
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructLineItem extends TransFirstWsdlClass
{
    /**
     * The itemNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{3}
     * @var int
     */
    public $itemNr;
    /**
     * The prodCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w+
     * @var string
     */
    public $prodCode;
    /**
     * The custCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w+
     * @var string
     */
    public $custCode;
    /**
     * The cmdyCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w+
     * @var string
     */
    public $cmdyCode;
    /**
     * The vatRefNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w+
     * @var string
     */
    public $vatRefNr;
    /**
     * The desc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 100
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $desc;
    /**
     * The qty
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $qty;
    /**
     * The qtyExp
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $qtyExp;
    /**
     * The unitOfMsr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $unitOfMsr;
    /**
     * The unitPrc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $unitPrc;
    /**
     * The dcnt
     * @var TransFirstEnumDcnt
     */
    public $dcnt;
    /**
     * The dcntRt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - length : 5
     * - pattern : \w+
     * @var string
     */
    public $dcntRt;
    /**
     * The dcntAmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $dcntAmt;
    /**
     * The totAmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $totAmt;
    /**
     * The totAmtType
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $totAmtType;
    /**
     * The supType
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $supType;
    /**
     * The sign
     * @var TransFirstEnumSign
     */
    public $sign;
    /**
     * The privData
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 999
     * - minLength : 1
     * - pattern : .{1,999}
     * @var string
     */
    public $privData;
    /**
     * The tax
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructPurcCardTax
     */
    public $tax;
    /**
     * Constructor method for LineItem
     * @see parent::__construct()
     * @param int $_itemNr
     * @param string $_prodCode
     * @param string $_custCode
     * @param string $_cmdyCode
     * @param string $_vatRefNr
     * @param string $_desc
     * @param string $_qty
     * @param int $_qtyExp
     * @param string $_unitOfMsr
     * @param string $_unitPrc
     * @param TransFirstEnumDcnt $_dcnt
     * @param string $_dcntRt
     * @param string $_dcntAmt
     * @param string $_totAmt
     * @param int $_totAmtType
     * @param int $_supType
     * @param TransFirstEnumSign $_sign
     * @param string $_privData
     * @param TransFirstStructPurcCardTax $_tax
     * @return TransFirstStructLineItem
     */
    public function __construct($_itemNr = NULL,$_prodCode = NULL,$_custCode = NULL,$_cmdyCode = NULL,$_vatRefNr = NULL,$_desc = NULL,$_qty = NULL,$_qtyExp = NULL,$_unitOfMsr = NULL,$_unitPrc = NULL,$_dcnt = NULL,$_dcntRt = NULL,$_dcntAmt = NULL,$_totAmt = NULL,$_totAmtType = NULL,$_supType = NULL,$_sign = NULL,$_privData = NULL,$_tax = NULL)
    {
        parent::__construct(array('itemNr'=>$_itemNr,'prodCode'=>$_prodCode,'custCode'=>$_custCode,'cmdyCode'=>$_cmdyCode,'vatRefNr'=>$_vatRefNr,'desc'=>$_desc,'qty'=>$_qty,'qtyExp'=>$_qtyExp,'unitOfMsr'=>$_unitOfMsr,'unitPrc'=>$_unitPrc,'dcnt'=>$_dcnt,'dcntRt'=>$_dcntRt,'dcntAmt'=>$_dcntAmt,'totAmt'=>$_totAmt,'totAmtType'=>$_totAmtType,'supType'=>$_supType,'sign'=>$_sign,'privData'=>$_privData,'tax'=>$_tax),false);
    }
    /**
     * Get itemNr value
     * @return int|null
     */
    public function getItemNr()
    {
        return $this->itemNr;
    }
    /**
     * Set itemNr value
     * @param int $_itemNr the itemNr
     * @return int
     */
    public function setItemNr($_itemNr)
    {
        return ($this->itemNr = $_itemNr);
    }
    /**
     * Get prodCode value
     * @return string|null
     */
    public function getProdCode()
    {
        return $this->prodCode;
    }
    /**
     * Set prodCode value
     * @param string $_prodCode the prodCode
     * @return string
     */
    public function setProdCode($_prodCode)
    {
        return ($this->prodCode = $_prodCode);
    }
    /**
     * Get custCode value
     * @return string|null
     */
    public function getCustCode()
    {
        return $this->custCode;
    }
    /**
     * Set custCode value
     * @param string $_custCode the custCode
     * @return string
     */
    public function setCustCode($_custCode)
    {
        return ($this->custCode = $_custCode);
    }
    /**
     * Get cmdyCode value
     * @return string|null
     */
    public function getCmdyCode()
    {
        return $this->cmdyCode;
    }
    /**
     * Set cmdyCode value
     * @param string $_cmdyCode the cmdyCode
     * @return string
     */
    public function setCmdyCode($_cmdyCode)
    {
        return ($this->cmdyCode = $_cmdyCode);
    }
    /**
     * Get vatRefNr value
     * @return string|null
     */
    public function getVatRefNr()
    {
        return $this->vatRefNr;
    }
    /**
     * Set vatRefNr value
     * @param string $_vatRefNr the vatRefNr
     * @return string
     */
    public function setVatRefNr($_vatRefNr)
    {
        return ($this->vatRefNr = $_vatRefNr);
    }
    /**
     * Get desc value
     * @return string|null
     */
    public function getDesc()
    {
        return $this->desc;
    }
    /**
     * Set desc value
     * @param string $_desc the desc
     * @return string
     */
    public function setDesc($_desc)
    {
        return ($this->desc = $_desc);
    }
    /**
     * Get qty value
     * @return string|null
     */
    public function getQty()
    {
        return $this->qty;
    }
    /**
     * Set qty value
     * @param string $_qty the qty
     * @return string
     */
    public function setQty($_qty)
    {
        return ($this->qty = $_qty);
    }
    /**
     * Get qtyExp value
     * @return int|null
     */
    public function getQtyExp()
    {
        return $this->qtyExp;
    }
    /**
     * Set qtyExp value
     * @param int $_qtyExp the qtyExp
     * @return int
     */
    public function setQtyExp($_qtyExp)
    {
        return ($this->qtyExp = $_qtyExp);
    }
    /**
     * Get unitOfMsr value
     * @return string|null
     */
    public function getUnitOfMsr()
    {
        return $this->unitOfMsr;
    }
    /**
     * Set unitOfMsr value
     * @param string $_unitOfMsr the unitOfMsr
     * @return string
     */
    public function setUnitOfMsr($_unitOfMsr)
    {
        return ($this->unitOfMsr = $_unitOfMsr);
    }
    /**
     * Get unitPrc value
     * @return string|null
     */
    public function getUnitPrc()
    {
        return $this->unitPrc;
    }
    /**
     * Set unitPrc value
     * @param string $_unitPrc the unitPrc
     * @return string
     */
    public function setUnitPrc($_unitPrc)
    {
        return ($this->unitPrc = $_unitPrc);
    }
    /**
     * Get dcnt value
     * @return TransFirstEnumDcnt|null
     */
    public function getDcnt()
    {
        return $this->dcnt;
    }
    /**
     * Set dcnt value
     * @uses TransFirstEnumDcnt::valueIsValid()
     * @param TransFirstEnumDcnt $_dcnt the dcnt
     * @return TransFirstEnumDcnt
     */
    public function setDcnt($_dcnt)
    {
        if(!TransFirstEnumDcnt::valueIsValid($_dcnt))
        {
            return false;
        }
        return ($this->dcnt = $_dcnt);
    }
    /**
     * Get dcntRt value
     * @return string|null
     */
    public function getDcntRt()
    {
        return $this->dcntRt;
    }
    /**
     * Set dcntRt value
     * @param string $_dcntRt the dcntRt
     * @return string
     */
    public function setDcntRt($_dcntRt)
    {
        return ($this->dcntRt = $_dcntRt);
    }
    /**
     * Get dcntAmt value
     * @return string|null
     */
    public function getDcntAmt()
    {
        return $this->dcntAmt;
    }
    /**
     * Set dcntAmt value
     * @param string $_dcntAmt the dcntAmt
     * @return string
     */
    public function setDcntAmt($_dcntAmt)
    {
        return ($this->dcntAmt = $_dcntAmt);
    }
    /**
     * Get totAmt value
     * @return string|null
     */
    public function getTotAmt()
    {
        return $this->totAmt;
    }
    /**
     * Set totAmt value
     * @param string $_totAmt the totAmt
     * @return string
     */
    public function setTotAmt($_totAmt)
    {
        return ($this->totAmt = $_totAmt);
    }
    /**
     * Get totAmtType value
     * @return int|null
     */
    public function getTotAmtType()
    {
        return $this->totAmtType;
    }
    /**
     * Set totAmtType value
     * @param int $_totAmtType the totAmtType
     * @return int
     */
    public function setTotAmtType($_totAmtType)
    {
        return ($this->totAmtType = $_totAmtType);
    }
    /**
     * Get supType value
     * @return int|null
     */
    public function getSupType()
    {
        return $this->supType;
    }
    /**
     * Set supType value
     * @param int $_supType the supType
     * @return int
     */
    public function setSupType($_supType)
    {
        return ($this->supType = $_supType);
    }
    /**
     * Get sign value
     * @return TransFirstEnumSign|null
     */
    public function getSign()
    {
        return $this->sign;
    }
    /**
     * Set sign value
     * @uses TransFirstEnumSign::valueIsValid()
     * @param TransFirstEnumSign $_sign the sign
     * @return TransFirstEnumSign
     */
    public function setSign($_sign)
    {
        if(!TransFirstEnumSign::valueIsValid($_sign))
        {
            return false;
        }
        return ($this->sign = $_sign);
    }
    /**
     * Get privData value
     * @return string|null
     */
    public function getPrivData()
    {
        return $this->privData;
    }
    /**
     * Set privData value
     * @param string $_privData the privData
     * @return string
     */
    public function setPrivData($_privData)
    {
        return ($this->privData = $_privData);
    }
    /**
     * Get tax value
     * @return TransFirstStructPurcCardTax|null
     */
    public function getTax()
    {
        return $this->tax;
    }
    /**
     * Set tax value
     * @param TransFirstStructPurcCardTax $_tax the tax
     * @return TransFirstStructPurcCardTax
     */
    public function setTax($_tax)
    {
        return ($this->tax = $_tax);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructLineItem
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
