<?php
/**
 * File for class TransFirstStructMerc
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructMerc originally named Merc
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructMerc extends TransFirstWsdlClass
{
    /**
     * The id
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 15
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $id;
    /**
     * The regKey
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 16
     * - minLength : 1
     * - pattern : .{1,16}
     * @var string
     */
    public $regKey;
    /**
     * The usrId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 30
     * - minLength : 1
     * - pattern : [A-Za-z0-9]+[A-Za-z0-9_]*
     * @var string
     */
    public $usrId;
    /**
     * The pwd
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : .+
     * @var string
     */
    public $pwd;
    /**
     * The inType
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [0-5]
     * @var int
     */
    public $inType;
    /**
     * The prodType
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [0-8]
     * @var int
     */
    public $prodType;
    /**
     * Constructor method for Merc
     * @see parent::__construct()
     * @param long $_id
     * @param string $_regKey
     * @param string $_usrId
     * @param string $_pwd
     * @param int $_inType
     * @param int $_prodType
     * @return TransFirstStructMerc
     */
    public function __construct($_id = NULL,$_regKey = NULL,$_usrId = NULL,$_pwd = NULL,$_inType = NULL,$_prodType = NULL)
    {
        parent::__construct(array('id'=>$_id,'regKey'=>$_regKey,'usrId'=>$_usrId,'pwd'=>$_pwd,'inType'=>$_inType,'prodType'=>$_prodType),false);
    }
    /**
     * Get id value
     * @return long|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param long $_id the id
     * @return long
     */
    public function setId($_id)
    {
        return ($this->id = $_id);
    }
    /**
     * Get regKey value
     * @return string|null
     */
    public function getRegKey()
    {
        return $this->regKey;
    }
    /**
     * Set regKey value
     * @param string $_regKey the regKey
     * @return string
     */
    public function setRegKey($_regKey)
    {
        return ($this->regKey = $_regKey);
    }
    /**
     * Get usrId value
     * @return string|null
     */
    public function getUsrId()
    {
        return $this->usrId;
    }
    /**
     * Set usrId value
     * @param string $_usrId the usrId
     * @return string
     */
    public function setUsrId($_usrId)
    {
        return ($this->usrId = $_usrId);
    }
    /**
     * Get pwd value
     * @return string|null
     */
    public function getPwd()
    {
        return $this->pwd;
    }
    /**
     * Set pwd value
     * @param string $_pwd the pwd
     * @return string
     */
    public function setPwd($_pwd)
    {
        return ($this->pwd = $_pwd);
    }
    /**
     * Get inType value
     * @return int|null
     */
    public function getInType()
    {
        return $this->inType;
    }
    /**
     * Set inType value
     * @param int $_inType the inType
     * @return int
     */
    public function setInType($_inType)
    {
        return ($this->inType = $_inType);
    }
    /**
     * Get prodType value
     * @return int|null
     */
    public function getProdType()
    {
        return $this->prodType;
    }
    /**
     * Set prodType value
     * @param int $_prodType the prodType
     * @return int
     */
    public function setProdType($_prodType)
    {
        return ($this->prodType = $_prodType);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructMerc
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
