<?php
/**
 * File for class TransFirstStructPmtCrta
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructPmtCrta originally named PmtCrta
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructPmtCrta extends TransFirstWsdlClass
{
    /**
     * The pan
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 19
     * - minLength : 12
     * - pattern : \d{1,19}
     * @var string
     */
    public $pan;
    /**
     * The acctNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : .{1,28}
     * @var string
     */
    public $acctNr;
    /**
     * The pmtId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - minInclusive : 0
     * - pattern : \d+
     * @var long
     */
    public $pmtId;
    /**
     * The pmtDesc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 25
     * - minLength : 1
     * - pattern : .{1,50}
     * @var string
     */
    public $pmtDesc;
    /**
     * The ordNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 50
     * - minLength : 1
     * - pattern : .{1,50}
     * @var string
     */
    public $ordNr;
    /**
     * Constructor method for PmtCrta
     * @see parent::__construct()
     * @param string $_pan
     * @param string $_acctNr
     * @param long $_pmtId
     * @param string $_pmtDesc
     * @param string $_ordNr
     * @return TransFirstStructPmtCrta
     */
    public function __construct($_pan = NULL,$_acctNr = NULL,$_pmtId = NULL,$_pmtDesc = NULL,$_ordNr = NULL)
    {
        parent::__construct(array('pan'=>$_pan,'acctNr'=>$_acctNr,'pmtId'=>$_pmtId,'pmtDesc'=>$_pmtDesc,'ordNr'=>$_ordNr),false);
    }
    /**
     * Get pan value
     * @return string|null
     */
    public function getPan()
    {
        return $this->pan;
    }
    /**
     * Set pan value
     * @param string $_pan the pan
     * @return string
     */
    public function setPan($_pan)
    {
        return ($this->pan = $_pan);
    }
    /**
     * Get acctNr value
     * @return string|null
     */
    public function getAcctNr()
    {
        return $this->acctNr;
    }
    /**
     * Set acctNr value
     * @param string $_acctNr the acctNr
     * @return string
     */
    public function setAcctNr($_acctNr)
    {
        return ($this->acctNr = $_acctNr);
    }
    /**
     * Get pmtId value
     * @return long|null
     */
    public function getPmtId()
    {
        return $this->pmtId;
    }
    /**
     * Set pmtId value
     * @param long $_pmtId the pmtId
     * @return long
     */
    public function setPmtId($_pmtId)
    {
        return ($this->pmtId = $_pmtId);
    }
    /**
     * Get pmtDesc value
     * @return string|null
     */
    public function getPmtDesc()
    {
        return $this->pmtDesc;
    }
    /**
     * Set pmtDesc value
     * @param string $_pmtDesc the pmtDesc
     * @return string
     */
    public function setPmtDesc($_pmtDesc)
    {
        return ($this->pmtDesc = $_pmtDesc);
    }
    /**
     * Get ordNr value
     * @return string|null
     */
    public function getOrdNr()
    {
        return $this->ordNr;
    }
    /**
     * Set ordNr value
     * @param string $_ordNr the ordNr
     * @return string
     */
    public function setOrdNr($_ordNr)
    {
        return ($this->ordNr = $_ordNr);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructPmtCrta
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
