<?php
/**
 * File for class TransFirstStructPmt
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructPmt originally named Pmt
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructPmt extends TransFirstWsdlClass
{
    /**
     * The id
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 15
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $id;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - maxLength : 6
     * - minInclusive : 0
     * - minLength : 2
     * - pattern : \d{1}
     * @var int
     */
    public $type;
    /**
     * The card
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructCard
     */
    public $card;
    /**
     * The ordNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 50
     * - minLength : 1
     * - pattern : .{1,50}
     * @var string
     */
    public $ordNr;
    /**
     * The amt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : [0-9]{1,12}
     * @var string
     */
    public $amt;
    /**
     * The tax
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructTax
     */
    public $tax;
    /**
     * The ach
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructAchEcheck
     */
    public $ach;
    /**
     * The desc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 100
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $desc;
    /**
     * The indCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-4]
     * @var int
     */
    public $indCode;
    /**
     * The status
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [01]
     * @var int
     */
    public $status;
    /**
     * Constructor method for Pmt
     * @see parent::__construct()
     * @param long $_id
     * @param int $_type
     * @param TransFirstStructCard $_card
     * @param string $_ordNr
     * @param string $_amt
     * @param TransFirstStructTax $_tax
     * @param TransFirstStructAchEcheck $_ach
     * @param string $_desc
     * @param int $_indCode
     * @param int $_status
     * @return TransFirstStructPmt
     */
    public function __construct($_id = NULL,$_type = NULL,$_card = NULL,$_ordNr = NULL,$_amt = NULL,$_tax = NULL,$_ach = NULL,$_desc = NULL,$_indCode = NULL,$_status = NULL)
    {
        parent::__construct(array('id'=>$_id,'type'=>$_type,'card'=>$_card,'ordNr'=>$_ordNr,'amt'=>$_amt,'tax'=>$_tax,'ach'=>$_ach,'desc'=>$_desc,'indCode'=>$_indCode,'status'=>$_status),false);
    }
    /**
     * Get id value
     * @return long|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param long $_id the id
     * @return long
     */
    public function setId($_id)
    {
        return ($this->id = $_id);
    }
    /**
     * Get type value
     * @return int|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param int $_type the type
     * @return int
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Get card value
     * @return TransFirstStructCard|null
     */
    public function getCard()
    {
        return $this->card;
    }
    /**
     * Set card value
     * @param TransFirstStructCard $_card the card
     * @return TransFirstStructCard
     */
    public function setCard($_card)
    {
        return ($this->card = $_card);
    }
    /**
     * Get ordNr value
     * @return string|null
     */
    public function getOrdNr()
    {
        return $this->ordNr;
    }
    /**
     * Set ordNr value
     * @param string $_ordNr the ordNr
     * @return string
     */
    public function setOrdNr($_ordNr)
    {
        return ($this->ordNr = $_ordNr);
    }
    /**
     * Get amt value
     * @return string|null
     */
    public function getAmt()
    {
        return $this->amt;
    }
    /**
     * Set amt value
     * @param string $_amt the amt
     * @return string
     */
    public function setAmt($_amt)
    {
        return ($this->amt = $_amt);
    }
    /**
     * Get tax value
     * @return TransFirstStructTax|null
     */
    public function getTax()
    {
        return $this->tax;
    }
    /**
     * Set tax value
     * @param TransFirstStructTax $_tax the tax
     * @return TransFirstStructTax
     */
    public function setTax($_tax)
    {
        return ($this->tax = $_tax);
    }
    /**
     * Get ach value
     * @return TransFirstStructAchEcheck|null
     */
    public function getAch()
    {
        return $this->ach;
    }
    /**
     * Set ach value
     * @param TransFirstStructAchEcheck $_ach the ach
     * @return TransFirstStructAchEcheck
     */
    public function setAch($_ach)
    {
        return ($this->ach = $_ach);
    }
    /**
     * Get desc value
     * @return string|null
     */
    public function getDesc()
    {
        return $this->desc;
    }
    /**
     * Set desc value
     * @param string $_desc the desc
     * @return string
     */
    public function setDesc($_desc)
    {
        return ($this->desc = $_desc);
    }
    /**
     * Get indCode value
     * @return int|null
     */
    public function getIndCode()
    {
        return $this->indCode;
    }
    /**
     * Set indCode value
     * @param int $_indCode the indCode
     * @return int
     */
    public function setIndCode($_indCode)
    {
        return ($this->indCode = $_indCode);
    }
    /**
     * Get status value
     * @return int|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param int $_status the status
     * @return int
     */
    public function setStatus($_status)
    {
        return ($this->status = $_status);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructPmt
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
