<?php
/**
 * File for class TransFirstStructPos
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructPos originally named Pos
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructPos extends TransFirstWsdlClass
{
    /**
     * The mcc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [0-9]{4}
     * @var string
     */
    public $mcc;
    /**
     * The storeNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [A-Za-z0-9]{1,4}
     * @var string
     */
    public $storeNr;
    /**
     * The termId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [A-Za-z0-9]{1,4}
     * @var string
     */
    public $termId;
    /**
     * The pmtDesc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 25
     * - minLength : 1
     * - pattern : .{1,50}
     * @var string
     */
    public $pmtDesc;
    /**
     * The custSvcPhNr
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructPhone
     */
    public $custSvcPhNr;
    /**
     * The fiid
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : .{4}
     * @var string
     */
    public $fiid;
    /**
     * The aba
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : .{9}
     * @var string
     */
    public $aba;
    /**
     * Constructor method for Pos
     * @see parent::__construct()
     * @param string $_mcc
     * @param string $_storeNr
     * @param string $_termId
     * @param string $_pmtDesc
     * @param TransFirstStructPhone $_custSvcPhNr
     * @param string $_fiid
     * @param string $_aba
     * @return TransFirstStructPos
     */
    public function __construct($_mcc = NULL,$_storeNr = NULL,$_termId = NULL,$_pmtDesc = NULL,$_custSvcPhNr = NULL,$_fiid = NULL,$_aba = NULL)
    {
        parent::__construct(array('mcc'=>$_mcc,'storeNr'=>$_storeNr,'termId'=>$_termId,'pmtDesc'=>$_pmtDesc,'custSvcPhNr'=>$_custSvcPhNr,'fiid'=>$_fiid,'aba'=>$_aba),false);
    }
    /**
     * Get mcc value
     * @return string|null
     */
    public function getMcc()
    {
        return $this->mcc;
    }
    /**
     * Set mcc value
     * @param string $_mcc the mcc
     * @return string
     */
    public function setMcc($_mcc)
    {
        return ($this->mcc = $_mcc);
    }
    /**
     * Get storeNr value
     * @return string|null
     */
    public function getStoreNr()
    {
        return $this->storeNr;
    }
    /**
     * Set storeNr value
     * @param string $_storeNr the storeNr
     * @return string
     */
    public function setStoreNr($_storeNr)
    {
        return ($this->storeNr = $_storeNr);
    }
    /**
     * Get termId value
     * @return string|null
     */
    public function getTermId()
    {
        return $this->termId;
    }
    /**
     * Set termId value
     * @param string $_termId the termId
     * @return string
     */
    public function setTermId($_termId)
    {
        return ($this->termId = $_termId);
    }
    /**
     * Get pmtDesc value
     * @return string|null
     */
    public function getPmtDesc()
    {
        return $this->pmtDesc;
    }
    /**
     * Set pmtDesc value
     * @param string $_pmtDesc the pmtDesc
     * @return string
     */
    public function setPmtDesc($_pmtDesc)
    {
        return ($this->pmtDesc = $_pmtDesc);
    }
    /**
     * Get custSvcPhNr value
     * @return TransFirstStructPhone|null
     */
    public function getCustSvcPhNr()
    {
        return $this->custSvcPhNr;
    }
    /**
     * Set custSvcPhNr value
     * @param TransFirstStructPhone $_custSvcPhNr the custSvcPhNr
     * @return TransFirstStructPhone
     */
    public function setCustSvcPhNr($_custSvcPhNr)
    {
        return ($this->custSvcPhNr = $_custSvcPhNr);
    }
    /**
     * Get fiid value
     * @return string|null
     */
    public function getFiid()
    {
        return $this->fiid;
    }
    /**
     * Set fiid value
     * @param string $_fiid the fiid
     * @return string
     */
    public function setFiid($_fiid)
    {
        return ($this->fiid = $_fiid);
    }
    /**
     * Get aba value
     * @return string|null
     */
    public function getAba()
    {
        return $this->aba;
    }
    /**
     * Set aba value
     * @param string $_aba the aba
     * @return string
     */
    public function setAba($_aba)
    {
        return ($this->aba = $_aba);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructPos
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
