<?php
/**
 * File for class TransFirstStructProdData
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructProdData originally named ProdData
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructProdData extends TransFirstWsdlClass
{
    /**
     * The id
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 15
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $id;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - maxLength : 6
     * - minInclusive : 0
     * - minLength : 2
     * - pattern : \d{1}
     * @var int
     */
    public $type;
    /**
     * The prod
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructProd
     */
    public $prod;
    /**
     * The quantity
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : \d{1,12}
     * @var string
     */
    public $quantity;
    /**
     * Constructor method for ProdData
     * @see parent::__construct()
     * @param long $_id
     * @param int $_type
     * @param TransFirstStructProd $_prod
     * @param string $_quantity
     * @return TransFirstStructProdData
     */
    public function __construct($_id = NULL,$_type = NULL,$_prod = NULL,$_quantity = NULL)
    {
        parent::__construct(array('id'=>$_id,'type'=>$_type,'prod'=>$_prod,'quantity'=>$_quantity),false);
    }
    /**
     * Get id value
     * @return long|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param long $_id the id
     * @return long
     */
    public function setId($_id)
    {
        return ($this->id = $_id);
    }
    /**
     * Get type value
     * @return int|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param int $_type the type
     * @return int
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Get prod value
     * @return TransFirstStructProd|null
     */
    public function getProd()
    {
        return $this->prod;
    }
    /**
     * Set prod value
     * @param TransFirstStructProd $_prod the prod
     * @return TransFirstStructProd
     */
    public function setProd($_prod)
    {
        return ($this->prod = $_prod);
    }
    /**
     * Get quantity value
     * @return string|null
     */
    public function getQuantity()
    {
        return $this->quantity;
    }
    /**
     * Set quantity value
     * @param string $_quantity the quantity
     * @return string
     */
    public function setQuantity($_quantity)
    {
        return ($this->quantity = $_quantity);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructProdData
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
