<?php
/**
 * File for class TransFirstStructProdInfo
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructProdInfo originally named ProdInfo
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructProdInfo extends TransFirstWsdlClass
{
    /**
     * The prodId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - minInclusive : 0
     * - pattern : \d+
     * @var long
     */
    public $prodId;
    /**
     * The quantity
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : \d{1,12}
     * @var string
     */
    public $quantity;
    /**
     * Constructor method for ProdInfo
     * @see parent::__construct()
     * @param long $_prodId
     * @param string $_quantity
     * @return TransFirstStructProdInfo
     */
    public function __construct($_prodId = NULL,$_quantity = NULL)
    {
        parent::__construct(array('prodId'=>$_prodId,'quantity'=>$_quantity),false);
    }
    /**
     * Get prodId value
     * @return long|null
     */
    public function getProdId()
    {
        return $this->prodId;
    }
    /**
     * Set prodId value
     * @param long $_prodId the prodId
     * @return long
     */
    public function setProdId($_prodId)
    {
        return ($this->prodId = $_prodId);
    }
    /**
     * Get quantity value
     * @return string|null
     */
    public function getQuantity()
    {
        return $this->quantity;
    }
    /**
     * Set quantity value
     * @param string $_quantity the quantity
     * @return string
     */
    public function setQuantity($_quantity)
    {
        return ($this->quantity = $_quantity);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructProdInfo
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
