<?php
/**
 * File for class TransFirstStructProd
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructProd originally named Prod
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructProd extends TransFirstWsdlClass
{
    /**
     * The prodName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 25
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $prodName;
    /**
     * The stat
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $stat;
    /**
     * The itemNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{3}
     * @var int
     */
    public $itemNr;
    /**
     * The desc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 100
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $desc;
    /**
     * The price
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : \d{1,12}
     * @var string
     */
    public $price;
    /**
     * The taxPctg
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 8
     * - minLength : 1
     * - pattern : ([0-9]{1,3}|[0-9]{0,3}[.][0-9]{1,6})
     * @var string
     */
    public $taxPctg;
    /**
     * The unitOfMsr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $unitOfMsr;
    /**
     * The setupFee
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : \d{1,12}
     * @var string
     */
    public $setupFee;
    /**
     * Constructor method for Prod
     * @see parent::__construct()
     * @param string $_prodName
     * @param int $_stat
     * @param int $_itemNr
     * @param string $_desc
     * @param string $_price
     * @param string $_taxPctg
     * @param string $_unitOfMsr
     * @param string $_setupFee
     * @return TransFirstStructProd
     */
    public function __construct($_prodName = NULL,$_stat = NULL,$_itemNr = NULL,$_desc = NULL,$_price = NULL,$_taxPctg = NULL,$_unitOfMsr = NULL,$_setupFee = NULL)
    {
        parent::__construct(array('prodName'=>$_prodName,'stat'=>$_stat,'itemNr'=>$_itemNr,'desc'=>$_desc,'price'=>$_price,'taxPctg'=>$_taxPctg,'unitOfMsr'=>$_unitOfMsr,'setupFee'=>$_setupFee),false);
    }
    /**
     * Get prodName value
     * @return string|null
     */
    public function getProdName()
    {
        return $this->prodName;
    }
    /**
     * Set prodName value
     * @param string $_prodName the prodName
     * @return string
     */
    public function setProdName($_prodName)
    {
        return ($this->prodName = $_prodName);
    }
    /**
     * Get stat value
     * @return int|null
     */
    public function getStat()
    {
        return $this->stat;
    }
    /**
     * Set stat value
     * @param int $_stat the stat
     * @return int
     */
    public function setStat($_stat)
    {
        return ($this->stat = $_stat);
    }
    /**
     * Get itemNr value
     * @return int|null
     */
    public function getItemNr()
    {
        return $this->itemNr;
    }
    /**
     * Set itemNr value
     * @param int $_itemNr the itemNr
     * @return int
     */
    public function setItemNr($_itemNr)
    {
        return ($this->itemNr = $_itemNr);
    }
    /**
     * Get desc value
     * @return string|null
     */
    public function getDesc()
    {
        return $this->desc;
    }
    /**
     * Set desc value
     * @param string $_desc the desc
     * @return string
     */
    public function setDesc($_desc)
    {
        return ($this->desc = $_desc);
    }
    /**
     * Get price value
     * @return string|null
     */
    public function getPrice()
    {
        return $this->price;
    }
    /**
     * Set price value
     * @param string $_price the price
     * @return string
     */
    public function setPrice($_price)
    {
        return ($this->price = $_price);
    }
    /**
     * Get taxPctg value
     * @return string|null
     */
    public function getTaxPctg()
    {
        return $this->taxPctg;
    }
    /**
     * Set taxPctg value
     * @param string $_taxPctg the taxPctg
     * @return string
     */
    public function setTaxPctg($_taxPctg)
    {
        return ($this->taxPctg = $_taxPctg);
    }
    /**
     * Get unitOfMsr value
     * @return string|null
     */
    public function getUnitOfMsr()
    {
        return $this->unitOfMsr;
    }
    /**
     * Set unitOfMsr value
     * @param string $_unitOfMsr the unitOfMsr
     * @return string
     */
    public function setUnitOfMsr($_unitOfMsr)
    {
        return ($this->unitOfMsr = $_unitOfMsr);
    }
    /**
     * Get setupFee value
     * @return string|null
     */
    public function getSetupFee()
    {
        return $this->setupFee;
    }
    /**
     * Set setupFee value
     * @param string $_setupFee the setupFee
     * @return string
     */
    public function setSetupFee($_setupFee)
    {
        return ($this->setupFee = $_setupFee);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructProd
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
