<?php
/**
 * File for class TransFirstStructPurcCard
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructPurcCard originally named PurcCard
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructPurcCard extends TransFirstWsdlClass
{
    /**
     * The custId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 25
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $custId;
    /**
     * The cardAcptrTaxId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : [A-Za-z0-9]+[A-Za-z0-9_]*
     * @var string
     */
    public $cardAcptrTaxId;
    /**
     * The cardAcptrVatNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w{1,20}
     * @var string
     */
    public $cardAcptrVatNr;
    /**
     * The cardAcptrRefNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w{1,20}
     * @var string
     */
    public $cardAcptrRefNr;
    /**
     * The corpVatNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w{1,20}
     * @var string
     */
    public $corpVatNr;
    /**
     * The custVatNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w{1,20}
     * @var string
     */
    public $custVatNr;
    /**
     * The mercOrdNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 17
     * - minLength : 1
     * - pattern : [A-Za-z0-9 ]{1,17}
     * @var string
     */
    public $mercOrdNr;
    /**
     * The invcNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w{1,20}
     * @var string
     */
    public $invcNr;
    /**
     * The ordDt
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var dateTime
     */
    public $ordDt;
    /**
     * The purcDt
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var dateTime
     */
    public $purcDt;
    /**
     * The custBlngCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w{1,20}
     * @var string
     */
    public $custBlngCode;
    /**
     * The custOrdNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 22
     * - minLength : 1
     * - pattern : \w{1,20}
     * @var string
     */
    public $custOrdNr;
    /**
     * The taxExmp
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [YN]
     * @var string
     */
    public $taxExmp;
    /**
     * The cmdyCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w+
     * @var string
     */
    public $cmdyCode;
    /**
     * The desc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 100
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $desc;
    /**
     * The dcntAmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $dcntAmt;
    /**
     * The shpAmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $shpAmt;
    /**
     * The dutyAmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $dutyAmt;
    /**
     * The taxColld
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [YN]
     * @var string
     */
    public $taxColld;
    /**
     * The totAmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $totAmt;
    /**
     * The cmnt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 40
     * - minLength : 1
     * - pattern : \w{1,40}
     * @var string
     */
    public $cmnt;
    /**
     * The privData
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 999
     * - minLength : 1
     * - pattern : .{1,999}
     * @var string
     */
    public $privData;
    /**
     * The lineItem
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructLineItem
     */
    public $lineItem;
    /**
     * The tax
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructPurcCardTax
     */
    public $tax;
    /**
     * The billShip
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructBillShip
     */
    public $billShip;
    /**
     * Constructor method for PurcCard
     * @see parent::__construct()
     * @param long $_custId
     * @param string $_cardAcptrTaxId
     * @param string $_cardAcptrVatNr
     * @param string $_cardAcptrRefNr
     * @param string $_corpVatNr
     * @param string $_custVatNr
     * @param string $_mercOrdNr
     * @param string $_invcNr
     * @param dateTime $_ordDt
     * @param dateTime $_purcDt
     * @param string $_custBlngCode
     * @param string $_custOrdNr
     * @param string $_taxExmp
     * @param string $_cmdyCode
     * @param string $_desc
     * @param string $_dcntAmt
     * @param string $_shpAmt
     * @param string $_dutyAmt
     * @param string $_taxColld
     * @param string $_totAmt
     * @param string $_cmnt
     * @param string $_privData
     * @param TransFirstStructLineItem $_lineItem
     * @param TransFirstStructPurcCardTax $_tax
     * @param TransFirstStructBillShip $_billShip
     * @return TransFirstStructPurcCard
     */
    public function __construct($_custId = NULL,$_cardAcptrTaxId = NULL,$_cardAcptrVatNr = NULL,$_cardAcptrRefNr = NULL,$_corpVatNr = NULL,$_custVatNr = NULL,$_mercOrdNr = NULL,$_invcNr = NULL,$_ordDt = NULL,$_purcDt = NULL,$_custBlngCode = NULL,$_custOrdNr = NULL,$_taxExmp = NULL,$_cmdyCode = NULL,$_desc = NULL,$_dcntAmt = NULL,$_shpAmt = NULL,$_dutyAmt = NULL,$_taxColld = NULL,$_totAmt = NULL,$_cmnt = NULL,$_privData = NULL,$_lineItem = NULL,$_tax = NULL,$_billShip = NULL)
    {
        parent::__construct(array('custId'=>$_custId,'cardAcptrTaxId'=>$_cardAcptrTaxId,'cardAcptrVatNr'=>$_cardAcptrVatNr,'cardAcptrRefNr'=>$_cardAcptrRefNr,'corpVatNr'=>$_corpVatNr,'custVatNr'=>$_custVatNr,'mercOrdNr'=>$_mercOrdNr,'invcNr'=>$_invcNr,'ordDt'=>$_ordDt,'purcDt'=>$_purcDt,'custBlngCode'=>$_custBlngCode,'custOrdNr'=>$_custOrdNr,'taxExmp'=>$_taxExmp,'cmdyCode'=>$_cmdyCode,'desc'=>$_desc,'dcntAmt'=>$_dcntAmt,'shpAmt'=>$_shpAmt,'dutyAmt'=>$_dutyAmt,'taxColld'=>$_taxColld,'totAmt'=>$_totAmt,'cmnt'=>$_cmnt,'privData'=>$_privData,'lineItem'=>$_lineItem,'tax'=>$_tax,'billShip'=>$_billShip),false);
    }
    /**
     * Get custId value
     * @return long|null
     */
    public function getCustId()
    {
        return $this->custId;
    }
    /**
     * Set custId value
     * @param long $_custId the custId
     * @return long
     */
    public function setCustId($_custId)
    {
        return ($this->custId = $_custId);
    }
    /**
     * Get cardAcptrTaxId value
     * @return string|null
     */
    public function getCardAcptrTaxId()
    {
        return $this->cardAcptrTaxId;
    }
    /**
     * Set cardAcptrTaxId value
     * @param string $_cardAcptrTaxId the cardAcptrTaxId
     * @return string
     */
    public function setCardAcptrTaxId($_cardAcptrTaxId)
    {
        return ($this->cardAcptrTaxId = $_cardAcptrTaxId);
    }
    /**
     * Get cardAcptrVatNr value
     * @return string|null
     */
    public function getCardAcptrVatNr()
    {
        return $this->cardAcptrVatNr;
    }
    /**
     * Set cardAcptrVatNr value
     * @param string $_cardAcptrVatNr the cardAcptrVatNr
     * @return string
     */
    public function setCardAcptrVatNr($_cardAcptrVatNr)
    {
        return ($this->cardAcptrVatNr = $_cardAcptrVatNr);
    }
    /**
     * Get cardAcptrRefNr value
     * @return string|null
     */
    public function getCardAcptrRefNr()
    {
        return $this->cardAcptrRefNr;
    }
    /**
     * Set cardAcptrRefNr value
     * @param string $_cardAcptrRefNr the cardAcptrRefNr
     * @return string
     */
    public function setCardAcptrRefNr($_cardAcptrRefNr)
    {
        return ($this->cardAcptrRefNr = $_cardAcptrRefNr);
    }
    /**
     * Get corpVatNr value
     * @return string|null
     */
    public function getCorpVatNr()
    {
        return $this->corpVatNr;
    }
    /**
     * Set corpVatNr value
     * @param string $_corpVatNr the corpVatNr
     * @return string
     */
    public function setCorpVatNr($_corpVatNr)
    {
        return ($this->corpVatNr = $_corpVatNr);
    }
    /**
     * Get custVatNr value
     * @return string|null
     */
    public function getCustVatNr()
    {
        return $this->custVatNr;
    }
    /**
     * Set custVatNr value
     * @param string $_custVatNr the custVatNr
     * @return string
     */
    public function setCustVatNr($_custVatNr)
    {
        return ($this->custVatNr = $_custVatNr);
    }
    /**
     * Get mercOrdNr value
     * @return string|null
     */
    public function getMercOrdNr()
    {
        return $this->mercOrdNr;
    }
    /**
     * Set mercOrdNr value
     * @param string $_mercOrdNr the mercOrdNr
     * @return string
     */
    public function setMercOrdNr($_mercOrdNr)
    {
        return ($this->mercOrdNr = $_mercOrdNr);
    }
    /**
     * Get invcNr value
     * @return string|null
     */
    public function getInvcNr()
    {
        return $this->invcNr;
    }
    /**
     * Set invcNr value
     * @param string $_invcNr the invcNr
     * @return string
     */
    public function setInvcNr($_invcNr)
    {
        return ($this->invcNr = $_invcNr);
    }
    /**
     * Get ordDt value
     * @return dateTime|null
     */
    public function getOrdDt()
    {
        return $this->ordDt;
    }
    /**
     * Set ordDt value
     * @param dateTime $_ordDt the ordDt
     * @return dateTime
     */
    public function setOrdDt($_ordDt)
    {
        return ($this->ordDt = $_ordDt);
    }
    /**
     * Get purcDt value
     * @return dateTime|null
     */
    public function getPurcDt()
    {
        return $this->purcDt;
    }
    /**
     * Set purcDt value
     * @param dateTime $_purcDt the purcDt
     * @return dateTime
     */
    public function setPurcDt($_purcDt)
    {
        return ($this->purcDt = $_purcDt);
    }
    /**
     * Get custBlngCode value
     * @return string|null
     */
    public function getCustBlngCode()
    {
        return $this->custBlngCode;
    }
    /**
     * Set custBlngCode value
     * @param string $_custBlngCode the custBlngCode
     * @return string
     */
    public function setCustBlngCode($_custBlngCode)
    {
        return ($this->custBlngCode = $_custBlngCode);
    }
    /**
     * Get custOrdNr value
     * @return string|null
     */
    public function getCustOrdNr()
    {
        return $this->custOrdNr;
    }
    /**
     * Set custOrdNr value
     * @param string $_custOrdNr the custOrdNr
     * @return string
     */
    public function setCustOrdNr($_custOrdNr)
    {
        return ($this->custOrdNr = $_custOrdNr);
    }
    /**
     * Get taxExmp value
     * @return string|null
     */
    public function getTaxExmp()
    {
        return $this->taxExmp;
    }
    /**
     * Set taxExmp value
     * @param string $_taxExmp the taxExmp
     * @return string
     */
    public function setTaxExmp($_taxExmp)
    {
        return ($this->taxExmp = $_taxExmp);
    }
    /**
     * Get cmdyCode value
     * @return string|null
     */
    public function getCmdyCode()
    {
        return $this->cmdyCode;
    }
    /**
     * Set cmdyCode value
     * @param string $_cmdyCode the cmdyCode
     * @return string
     */
    public function setCmdyCode($_cmdyCode)
    {
        return ($this->cmdyCode = $_cmdyCode);
    }
    /**
     * Get desc value
     * @return string|null
     */
    public function getDesc()
    {
        return $this->desc;
    }
    /**
     * Set desc value
     * @param string $_desc the desc
     * @return string
     */
    public function setDesc($_desc)
    {
        return ($this->desc = $_desc);
    }
    /**
     * Get dcntAmt value
     * @return string|null
     */
    public function getDcntAmt()
    {
        return $this->dcntAmt;
    }
    /**
     * Set dcntAmt value
     * @param string $_dcntAmt the dcntAmt
     * @return string
     */
    public function setDcntAmt($_dcntAmt)
    {
        return ($this->dcntAmt = $_dcntAmt);
    }
    /**
     * Get shpAmt value
     * @return string|null
     */
    public function getShpAmt()
    {
        return $this->shpAmt;
    }
    /**
     * Set shpAmt value
     * @param string $_shpAmt the shpAmt
     * @return string
     */
    public function setShpAmt($_shpAmt)
    {
        return ($this->shpAmt = $_shpAmt);
    }
    /**
     * Get dutyAmt value
     * @return string|null
     */
    public function getDutyAmt()
    {
        return $this->dutyAmt;
    }
    /**
     * Set dutyAmt value
     * @param string $_dutyAmt the dutyAmt
     * @return string
     */
    public function setDutyAmt($_dutyAmt)
    {
        return ($this->dutyAmt = $_dutyAmt);
    }
    /**
     * Get taxColld value
     * @return string|null
     */
    public function getTaxColld()
    {
        return $this->taxColld;
    }
    /**
     * Set taxColld value
     * @param string $_taxColld the taxColld
     * @return string
     */
    public function setTaxColld($_taxColld)
    {
        return ($this->taxColld = $_taxColld);
    }
    /**
     * Get totAmt value
     * @return string|null
     */
    public function getTotAmt()
    {
        return $this->totAmt;
    }
    /**
     * Set totAmt value
     * @param string $_totAmt the totAmt
     * @return string
     */
    public function setTotAmt($_totAmt)
    {
        return ($this->totAmt = $_totAmt);
    }
    /**
     * Get cmnt value
     * @return string|null
     */
    public function getCmnt()
    {
        return $this->cmnt;
    }
    /**
     * Set cmnt value
     * @param string $_cmnt the cmnt
     * @return string
     */
    public function setCmnt($_cmnt)
    {
        return ($this->cmnt = $_cmnt);
    }
    /**
     * Get privData value
     * @return string|null
     */
    public function getPrivData()
    {
        return $this->privData;
    }
    /**
     * Set privData value
     * @param string $_privData the privData
     * @return string
     */
    public function setPrivData($_privData)
    {
        return ($this->privData = $_privData);
    }
    /**
     * Get lineItem value
     * @return TransFirstStructLineItem|null
     */
    public function getLineItem()
    {
        return $this->lineItem;
    }
    /**
     * Set lineItem value
     * @param TransFirstStructLineItem $_lineItem the lineItem
     * @return TransFirstStructLineItem
     */
    public function setLineItem($_lineItem)
    {
        return ($this->lineItem = $_lineItem);
    }
    /**
     * Get tax value
     * @return TransFirstStructPurcCardTax|null
     */
    public function getTax()
    {
        return $this->tax;
    }
    /**
     * Set tax value
     * @param TransFirstStructPurcCardTax $_tax the tax
     * @return TransFirstStructPurcCardTax
     */
    public function setTax($_tax)
    {
        return ($this->tax = $_tax);
    }
    /**
     * Get billShip value
     * @return TransFirstStructBillShip|null
     */
    public function getBillShip()
    {
        return $this->billShip;
    }
    /**
     * Set billShip value
     * @param TransFirstStructBillShip $_billShip the billShip
     * @return TransFirstStructBillShip
     */
    public function setBillShip($_billShip)
    {
        return ($this->billShip = $_billShip);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructPurcCard
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
