<?php
/**
 * File for class TransFirstStructPurcCardTax
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructPurcCardTax originally named PurcCardTax
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructPurcCardTax extends TransFirstWsdlClass
{
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - maxLength : 6
     * - minInclusive : 0
     * - minLength : 2
     * - pattern : \d{1}
     * @var int
     */
    public $type;
    /**
     * The desc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 100
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $desc;
    /**
     * The incld
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [YN]
     * @var string
     */
    public $incld;
    /**
     * The amt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : [0-9]{1,12}
     * @var string
     */
    public $amt;
    /**
     * The rate
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 99999
     * - minInclusive : 0
     * - pattern : \d{1,5}
     * @var int
     */
    public $rate;
    /**
     * The rateExp
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $rateExp;
    /**
     * The cardAcptrId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 20
     * - minLength : 1
     * - pattern : \w+
     * @var string
     */
    public $cardAcptrId;
    /**
     * Constructor method for PurcCardTax
     * @see parent::__construct()
     * @param int $_type
     * @param string $_desc
     * @param string $_incld
     * @param string $_amt
     * @param int $_rate
     * @param int $_rateExp
     * @param string $_cardAcptrId
     * @return TransFirstStructPurcCardTax
     */
    public function __construct($_type = NULL,$_desc = NULL,$_incld = NULL,$_amt = NULL,$_rate = NULL,$_rateExp = NULL,$_cardAcptrId = NULL)
    {
        parent::__construct(array('type'=>$_type,'desc'=>$_desc,'incld'=>$_incld,'amt'=>$_amt,'rate'=>$_rate,'rateExp'=>$_rateExp,'cardAcptrId'=>$_cardAcptrId),false);
    }
    /**
     * Get type value
     * @return int|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param int $_type the type
     * @return int
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Get desc value
     * @return string|null
     */
    public function getDesc()
    {
        return $this->desc;
    }
    /**
     * Set desc value
     * @param string $_desc the desc
     * @return string
     */
    public function setDesc($_desc)
    {
        return ($this->desc = $_desc);
    }
    /**
     * Get incld value
     * @return string|null
     */
    public function getIncld()
    {
        return $this->incld;
    }
    /**
     * Set incld value
     * @param string $_incld the incld
     * @return string
     */
    public function setIncld($_incld)
    {
        return ($this->incld = $_incld);
    }
    /**
     * Get amt value
     * @return string|null
     */
    public function getAmt()
    {
        return $this->amt;
    }
    /**
     * Set amt value
     * @param string $_amt the amt
     * @return string
     */
    public function setAmt($_amt)
    {
        return ($this->amt = $_amt);
    }
    /**
     * Get rate value
     * @return int|null
     */
    public function getRate()
    {
        return $this->rate;
    }
    /**
     * Set rate value
     * @param int $_rate the rate
     * @return int
     */
    public function setRate($_rate)
    {
        return ($this->rate = $_rate);
    }
    /**
     * Get rateExp value
     * @return int|null
     */
    public function getRateExp()
    {
        return $this->rateExp;
    }
    /**
     * Set rateExp value
     * @param int $_rateExp the rateExp
     * @return int
     */
    public function setRateExp($_rateExp)
    {
        return ($this->rateExp = $_rateExp);
    }
    /**
     * Get cardAcptrId value
     * @return string|null
     */
    public function getCardAcptrId()
    {
        return $this->cardAcptrId;
    }
    /**
     * Set cardAcptrId value
     * @param string $_cardAcptrId the cardAcptrId
     * @return string
     */
    public function setCardAcptrId($_cardAcptrId)
    {
        return ($this->cardAcptrId = $_cardAcptrId);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructPurcCardTax
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
