<?php
/**
 * File for class TransFirstStructRecurMan
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructRecurMan originally named RecurMan
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructRecurMan extends TransFirstWsdlClass
{
    /**
     * The id
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 15
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $id;
    /**
     * The sec
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{3,4}
     * @var string
     */
    public $sec;
    /**
     * The seccCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 7
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $seccCode;
    /**
     * The prodInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructProdInfo
     */
    public $prodInfo;
    /**
     * Constructor method for RecurMan
     * @see parent::__construct()
     * @param long $_id
     * @param string $_sec
     * @param int $_seccCode
     * @param TransFirstStructProdInfo $_prodInfo
     * @return TransFirstStructRecurMan
     */
    public function __construct($_id = NULL,$_sec = NULL,$_seccCode = NULL,$_prodInfo = NULL)
    {
        parent::__construct(array('id'=>$_id,'sec'=>$_sec,'seccCode'=>$_seccCode,'prodInfo'=>$_prodInfo),false);
    }
    /**
     * Get id value
     * @return long|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param long $_id the id
     * @return long
     */
    public function setId($_id)
    {
        return ($this->id = $_id);
    }
    /**
     * Get sec value
     * @return string|null
     */
    public function getSec()
    {
        return $this->sec;
    }
    /**
     * Set sec value
     * @param string $_sec the sec
     * @return string
     */
    public function setSec($_sec)
    {
        return ($this->sec = $_sec);
    }
    /**
     * Get seccCode value
     * @return int|null
     */
    public function getSeccCode()
    {
        return $this->seccCode;
    }
    /**
     * Set seccCode value
     * @param int $_seccCode the seccCode
     * @return int
     */
    public function setSeccCode($_seccCode)
    {
        return ($this->seccCode = $_seccCode);
    }
    /**
     * Get prodInfo value
     * @return TransFirstStructProdInfo|null
     */
    public function getProdInfo()
    {
        return $this->prodInfo;
    }
    /**
     * Set prodInfo value
     * @param TransFirstStructProdInfo $_prodInfo the prodInfo
     * @return TransFirstStructProdInfo
     */
    public function setProdInfo($_prodInfo)
    {
        return ($this->prodInfo = $_prodInfo);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructRecurMan
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
