<?php
/**
 * File for class TransFirstStructRecurPmt
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructRecurPmt originally named RecurPmt
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructRecurPmt extends TransFirstWsdlClass
{
    /**
     * The pmtFreq
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $pmtFreq;
    /**
     * The initRecurPmtIdcr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $initRecurPmtIdcr;
    /**
     * The pmtNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 999
     * - minInclusive : 1
     * - pattern : \d{1,3}
     * @var int
     */
    public $pmtNr;
    /**
     * The nrOfPmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - minInclusive : 1
     * - pattern : (0|[1-9]{1}[0-9]{0,8}|[1]{1}[0-9]{1,9}|[2]{1}([0]{1}[0-9]{8}|[1]{1}([0-3]{1}[0-9]{7}|[4]{1}([0-6]{1}[0-9]{6}|[7]{1}([0-3]{1}[0-9]{5}|[4]{1}([0-7]{1}[0-9]{4}|[8]{1}([0-2]{1}[0-9]{3}|[3]{1}([0-5]{1}[0-9]{2}|[6]{1}([0-3]{1}[0-9]{1}|[4]{1}[0-7]{1})))))))))
     * @var int
     */
    public $nrOfPmt;
    /**
     * Constructor method for RecurPmt
     * @see parent::__construct()
     * @param int $_pmtFreq
     * @param int $_initRecurPmtIdcr
     * @param int $_pmtNr
     * @param int $_nrOfPmt
     * @return TransFirstStructRecurPmt
     */
    public function __construct($_pmtFreq = NULL,$_initRecurPmtIdcr = NULL,$_pmtNr = NULL,$_nrOfPmt = NULL)
    {
        parent::__construct(array('pmtFreq'=>$_pmtFreq,'initRecurPmtIdcr'=>$_initRecurPmtIdcr,'pmtNr'=>$_pmtNr,'nrOfPmt'=>$_nrOfPmt),false);
    }
    /**
     * Get pmtFreq value
     * @return int|null
     */
    public function getPmtFreq()
    {
        return $this->pmtFreq;
    }
    /**
     * Set pmtFreq value
     * @param int $_pmtFreq the pmtFreq
     * @return int
     */
    public function setPmtFreq($_pmtFreq)
    {
        return ($this->pmtFreq = $_pmtFreq);
    }
    /**
     * Get initRecurPmtIdcr value
     * @return int|null
     */
    public function getInitRecurPmtIdcr()
    {
        return $this->initRecurPmtIdcr;
    }
    /**
     * Set initRecurPmtIdcr value
     * @param int $_initRecurPmtIdcr the initRecurPmtIdcr
     * @return int
     */
    public function setInitRecurPmtIdcr($_initRecurPmtIdcr)
    {
        return ($this->initRecurPmtIdcr = $_initRecurPmtIdcr);
    }
    /**
     * Get pmtNr value
     * @return int|null
     */
    public function getPmtNr()
    {
        return $this->pmtNr;
    }
    /**
     * Set pmtNr value
     * @param int $_pmtNr the pmtNr
     * @return int
     */
    public function setPmtNr($_pmtNr)
    {
        return ($this->pmtNr = $_pmtNr);
    }
    /**
     * Get nrOfPmt value
     * @return int|null
     */
    public function getNrOfPmt()
    {
        return $this->nrOfPmt;
    }
    /**
     * Set nrOfPmt value
     * @param int $_nrOfPmt the nrOfPmt
     * @return int
     */
    public function setNrOfPmt($_nrOfPmt)
    {
        return ($this->nrOfPmt = $_nrOfPmt);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructRecurPmt
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
