<?php
/**
 * File for class TransFirstStructRecurProf
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructRecurProf originally named RecurProf
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructRecurProf extends TransFirstWsdlClass
{
    /**
     * The recurProfId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - minInclusive : 0
     * - pattern : \d+
     * @var long
     */
    public $recurProfId;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - maxLength : 6
     * - minInclusive : 0
     * - minLength : 2
     * - pattern : \d{1}
     * @var int
     */
    public $type;
    /**
     * The recur
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructRecur
     */
    public $recur;
    /**
     * The prodData
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructProdData
     */
    public $prodData;
    /**
     * Constructor method for RecurProf
     * @see parent::__construct()
     * @param long $_recurProfId
     * @param int $_type
     * @param TransFirstStructRecur $_recur
     * @param TransFirstStructProdData $_prodData
     * @return TransFirstStructRecurProf
     */
    public function __construct($_recurProfId = NULL,$_type = NULL,$_recur = NULL,$_prodData = NULL)
    {
        parent::__construct(array('recurProfId'=>$_recurProfId,'type'=>$_type,'recur'=>$_recur,'prodData'=>$_prodData),false);
    }
    /**
     * Get recurProfId value
     * @return long|null
     */
    public function getRecurProfId()
    {
        return $this->recurProfId;
    }
    /**
     * Set recurProfId value
     * @param long $_recurProfId the recurProfId
     * @return long
     */
    public function setRecurProfId($_recurProfId)
    {
        return ($this->recurProfId = $_recurProfId);
    }
    /**
     * Get type value
     * @return int|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param int $_type the type
     * @return int
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Get recur value
     * @return TransFirstStructRecur|null
     */
    public function getRecur()
    {
        return $this->recur;
    }
    /**
     * Set recur value
     * @param TransFirstStructRecur $_recur the recur
     * @return TransFirstStructRecur
     */
    public function setRecur($_recur)
    {
        return ($this->recur = $_recur);
    }
    /**
     * Get prodData value
     * @return TransFirstStructProdData|null
     */
    public function getProdData()
    {
        return $this->prodData;
    }
    /**
     * Set prodData value
     * @param TransFirstStructProdData $_prodData the prodData
     * @return TransFirstStructProdData
     */
    public function setProdData($_prodData)
    {
        return ($this->prodData = $_prodData);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructRecurProf
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
