<?php
/**
 * File for class TransFirstStructRecur
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructRecur originally named Recur
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructRecur extends TransFirstWsdlClass
{
    /**
     * The startDt
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 1
     * @var dateTime
     */
    public $startDt;
    /**
     * The recurProfStat
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 2
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $recurProfStat;
    /**
     * The dbtOrCdt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $dbtOrCdt;
    /**
     * The amt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : [0-9]{1,12}
     * @var string
     */
    public $amt;
    /**
     * The nrOfPmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - minInclusive : 1
     * - pattern : (0|[1-9]{1}[0-9]{0,8}|[1]{1}[0-9]{1,9}|[2]{1}([0]{1}[0-9]{8}|[1]{1}([0-3]{1}[0-9]{7}|[4]{1}([0-6]{1}[0-9]{6}|[7]{1}([0-3]{1}[0-9]{5}|[4]{1}([0-7]{1}[0-9]{4}|[8]{1}([0-2]{1}[0-9]{3}|[3]{1}([0-5]{1}[0-9]{2}|[6]{1}([0-3]{1}[0-9]{1}|[4]{1}[0-7]{1})))))))))
     * @var int
     */
    public $nrOfPmt;
    /**
     * The blngCyc
     * @var TransFirstEnumBlngCyc
     */
    public $blngCyc;
    /**
     * The desc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 100
     * - minLength : 1
     * - pattern : .+
     * @var string
     */
    public $desc;
    /**
     * The custId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - maxLength : 25
     * - minInclusive : 0
     * - minLength : 1
     * - pattern : \d+
     * @var long
     */
    public $custId;
    /**
     * The pmtId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - minInclusive : 0
     * - pattern : \d+
     * @var long
     */
    public $pmtId;
    /**
     * The prodInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructProdInfo
     */
    public $prodInfo;
    /**
     * The nextProcDt
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var dateTime
     */
    public $nextProcDt;
    /**
     * The nrOfPmtRem
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : (0|[1-9]{1}[0-9]{0,8}|[1]{1}[0-9]{1,9}|[2]{1}([0]{1}[0-9]{8}|[1]{1}([0-3]{1}[0-9]{7}|[4]{1}([0-6]{1}[0-9]{6}|[7]{1}([0-3]{1}[0-9]{5}|[4]{1}([0-7]{1}[0-9]{4}|[8]{1}([0-2]{1}[0-9]{3}|[3]{1}([0-5]{1}[0-9]{2}|[6]{1}([0-3]{1}[0-9]{1}|[4]{1}[0-7]{1})))))))))
     * @var int
     */
    public $nrOfPmtRem;
    /**
     * The nrOfPmtProc
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : (0|[1-9]{1}[0-9]{0,8}|[1]{1}[0-9]{1,9}|[2]{1}([0]{1}[0-9]{8}|[1]{1}([0-3]{1}[0-9]{7}|[4]{1}([0-6]{1}[0-9]{6}|[7]{1}([0-3]{1}[0-9]{5}|[4]{1}([0-7]{1}[0-9]{4}|[8]{1}([0-2]{1}[0-9]{3}|[3]{1}([0-5]{1}[0-9]{2}|[6]{1}([0-3]{1}[0-9]{1}|[4]{1}[0-7]{1})))))))))
     * @var int
     */
    public $nrOfPmtProc;
    /**
     * The indCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-4]
     * @var int
     */
    public $indCode;
    /**
     * The ordNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 50
     * - minLength : 1
     * - pattern : .{1,50}
     * @var string
     */
    public $ordNr;
    /**
     * The purcOrdNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 17
     * - minLength : 1
     * - pattern : [A-Za-z0-9 ]{1,17}
     * @var string
     */
    public $purcOrdNr;
    /**
     * The shipToZipCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : .{1,9}
     * @var string
     */
    public $shipToZipCode;
    /**
     * The usrDef
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructNameVal
     */
    public $usrDef;
    /**
     * The tax
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructTax
     */
    public $tax;
    /**
     * The seccCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 7
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $seccCode;
    /**
     * The achAcctInfo
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 10
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $achAcctInfo;
    /**
     * Constructor method for Recur
     * @see parent::__construct()
     * @param dateTime $_startDt
     * @param int $_recurProfStat
     * @param int $_dbtOrCdt
     * @param string $_amt
     * @param int $_nrOfPmt
     * @param TransFirstEnumBlngCyc $_blngCyc
     * @param string $_desc
     * @param long $_custId
     * @param long $_pmtId
     * @param TransFirstStructProdInfo $_prodInfo
     * @param dateTime $_nextProcDt
     * @param int $_nrOfPmtRem
     * @param int $_nrOfPmtProc
     * @param int $_indCode
     * @param string $_ordNr
     * @param string $_purcOrdNr
     * @param string $_shipToZipCode
     * @param TransFirstStructNameVal $_usrDef
     * @param TransFirstStructTax $_tax
     * @param int $_seccCode
     * @param string $_achAcctInfo
     * @return TransFirstStructRecur
     */
    public function __construct($_startDt,$_recurProfStat = NULL,$_dbtOrCdt = NULL,$_amt = NULL,$_nrOfPmt = NULL,$_blngCyc = NULL,$_desc = NULL,$_custId = NULL,$_pmtId = NULL,$_prodInfo = NULL,$_nextProcDt = NULL,$_nrOfPmtRem = NULL,$_nrOfPmtProc = NULL,$_indCode = NULL,$_ordNr = NULL,$_purcOrdNr = NULL,$_shipToZipCode = NULL,$_usrDef = NULL,$_tax = NULL,$_seccCode = NULL,$_achAcctInfo = NULL)
    {
        parent::__construct(array('startDt'=>$_startDt,'recurProfStat'=>$_recurProfStat,'dbtOrCdt'=>$_dbtOrCdt,'amt'=>$_amt,'nrOfPmt'=>$_nrOfPmt,'blngCyc'=>$_blngCyc,'desc'=>$_desc,'custId'=>$_custId,'pmtId'=>$_pmtId,'prodInfo'=>$_prodInfo,'nextProcDt'=>$_nextProcDt,'nrOfPmtRem'=>$_nrOfPmtRem,'nrOfPmtProc'=>$_nrOfPmtProc,'indCode'=>$_indCode,'ordNr'=>$_ordNr,'purcOrdNr'=>$_purcOrdNr,'shipToZipCode'=>$_shipToZipCode,'usrDef'=>$_usrDef,'tax'=>$_tax,'seccCode'=>$_seccCode,'achAcctInfo'=>$_achAcctInfo),false);
    }
    /**
     * Get startDt value
     * @return dateTime
     */
    public function getStartDt()
    {
        return $this->startDt;
    }
    /**
     * Set startDt value
     * @param dateTime $_startDt the startDt
     * @return dateTime
     */
    public function setStartDt($_startDt)
    {
        return ($this->startDt = $_startDt);
    }
    /**
     * Get recurProfStat value
     * @return int|null
     */
    public function getRecurProfStat()
    {
        return $this->recurProfStat;
    }
    /**
     * Set recurProfStat value
     * @param int $_recurProfStat the recurProfStat
     * @return int
     */
    public function setRecurProfStat($_recurProfStat)
    {
        return ($this->recurProfStat = $_recurProfStat);
    }
    /**
     * Get dbtOrCdt value
     * @return int|null
     */
    public function getDbtOrCdt()
    {
        return $this->dbtOrCdt;
    }
    /**
     * Set dbtOrCdt value
     * @param int $_dbtOrCdt the dbtOrCdt
     * @return int
     */
    public function setDbtOrCdt($_dbtOrCdt)
    {
        return ($this->dbtOrCdt = $_dbtOrCdt);
    }
    /**
     * Get amt value
     * @return string|null
     */
    public function getAmt()
    {
        return $this->amt;
    }
    /**
     * Set amt value
     * @param string $_amt the amt
     * @return string
     */
    public function setAmt($_amt)
    {
        return ($this->amt = $_amt);
    }
    /**
     * Get nrOfPmt value
     * @return int|null
     */
    public function getNrOfPmt()
    {
        return $this->nrOfPmt;
    }
    /**
     * Set nrOfPmt value
     * @param int $_nrOfPmt the nrOfPmt
     * @return int
     */
    public function setNrOfPmt($_nrOfPmt)
    {
        return ($this->nrOfPmt = $_nrOfPmt);
    }
    /**
     * Get blngCyc value
     * @return TransFirstEnumBlngCyc|null
     */
    public function getBlngCyc()
    {
        return $this->blngCyc;
    }
    /**
     * Set blngCyc value
     * @uses TransFirstEnumBlngCyc::valueIsValid()
     * @param TransFirstEnumBlngCyc $_blngCyc the blngCyc
     * @return TransFirstEnumBlngCyc
     */
    public function setBlngCyc($_blngCyc)
    {
        if(!TransFirstEnumBlngCyc::valueIsValid($_blngCyc))
        {
            return false;
        }
        return ($this->blngCyc = $_blngCyc);
    }
    /**
     * Get desc value
     * @return string|null
     */
    public function getDesc()
    {
        return $this->desc;
    }
    /**
     * Set desc value
     * @param string $_desc the desc
     * @return string
     */
    public function setDesc($_desc)
    {
        return ($this->desc = $_desc);
    }
    /**
     * Get custId value
     * @return long|null
     */
    public function getCustId()
    {
        return $this->custId;
    }
    /**
     * Set custId value
     * @param long $_custId the custId
     * @return long
     */
    public function setCustId($_custId)
    {
        return ($this->custId = $_custId);
    }
    /**
     * Get pmtId value
     * @return long|null
     */
    public function getPmtId()
    {
        return $this->pmtId;
    }
    /**
     * Set pmtId value
     * @param long $_pmtId the pmtId
     * @return long
     */
    public function setPmtId($_pmtId)
    {
        return ($this->pmtId = $_pmtId);
    }
    /**
     * Get prodInfo value
     * @return TransFirstStructProdInfo|null
     */
    public function getProdInfo()
    {
        return $this->prodInfo;
    }
    /**
     * Set prodInfo value
     * @param TransFirstStructProdInfo $_prodInfo the prodInfo
     * @return TransFirstStructProdInfo
     */
    public function setProdInfo($_prodInfo)
    {
        return ($this->prodInfo = $_prodInfo);
    }
    /**
     * Get nextProcDt value
     * @return dateTime|null
     */
    public function getNextProcDt()
    {
        return $this->nextProcDt;
    }
    /**
     * Set nextProcDt value
     * @param dateTime $_nextProcDt the nextProcDt
     * @return dateTime
     */
    public function setNextProcDt($_nextProcDt)
    {
        return ($this->nextProcDt = $_nextProcDt);
    }
    /**
     * Get nrOfPmtRem value
     * @return int|null
     */
    public function getNrOfPmtRem()
    {
        return $this->nrOfPmtRem;
    }
    /**
     * Set nrOfPmtRem value
     * @param int $_nrOfPmtRem the nrOfPmtRem
     * @return int
     */
    public function setNrOfPmtRem($_nrOfPmtRem)
    {
        return ($this->nrOfPmtRem = $_nrOfPmtRem);
    }
    /**
     * Get nrOfPmtProc value
     * @return int|null
     */
    public function getNrOfPmtProc()
    {
        return $this->nrOfPmtProc;
    }
    /**
     * Set nrOfPmtProc value
     * @param int $_nrOfPmtProc the nrOfPmtProc
     * @return int
     */
    public function setNrOfPmtProc($_nrOfPmtProc)
    {
        return ($this->nrOfPmtProc = $_nrOfPmtProc);
    }
    /**
     * Get indCode value
     * @return int|null
     */
    public function getIndCode()
    {
        return $this->indCode;
    }
    /**
     * Set indCode value
     * @param int $_indCode the indCode
     * @return int
     */
    public function setIndCode($_indCode)
    {
        return ($this->indCode = $_indCode);
    }
    /**
     * Get ordNr value
     * @return string|null
     */
    public function getOrdNr()
    {
        return $this->ordNr;
    }
    /**
     * Set ordNr value
     * @param string $_ordNr the ordNr
     * @return string
     */
    public function setOrdNr($_ordNr)
    {
        return ($this->ordNr = $_ordNr);
    }
    /**
     * Get purcOrdNr value
     * @return string|null
     */
    public function getPurcOrdNr()
    {
        return $this->purcOrdNr;
    }
    /**
     * Set purcOrdNr value
     * @param string $_purcOrdNr the purcOrdNr
     * @return string
     */
    public function setPurcOrdNr($_purcOrdNr)
    {
        return ($this->purcOrdNr = $_purcOrdNr);
    }
    /**
     * Get shipToZipCode value
     * @return string|null
     */
    public function getShipToZipCode()
    {
        return $this->shipToZipCode;
    }
    /**
     * Set shipToZipCode value
     * @param string $_shipToZipCode the shipToZipCode
     * @return string
     */
    public function setShipToZipCode($_shipToZipCode)
    {
        return ($this->shipToZipCode = $_shipToZipCode);
    }
    /**
     * Get usrDef value
     * @return TransFirstStructNameVal|null
     */
    public function getUsrDef()
    {
        return $this->usrDef;
    }
    /**
     * Set usrDef value
     * @param TransFirstStructNameVal $_usrDef the usrDef
     * @return TransFirstStructNameVal
     */
    public function setUsrDef($_usrDef)
    {
        return ($this->usrDef = $_usrDef);
    }
    /**
     * Get tax value
     * @return TransFirstStructTax|null
     */
    public function getTax()
    {
        return $this->tax;
    }
    /**
     * Set tax value
     * @param TransFirstStructTax $_tax the tax
     * @return TransFirstStructTax
     */
    public function setTax($_tax)
    {
        return ($this->tax = $_tax);
    }
    /**
     * Get seccCode value
     * @return int|null
     */
    public function getSeccCode()
    {
        return $this->seccCode;
    }
    /**
     * Set seccCode value
     * @param int $_seccCode the seccCode
     * @return int
     */
    public function setSeccCode($_seccCode)
    {
        return ($this->seccCode = $_seccCode);
    }
    /**
     * Get achAcctInfo value
     * @return string|null
     */
    public function getAchAcctInfo()
    {
        return $this->achAcctInfo;
    }
    /**
     * Set achAcctInfo value
     * @param string $_achAcctInfo the achAcctInfo
     * @return string
     */
    public function setAchAcctInfo($_achAcctInfo)
    {
        return ($this->achAcctInfo = $_achAcctInfo);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructRecur
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
