<?php
/**
 * File for class TransFirstStructRecurrProfFromTranRequest
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructRecurrProfFromTranRequest originally named RecurrProfFromTranRequest
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructRecurrProfFromTranRequest extends TransFirstWsdlClass
{
    /**
     * The merc
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 1
     * @var TransFirstStructMerc
     */
    public $merc;
    /**
     * The tranNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{2,12}
     * @var string
     */
    public $tranNr;
    /**
     * The recurProf
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructRecurProf
     */
    public $recurProf;
    /**
     * Constructor method for RecurrProfFromTranRequest
     * @see parent::__construct()
     * @param TransFirstStructMerc $_merc
     * @param string $_tranNr
     * @param TransFirstStructRecurProf $_recurProf
     * @return TransFirstStructRecurrProfFromTranRequest
     */
    public function __construct($_merc,$_tranNr = NULL,$_recurProf = NULL)
    {
        parent::__construct(array('merc'=>$_merc,'tranNr'=>$_tranNr,'recurProf'=>$_recurProf),false);
    }
    /**
     * Get merc value
     * @return TransFirstStructMerc
     */
    public function getMerc()
    {
        return $this->merc;
    }
    /**
     * Set merc value
     * @param TransFirstStructMerc $_merc the merc
     * @return TransFirstStructMerc
     */
    public function setMerc($_merc)
    {
        return ($this->merc = $_merc);
    }
    /**
     * Get tranNr value
     * @return string|null
     */
    public function getTranNr()
    {
        return $this->tranNr;
    }
    /**
     * Set tranNr value
     * @param string $_tranNr the tranNr
     * @return string
     */
    public function setTranNr($_tranNr)
    {
        return ($this->tranNr = $_tranNr);
    }
    /**
     * Get recurProf value
     * @return TransFirstStructRecurProf|null
     */
    public function getRecurProf()
    {
        return $this->recurProf;
    }
    /**
     * Set recurProf value
     * @param TransFirstStructRecurProf $_recurProf the recurProf
     * @return TransFirstStructRecurProf
     */
    public function setRecurProf($_recurProf)
    {
        return ($this->recurProf = $_recurProf);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructRecurrProfFromTranRequest
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
