<?php
/**
 * File for class TransFirstStructSendTranRequest
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructSendTranRequest originally named SendTranRequest
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructSendTranRequest extends TransFirstWsdlClass
{
    /**
     * The merc
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 1
     * @var TransFirstStructMerc
     */
    public $merc;
    /**
     * The tranCode
     * @var TransFirstEnumTranCode
     */
    public $tranCode;
    /**
     * The card
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructCard
     */
    public $card;
    /**
     * The contact
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructContact
     */
    public $contact;
    /**
     * The reqAmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $reqAmt;
    /**
     * The prevSettleAmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{1,12}
     * @var string
     */
    public $prevSettleAmt;
    /**
     * The lclDtTm
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var dateTime
     */
    public $lclDtTm;
    /**
     * The usrDef
     * Meta informations extracted from the WSDL
     * - maxOccurs : 10
     * - minOccurs : 0
     * @var TransFirstStructNameVal
     */
    public $usrDef;
    /**
     * The pos
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructPos
     */
    public $pos;
    /**
     * The indCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-4]
     * @var int
     */
    public $indCode;
    /**
     * The tranFlags
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructTranFlags
     */
    public $tranFlags;
    /**
     * The authReq
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructAuthReq
     */
    public $authReq;
    /**
     * The origTranData
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructTranData
     */
    public $origTranData;
    /**
     * The achEcheck
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructAchEcheck
     */
    public $achEcheck;
    /**
     * The recurPmt
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructRecurPmt
     */
    public $recurPmt;
    /**
     * The recurMan
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructRecurMan
     */
    public $recurMan;
    /**
     * The tax
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructTax
     */
    public $tax;
    /**
     * The deviceType
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{2,2}
     * @var string
     */
    public $deviceType;
    /**
     * The goodsSoldCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [A-Za-z0-9]{4,4}
     * @var string
     */
    public $goodsSoldCode;
    /**
     * Constructor method for SendTranRequest
     * @see parent::__construct()
     * @param TransFirstStructMerc $_merc
     * @param TransFirstEnumTranCode $_tranCode
     * @param TransFirstStructCard $_card
     * @param TransFirstStructContact $_contact
     * @param string $_reqAmt
     * @param string $_prevSettleAmt
     * @param dateTime $_lclDtTm
     * @param TransFirstStructNameVal $_usrDef
     * @param TransFirstStructPos $_pos
     * @param int $_indCode
     * @param TransFirstStructTranFlags $_tranFlags
     * @param TransFirstStructAuthReq $_authReq
     * @param TransFirstStructTranData $_origTranData
     * @param TransFirstStructAchEcheck $_achEcheck
     * @param TransFirstStructRecurPmt $_recurPmt
     * @param TransFirstStructRecurMan $_recurMan
     * @param TransFirstStructTax $_tax
     * @param string $_deviceType
     * @param string $_goodsSoldCode
     * @return TransFirstStructSendTranRequest
     */
    public function __construct($_merc,$_tranCode = NULL,$_card = NULL,$_contact = NULL,$_reqAmt = NULL,$_prevSettleAmt = NULL,$_lclDtTm = NULL,$_usrDef = NULL,$_pos = NULL,$_indCode = NULL,$_tranFlags = NULL,$_authReq = NULL,$_origTranData = NULL,$_achEcheck = NULL,$_recurPmt = NULL,$_recurMan = NULL,$_tax = NULL,$_deviceType = NULL,$_goodsSoldCode = NULL)
    {
        parent::__construct(array('merc'=>$_merc,'tranCode'=>$_tranCode,'card'=>$_card,'contact'=>$_contact,'reqAmt'=>$_reqAmt,'prevSettleAmt'=>$_prevSettleAmt,'lclDtTm'=>$_lclDtTm,'usrDef'=>$_usrDef,'pos'=>$_pos,'indCode'=>$_indCode,'tranFlags'=>$_tranFlags,'authReq'=>$_authReq,'origTranData'=>$_origTranData,'achEcheck'=>$_achEcheck,'recurPmt'=>$_recurPmt,'recurMan'=>$_recurMan,'tax'=>$_tax,'deviceType'=>$_deviceType,'goodsSoldCode'=>$_goodsSoldCode),false);
    }
    /**
     * Get merc value
     * @return TransFirstStructMerc
     */
    public function getMerc()
    {
        return $this->merc;
    }
    /**
     * Set merc value
     * @param TransFirstStructMerc $_merc the merc
     * @return TransFirstStructMerc
     */
    public function setMerc($_merc)
    {
        return ($this->merc = $_merc);
    }
    /**
     * Get tranCode value
     * @return TransFirstEnumTranCode|null
     */
    public function getTranCode()
    {
        return $this->tranCode;
    }
    /**
     * Set tranCode value
     * @uses TransFirstEnumTranCode::valueIsValid()
     * @param TransFirstEnumTranCode $_tranCode the tranCode
     * @return TransFirstEnumTranCode
     */
    public function setTranCode($_tranCode)
    {
        if(!TransFirstEnumTranCode::valueIsValid($_tranCode))
        {
            return false;
        }
        return ($this->tranCode = $_tranCode);
    }
    /**
     * Get card value
     * @return TransFirstStructCard|null
     */
    public function getCard()
    {
        return $this->card;
    }
    /**
     * Set card value
     * @param TransFirstStructCard $_card the card
     * @return TransFirstStructCard
     */
    public function setCard($_card)
    {
        return ($this->card = $_card);
    }
    /**
     * Get contact value
     * @return TransFirstStructContact|null
     */
    public function getContact()
    {
        return $this->contact;
    }
    /**
     * Set contact value
     * @param TransFirstStructContact $_contact the contact
     * @return TransFirstStructContact
     */
    public function setContact($_contact)
    {
        return ($this->contact = $_contact);
    }
    /**
     * Get reqAmt value
     * @return string|null
     */
    public function getReqAmt()
    {
        return $this->reqAmt;
    }
    /**
     * Set reqAmt value
     * @param string $_reqAmt the reqAmt
     * @return string
     */
    public function setReqAmt($_reqAmt)
    {
        return ($this->reqAmt = $_reqAmt);
    }
    /**
     * Get prevSettleAmt value
     * @return string|null
     */
    public function getPrevSettleAmt()
    {
        return $this->prevSettleAmt;
    }
    /**
     * Set prevSettleAmt value
     * @param string $_prevSettleAmt the prevSettleAmt
     * @return string
     */
    public function setPrevSettleAmt($_prevSettleAmt)
    {
        return ($this->prevSettleAmt = $_prevSettleAmt);
    }
    /**
     * Get lclDtTm value
     * @return dateTime|null
     */
    public function getLclDtTm()
    {
        return $this->lclDtTm;
    }
    /**
     * Set lclDtTm value
     * @param dateTime $_lclDtTm the lclDtTm
     * @return dateTime
     */
    public function setLclDtTm($_lclDtTm)
    {
        return ($this->lclDtTm = $_lclDtTm);
    }
    /**
     * Get usrDef value
     * @return TransFirstStructNameVal|null
     */
    public function getUsrDef()
    {
        return $this->usrDef;
    }
    /**
     * Set usrDef value
     * @param TransFirstStructNameVal $_usrDef the usrDef
     * @return TransFirstStructNameVal
     */
    public function setUsrDef($_usrDef)
    {
        return ($this->usrDef = $_usrDef);
    }
    /**
     * Get pos value
     * @return TransFirstStructPos|null
     */
    public function getPos()
    {
        return $this->pos;
    }
    /**
     * Set pos value
     * @param TransFirstStructPos $_pos the pos
     * @return TransFirstStructPos
     */
    public function setPos($_pos)
    {
        return ($this->pos = $_pos);
    }
    /**
     * Get indCode value
     * @return int|null
     */
    public function getIndCode()
    {
        return $this->indCode;
    }
    /**
     * Set indCode value
     * @param int $_indCode the indCode
     * @return int
     */
    public function setIndCode($_indCode)
    {
        return ($this->indCode = $_indCode);
    }
    /**
     * Get tranFlags value
     * @return TransFirstStructTranFlags|null
     */
    public function getTranFlags()
    {
        return $this->tranFlags;
    }
    /**
     * Set tranFlags value
     * @param TransFirstStructTranFlags $_tranFlags the tranFlags
     * @return TransFirstStructTranFlags
     */
    public function setTranFlags($_tranFlags)
    {
        return ($this->tranFlags = $_tranFlags);
    }
    /**
     * Get authReq value
     * @return TransFirstStructAuthReq|null
     */
    public function getAuthReq()
    {
        return $this->authReq;
    }
    /**
     * Set authReq value
     * @param TransFirstStructAuthReq $_authReq the authReq
     * @return TransFirstStructAuthReq
     */
    public function setAuthReq($_authReq)
    {
        return ($this->authReq = $_authReq);
    }
    /**
     * Get origTranData value
     * @return TransFirstStructTranData|null
     */
    public function getOrigTranData()
    {
        return $this->origTranData;
    }
    /**
     * Set origTranData value
     * @param TransFirstStructTranData $_origTranData the origTranData
     * @return TransFirstStructTranData
     */
    public function setOrigTranData($_origTranData)
    {
        return ($this->origTranData = $_origTranData);
    }
    /**
     * Get achEcheck value
     * @return TransFirstStructAchEcheck|null
     */
    public function getAchEcheck()
    {
        return $this->achEcheck;
    }
    /**
     * Set achEcheck value
     * @param TransFirstStructAchEcheck $_achEcheck the achEcheck
     * @return TransFirstStructAchEcheck
     */
    public function setAchEcheck($_achEcheck)
    {
        return ($this->achEcheck = $_achEcheck);
    }
    /**
     * Get recurPmt value
     * @return TransFirstStructRecurPmt|null
     */
    public function getRecurPmt()
    {
        return $this->recurPmt;
    }
    /**
     * Set recurPmt value
     * @param TransFirstStructRecurPmt $_recurPmt the recurPmt
     * @return TransFirstStructRecurPmt
     */
    public function setRecurPmt($_recurPmt)
    {
        return ($this->recurPmt = $_recurPmt);
    }
    /**
     * Get recurMan value
     * @return TransFirstStructRecurMan|null
     */
    public function getRecurMan()
    {
        return $this->recurMan;
    }
    /**
     * Set recurMan value
     * @param TransFirstStructRecurMan $_recurMan the recurMan
     * @return TransFirstStructRecurMan
     */
    public function setRecurMan($_recurMan)
    {
        return ($this->recurMan = $_recurMan);
    }
    /**
     * Get tax value
     * @return TransFirstStructTax|null
     */
    public function getTax()
    {
        return $this->tax;
    }
    /**
     * Set tax value
     * @param TransFirstStructTax $_tax the tax
     * @return TransFirstStructTax
     */
    public function setTax($_tax)
    {
        return ($this->tax = $_tax);
    }
    /**
     * Get deviceType value
     * @return string|null
     */
    public function getDeviceType()
    {
        return $this->deviceType;
    }
    /**
     * Set deviceType value
     * @param string $_deviceType the deviceType
     * @return string
     */
    public function setDeviceType($_deviceType)
    {
        return ($this->deviceType = $_deviceType);
    }
    /**
     * Get goodsSoldCode value
     * @return string|null
     */
    public function getGoodsSoldCode()
    {
        return $this->goodsSoldCode;
    }
    /**
     * Set goodsSoldCode value
     * @param string $_goodsSoldCode the goodsSoldCode
     * @return string
     */
    public function setGoodsSoldCode($_goodsSoldCode)
    {
        return ($this->goodsSoldCode = $_goodsSoldCode);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructSendTranRequest
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
