<?php
/**
 * File for class TransFirstStructSendTranResponse
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructSendTranResponse originally named SendTranResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructSendTranResponse extends TransFirstWsdlClass
{
    /**
     * The rspCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - length : 2
     * - pattern : \w{2}
     * @var string
     */
    public $rspCode;
    /**
     * The extRspCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \w{2}
     * @var string
     */
    public $extRspCode;
    /**
     * The authRsp
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructAuthRsp
     */
    public $authRsp;
    /**
     * The tranData
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructTranData
     */
    public $tranData;
    /**
     * The invId
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 9223372036854775807
     * - minInclusive : 0
     * - pattern : \d+
     * @var long
     */
    public $invId;
    /**
     * The cardType
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-5]
     * @var string
     */
    public $cardType;
    /**
     * The mapCaid
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : .{1,15}
     * @var string
     */
    public $mapCaid;
    /**
     * The additionalAmount
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructAdditionalAmount
     */
    public $additionalAmount;
    /**
     * The achResponse
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructAchResponse
     */
    public $achResponse;
    /**
     * The merc
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructMerc
     */
    public $merc;
    /**
     * The authReq
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructAuthReq
     */
    public $authReq;
    /**
     * The usrDef
     * Meta informations extracted from the WSDL
     * - maxOccurs : 10
     * - minOccurs : 0
     * @var TransFirstStructNameVal
     */
    public $usrDef;
    /**
     * Constructor method for SendTranResponse
     * @see parent::__construct()
     * @param string $_rspCode
     * @param string $_extRspCode
     * @param TransFirstStructAuthRsp $_authRsp
     * @param TransFirstStructTranData $_tranData
     * @param long $_invId
     * @param string $_cardType
     * @param string $_mapCaid
     * @param TransFirstStructAdditionalAmount $_additionalAmount
     * @param TransFirstStructAchResponse $_achResponse
     * @param TransFirstStructMerc $_merc
     * @param TransFirstStructAuthReq $_authReq
     * @param TransFirstStructNameVal $_usrDef
     * @return TransFirstStructSendTranResponse
     */
    public function __construct($_rspCode = NULL,$_extRspCode = NULL,$_authRsp = NULL,$_tranData = NULL,$_invId = NULL,$_cardType = NULL,$_mapCaid = NULL,$_additionalAmount = NULL,$_achResponse = NULL,$_merc = NULL,$_authReq = NULL,$_usrDef = NULL)
    {
        parent::__construct(array('rspCode'=>$_rspCode,'extRspCode'=>$_extRspCode,'authRsp'=>$_authRsp,'tranData'=>$_tranData,'invId'=>$_invId,'cardType'=>$_cardType,'mapCaid'=>$_mapCaid,'additionalAmount'=>$_additionalAmount,'achResponse'=>$_achResponse,'merc'=>$_merc,'authReq'=>$_authReq,'usrDef'=>$_usrDef),false);
    }
    /**
     * Get rspCode value
     * @return string|null
     */
    public function getRspCode()
    {
        return $this->rspCode;
    }
    /**
     * Set rspCode value
     * @param string $_rspCode the rspCode
     * @return string
     */
    public function setRspCode($_rspCode)
    {
        return ($this->rspCode = $_rspCode);
    }
    /**
     * Get extRspCode value
     * @return string|null
     */
    public function getExtRspCode()
    {
        return $this->extRspCode;
    }
    /**
     * Set extRspCode value
     * @param string $_extRspCode the extRspCode
     * @return string
     */
    public function setExtRspCode($_extRspCode)
    {
        return ($this->extRspCode = $_extRspCode);
    }
    /**
     * Get authRsp value
     * @return TransFirstStructAuthRsp|null
     */
    public function getAuthRsp()
    {
        return $this->authRsp;
    }
    /**
     * Set authRsp value
     * @param TransFirstStructAuthRsp $_authRsp the authRsp
     * @return TransFirstStructAuthRsp
     */
    public function setAuthRsp($_authRsp)
    {
        return ($this->authRsp = $_authRsp);
    }
    /**
     * Get tranData value
     * @return TransFirstStructTranData|null
     */
    public function getTranData()
    {
        return $this->tranData;
    }
    /**
     * Set tranData value
     * @param TransFirstStructTranData $_tranData the tranData
     * @return TransFirstStructTranData
     */
    public function setTranData($_tranData)
    {
        return ($this->tranData = $_tranData);
    }
    /**
     * Get invId value
     * @return long|null
     */
    public function getInvId()
    {
        return $this->invId;
    }
    /**
     * Set invId value
     * @param long $_invId the invId
     * @return long
     */
    public function setInvId($_invId)
    {
        return ($this->invId = $_invId);
    }
    /**
     * Get cardType value
     * @return string|null
     */
    public function getCardType()
    {
        return $this->cardType;
    }
    /**
     * Set cardType value
     * @param string $_cardType the cardType
     * @return string
     */
    public function setCardType($_cardType)
    {
        return ($this->cardType = $_cardType);
    }
    /**
     * Get mapCaid value
     * @return string|null
     */
    public function getMapCaid()
    {
        return $this->mapCaid;
    }
    /**
     * Set mapCaid value
     * @param string $_mapCaid the mapCaid
     * @return string
     */
    public function setMapCaid($_mapCaid)
    {
        return ($this->mapCaid = $_mapCaid);
    }
    /**
     * Get additionalAmount value
     * @return TransFirstStructAdditionalAmount|null
     */
    public function getAdditionalAmount()
    {
        return $this->additionalAmount;
    }
    /**
     * Set additionalAmount value
     * @param TransFirstStructAdditionalAmount $_additionalAmount the additionalAmount
     * @return TransFirstStructAdditionalAmount
     */
    public function setAdditionalAmount($_additionalAmount)
    {
        return ($this->additionalAmount = $_additionalAmount);
    }
    /**
     * Get achResponse value
     * @return TransFirstStructAchResponse|null
     */
    public function getAchResponse()
    {
        return $this->achResponse;
    }
    /**
     * Set achResponse value
     * @param TransFirstStructAchResponse $_achResponse the achResponse
     * @return TransFirstStructAchResponse
     */
    public function setAchResponse($_achResponse)
    {
        return ($this->achResponse = $_achResponse);
    }
    /**
     * Get merc value
     * @return TransFirstStructMerc|null
     */
    public function getMerc()
    {
        return $this->merc;
    }
    /**
     * Set merc value
     * @param TransFirstStructMerc $_merc the merc
     * @return TransFirstStructMerc
     */
    public function setMerc($_merc)
    {
        return ($this->merc = $_merc);
    }
    /**
     * Get authReq value
     * @return TransFirstStructAuthReq|null
     */
    public function getAuthReq()
    {
        return $this->authReq;
    }
    /**
     * Set authReq value
     * @param TransFirstStructAuthReq $_authReq the authReq
     * @return TransFirstStructAuthReq
     */
    public function setAuthReq($_authReq)
    {
        return ($this->authReq = $_authReq);
    }
    /**
     * Get usrDef value
     * @return TransFirstStructNameVal|null
     */
    public function getUsrDef()
    {
        return $this->usrDef;
    }
    /**
     * Set usrDef value
     * @param TransFirstStructNameVal $_usrDef the usrDef
     * @return TransFirstStructNameVal
     */
    public function setUsrDef($_usrDef)
    {
        return ($this->usrDef = $_usrDef);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructSendTranResponse
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
