<?php
/**
 * File for class TransFirstStructSettleData
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructSettleData originally named SettleData
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructSettleData extends TransFirstWsdlClass
{
    /**
     * The tranNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{2,12}
     * @var string
     */
    public $tranNr;
    /**
     * The amt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : [0-9]{1,12}
     * @var string
     */
    public $amt;
    /**
     * The mgdSettle
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [YN]
     * @var string
     */
    public $mgdSettle;
    /**
     * Constructor method for SettleData
     * @see parent::__construct()
     * @param string $_tranNr
     * @param string $_amt
     * @param string $_mgdSettle
     * @return TransFirstStructSettleData
     */
    public function __construct($_tranNr = NULL,$_amt = NULL,$_mgdSettle = NULL)
    {
        parent::__construct(array('tranNr'=>$_tranNr,'amt'=>$_amt,'mgdSettle'=>$_mgdSettle),false);
    }
    /**
     * Get tranNr value
     * @return string|null
     */
    public function getTranNr()
    {
        return $this->tranNr;
    }
    /**
     * Set tranNr value
     * @param string $_tranNr the tranNr
     * @return string
     */
    public function setTranNr($_tranNr)
    {
        return ($this->tranNr = $_tranNr);
    }
    /**
     * Get amt value
     * @return string|null
     */
    public function getAmt()
    {
        return $this->amt;
    }
    /**
     * Set amt value
     * @param string $_amt the amt
     * @return string
     */
    public function setAmt($_amt)
    {
        return ($this->amt = $_amt);
    }
    /**
     * Get mgdSettle value
     * @return string|null
     */
    public function getMgdSettle()
    {
        return $this->mgdSettle;
    }
    /**
     * Set mgdSettle value
     * @param string $_mgdSettle the mgdSettle
     * @return string
     */
    public function setMgdSettle($_mgdSettle)
    {
        return ($this->mgdSettle = $_mgdSettle);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructSettleData
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
