<?php
/**
 * File for class TransFirstStructShip
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructShip originally named Ship
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructShip extends TransFirstWsdlClass
{
    /**
     * The fullName
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 61
     * - minLength : 1
     * - pattern : .{1,61}
     * @var string
     */
    public $fullName;
    /**
     * The addrLn1
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 50
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $addrLn1;
    /**
     * The addrLn2
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 50
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $addrLn2;
    /**
     * The city
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 40
     * - minLength : 1
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]+
     * @var string
     */
    public $city;
    /**
     * The state
     * @var TransFirstEnumState
     */
    public $state;
    /**
     * The zipCode
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - pattern : [a-zA-Z0-9 !"#$%&'\(\)\*\+,\-\./:;<=>\?@\[\\\]\^_`\{\|\}~]{1,9}
     * @var string
     */
    public $zipCode;
    /**
     * The phone
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 15
     * - minLength : 10
     * - pattern : .+
     * @var string
     */
    public $phone;
    /**
     * The email
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=1}
     * - maxLength : 75
     * - minLength : 1
     * - pattern : [a-zA-Z0-9._%+\-]+@[a-zA-Z0-9.\-]+\.[a-zA-Z0-9]+
     * @var string
     */
    public $email;
    /**
     * Constructor method for Ship
     * @see parent::__construct()
     * @param string $_fullName
     * @param string $_addrLn1
     * @param string $_addrLn2
     * @param string $_city
     * @param TransFirstEnumState $_state
     * @param string $_zipCode
     * @param string $_phone
     * @param string $_email
     * @return TransFirstStructShip
     */
    public function __construct($_fullName = NULL,$_addrLn1 = NULL,$_addrLn2 = NULL,$_city = NULL,$_state = NULL,$_zipCode = NULL,$_phone = NULL,$_email = NULL)
    {
        parent::__construct(array('fullName'=>$_fullName,'addrLn1'=>$_addrLn1,'addrLn2'=>$_addrLn2,'city'=>$_city,'state'=>$_state,'zipCode'=>$_zipCode,'phone'=>$_phone,'email'=>$_email),false);
    }
    /**
     * Get fullName value
     * @return string|null
     */
    public function getFullName()
    {
        return $this->fullName;
    }
    /**
     * Set fullName value
     * @param string $_fullName the fullName
     * @return string
     */
    public function setFullName($_fullName)
    {
        return ($this->fullName = $_fullName);
    }
    /**
     * Get addrLn1 value
     * @return string|null
     */
    public function getAddrLn1()
    {
        return $this->addrLn1;
    }
    /**
     * Set addrLn1 value
     * @param string $_addrLn1 the addrLn1
     * @return string
     */
    public function setAddrLn1($_addrLn1)
    {
        return ($this->addrLn1 = $_addrLn1);
    }
    /**
     * Get addrLn2 value
     * @return string|null
     */
    public function getAddrLn2()
    {
        return $this->addrLn2;
    }
    /**
     * Set addrLn2 value
     * @param string $_addrLn2 the addrLn2
     * @return string
     */
    public function setAddrLn2($_addrLn2)
    {
        return ($this->addrLn2 = $_addrLn2);
    }
    /**
     * Get city value
     * @return string|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param string $_city the city
     * @return string
     */
    public function setCity($_city)
    {
        return ($this->city = $_city);
    }
    /**
     * Get state value
     * @return TransFirstEnumState|null
     */
    public function getState()
    {
        return $this->state;
    }
    /**
     * Set state value
     * @uses TransFirstEnumState::valueIsValid()
     * @param TransFirstEnumState $_state the state
     * @return TransFirstEnumState
     */
    public function setState($_state)
    {
        if(!TransFirstEnumState::valueIsValid($_state))
        {
            return false;
        }
        return ($this->state = $_state);
    }
    /**
     * Get zipCode value
     * @return string|null
     */
    public function getZipCode()
    {
        return $this->zipCode;
    }
    /**
     * Set zipCode value
     * @param string $_zipCode the zipCode
     * @return string
     */
    public function setZipCode($_zipCode)
    {
        return ($this->zipCode = $_zipCode);
    }
    /**
     * Get phone value
     * @return string|null
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param string $_phone the phone
     * @return string
     */
    public function setPhone($_phone)
    {
        return ($this->phone = $_phone);
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $_email the email
     * @return string
     */
    public function setEmail($_email)
    {
        return ($this->email = $_email);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructShip
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
