<?php
/**
 * File for class TransFirstStructTax
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructTax originally named Tax
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructTax extends TransFirstWsdlClass
{
    /**
     * The idcr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [0-2]
     * @var int
     */
    public $idcr;
    /**
     * The amt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : [0-9]{1,12}
     * @var string
     */
    public $amt;
    /**
     * Constructor method for Tax
     * @see parent::__construct()
     * @param int $_idcr
     * @param string $_amt
     * @return TransFirstStructTax
     */
    public function __construct($_idcr = NULL,$_amt = NULL)
    {
        parent::__construct(array('idcr'=>$_idcr,'amt'=>$_amt),false);
    }
    /**
     * Get idcr value
     * @return int|null
     */
    public function getIdcr()
    {
        return $this->idcr;
    }
    /**
     * Set idcr value
     * @param int $_idcr the idcr
     * @return int
     */
    public function setIdcr($_idcr)
    {
        return ($this->idcr = $_idcr);
    }
    /**
     * Get amt value
     * @return string|null
     */
    public function getAmt()
    {
        return $this->amt;
    }
    /**
     * Set amt value
     * @param string $_amt the amt
     * @return string
     */
    public function setAmt($_amt)
    {
        return ($this->amt = $_amt);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructTax
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
