<?php
/**
 * File for class TransFirstStructTranData
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructTranData originally named TranData
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructTranData extends TransFirstWsdlClass
{
    /**
     * The swchKey
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 32
     * - minLength : 1
     * - pattern : \w+
     * @var string
     */
    public $swchKey;
    /**
     * The tranNr
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{2,12}
     * @var string
     */
    public $tranNr;
    /**
     * The dtTm
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var dateTime
     */
    public $dtTm;
    /**
     * The amt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxLength : 12
     * - minLength : 1
     * - pattern : [0-9]{1,12}
     * @var string
     */
    public $amt;
    /**
     * The stan
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : \d{6}
     * @var string
     */
    public $stan;
    /**
     * The auth
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : .{1,6}
     * @var string
     */
    public $auth;
    /**
     * Constructor method for TranData
     * @see parent::__construct()
     * @param string $_swchKey
     * @param string $_tranNr
     * @param dateTime $_dtTm
     * @param string $_amt
     * @param string $_stan
     * @param string $_auth
     * @return TransFirstStructTranData
     */
    public function __construct($_swchKey = NULL,$_tranNr = NULL,$_dtTm = NULL,$_amt = NULL,$_stan = NULL,$_auth = NULL)
    {
        parent::__construct(array('swchKey'=>$_swchKey,'tranNr'=>$_tranNr,'dtTm'=>$_dtTm,'amt'=>$_amt,'stan'=>$_stan,'auth'=>$_auth),false);
    }
    /**
     * Get swchKey value
     * @return string|null
     */
    public function getSwchKey()
    {
        return $this->swchKey;
    }
    /**
     * Set swchKey value
     * @param string $_swchKey the swchKey
     * @return string
     */
    public function setSwchKey($_swchKey)
    {
        return ($this->swchKey = $_swchKey);
    }
    /**
     * Get tranNr value
     * @return string|null
     */
    public function getTranNr()
    {
        return $this->tranNr;
    }
    /**
     * Set tranNr value
     * @param string $_tranNr the tranNr
     * @return string
     */
    public function setTranNr($_tranNr)
    {
        return ($this->tranNr = $_tranNr);
    }
    /**
     * Get dtTm value
     * @return dateTime|null
     */
    public function getDtTm()
    {
        return $this->dtTm;
    }
    /**
     * Set dtTm value
     * @param dateTime $_dtTm the dtTm
     * @return dateTime
     */
    public function setDtTm($_dtTm)
    {
        return ($this->dtTm = $_dtTm);
    }
    /**
     * Get amt value
     * @return string|null
     */
    public function getAmt()
    {
        return $this->amt;
    }
    /**
     * Set amt value
     * @param string $_amt the amt
     * @return string
     */
    public function setAmt($_amt)
    {
        return ($this->amt = $_amt);
    }
    /**
     * Get stan value
     * @return string|null
     */
    public function getStan()
    {
        return $this->stan;
    }
    /**
     * Set stan value
     * @param string $_stan the stan
     * @return string
     */
    public function setStan($_stan)
    {
        return ($this->stan = $_stan);
    }
    /**
     * Get auth value
     * @return string|null
     */
    public function getAuth()
    {
        return $this->auth;
    }
    /**
     * Set auth value
     * @param string $_auth the auth
     * @return string
     */
    public function setAuth($_auth)
    {
        return ($this->auth = $_auth);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructTranData
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
