<?php
/**
 * File for class TransFirstStructTranFlags
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructTranFlags originally named TranFlags
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructTranFlags extends TransFirstWsdlClass
{
    /**
     * The dupChkTmPrd
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 86400
     * - minInclusive : 1
     * - pattern : \d{1,5}
     * @var int
     */
    public $dupChkTmPrd;
    /**
     * The revAuthOnVoid
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - maxInclusive : 1
     * - minInclusive : 0
     * - pattern : \d{1}
     * @var int
     */
    public $revAuthOnVoid;
    /**
     * The rsbmt
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [YN]
     * @var string
     */
    public $rsbmt;
    /**
     * The mgdSettle
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [YN]
     * @var string
     */
    public $mgdSettle;
    /**
     * The convFeeAcptd
     * Meta informations extracted from the WSDL
     * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
     * - pattern : [YN]
     * @var string
     */
    public $convFeeAcptd;
    /**
     * Constructor method for TranFlags
     * @see parent::__construct()
     * @param int $_dupChkTmPrd
     * @param int $_revAuthOnVoid
     * @param string $_rsbmt
     * @param string $_mgdSettle
     * @param string $_convFeeAcptd
     * @return TransFirstStructTranFlags
     */
    public function __construct($_dupChkTmPrd = NULL,$_revAuthOnVoid = NULL,$_rsbmt = NULL,$_mgdSettle = NULL,$_convFeeAcptd = NULL)
    {
        parent::__construct(array('dupChkTmPrd'=>$_dupChkTmPrd,'revAuthOnVoid'=>$_revAuthOnVoid,'rsbmt'=>$_rsbmt,'mgdSettle'=>$_mgdSettle,'convFeeAcptd'=>$_convFeeAcptd),false);
    }
    /**
     * Get dupChkTmPrd value
     * @return int|null
     */
    public function getDupChkTmPrd()
    {
        return $this->dupChkTmPrd;
    }
    /**
     * Set dupChkTmPrd value
     * @param int $_dupChkTmPrd the dupChkTmPrd
     * @return int
     */
    public function setDupChkTmPrd($_dupChkTmPrd)
    {
        return ($this->dupChkTmPrd = $_dupChkTmPrd);
    }
    /**
     * Get revAuthOnVoid value
     * @return int|null
     */
    public function getRevAuthOnVoid()
    {
        return $this->revAuthOnVoid;
    }
    /**
     * Set revAuthOnVoid value
     * @param int $_revAuthOnVoid the revAuthOnVoid
     * @return int
     */
    public function setRevAuthOnVoid($_revAuthOnVoid)
    {
        return ($this->revAuthOnVoid = $_revAuthOnVoid);
    }
    /**
     * Get rsbmt value
     * @return string|null
     */
    public function getRsbmt()
    {
        return $this->rsbmt;
    }
    /**
     * Set rsbmt value
     * @param string $_rsbmt the rsbmt
     * @return string
     */
    public function setRsbmt($_rsbmt)
    {
        return ($this->rsbmt = $_rsbmt);
    }
    /**
     * Get mgdSettle value
     * @return string|null
     */
    public function getMgdSettle()
    {
        return $this->mgdSettle;
    }
    /**
     * Set mgdSettle value
     * @param string $_mgdSettle the mgdSettle
     * @return string
     */
    public function setMgdSettle($_mgdSettle)
    {
        return ($this->mgdSettle = $_mgdSettle);
    }
    /**
     * Get convFeeAcptd value
     * @return string|null
     */
    public function getConvFeeAcptd()
    {
        return $this->convFeeAcptd;
    }
    /**
     * Set convFeeAcptd value
     * @param string $_convFeeAcptd the convFeeAcptd
     * @return string
     */
    public function setConvFeeAcptd($_convFeeAcptd)
    {
        return ($this->convFeeAcptd = $_convFeeAcptd);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructTranFlags
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
