<?php
/**
 * File for the class which returns the class map definition
 * @package TransFirst
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * Class which returns the class map definition by the static method TransFirstClassMap::classMap()
 * @package TransFirst
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstClassMap
{
    /**
     * This method returns the array containing the mapping between WSDL structs and generated classes
     * This array is sent to the SoapClient when calling the WS
     * @return array
     */
    final public static function classMap()
    {
        return array (
  'AchEcheck' => 'TransFirstStructAchEcheck',
  'AchResponse' => 'TransFirstStructAchResponse',
  'AdditionalAmount' => 'TransFirstStructAdditionalAmount',
  'AuthReq' => 'TransFirstStructAuthReq',
  'AuthRsp' => 'TransFirstStructAuthRsp',
  'BaseFaultType' => 'TransFirstStructBaseFaultType',
  'BillShip' => 'TransFirstStructBillShip',
  'Card' => 'TransFirstStructCard',
  'Contact' => 'TransFirstStructContact',
  'Cust' => 'TransFirstStructCust',
  'CustCrta' => 'TransFirstStructCustCrta',
  'DriversLicense' => 'TransFirstStructDriversLicense',
  'Echeck' => 'TransFirstStructEcheck',
  'FndRecurrProfRequest' => 'TransFirstStructFndRecurrProfRequest',
  'FndRecurrProfResponse' => 'TransFirstStructFndRecurrProfResponse',
  'Identity' => 'TransFirstStructIdentity',
  'LineItem' => 'TransFirstStructLineItem',
  'Merc' => 'TransFirstStructMerc',
  'NameVal' => 'TransFirstStructNameVal',
  'Phone' => 'TransFirstStructPhone',
  'Pmt' => 'TransFirstStructPmt',
  'PmtCrta' => 'TransFirstStructPmtCrta',
  'Pos' => 'TransFirstStructPos',
  'Prod' => 'TransFirstStructProd',
  'ProdCrta' => 'TransFirstStructProdCrta',
  'ProdData' => 'TransFirstStructProdData',
  'ProdInfo' => 'TransFirstStructProdInfo',
  'PurcCard' => 'TransFirstStructPurcCard',
  'PurcCardTax' => 'TransFirstStructPurcCardTax',
  'Recur' => 'TransFirstStructRecur',
  'RecurMan' => 'TransFirstStructRecurMan',
  'RecurPmt' => 'TransFirstStructRecurPmt',
  'RecurProf' => 'TransFirstStructRecurProf',
  'RecurProfCrta' => 'TransFirstStructRecurProfCrta',
  'RecurrProfFromTranRequest' => 'TransFirstStructRecurrProfFromTranRequest',
  'RecurrProfFromTranResponse' => 'TransFirstStructRecurrProfFromTranResponse',
  'SendTranRequest' => 'TransFirstStructSendTranRequest',
  'SendTranResponse' => 'TransFirstStructSendTranResponse',
  'SettleData' => 'TransFirstStructSettleData',
  'SettleTranRequest' => 'TransFirstStructSettleTranRequest',
  'SettleTranResponse' => 'TransFirstStructSettleTranResponse',
  'Ship' => 'TransFirstStructShip',
  'Tax' => 'TransFirstStructTax',
  'TranData' => 'TransFirstStructTranData',
  'TranFlags' => 'TransFirstStructTranFlags',
  'UpdtRecurrProfRequest' => 'TransFirstStructUpdtRecurrProfRequest',
  'UpdtRecurrProfResponse' => 'TransFirstStructUpdtRecurrProfResponse',
  'accountType' => 'TransFirstEnumAccountType',
  'amountType' => 'TransFirstEnumAmountType',
  'blngCyc' => 'TransFirstEnumBlngCyc',
  'cavvRslt' => 'TransFirstEnumCavvRslt',
  'dcnt' => 'TransFirstEnumDcnt',
  'sign' => 'TransFirstEnumSign',
  'state' => 'TransFirstEnumState',
  'tranCode' => 'TransFirstEnumTranCode',
);
    }
}
