<?php
/**
 * File for class TransFirstStructUpdtRecurrProfRequest
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
/**
 * This class stands for TransFirstStructUpdtRecurrProfRequest originally named UpdtRecurrProfRequest
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.cert.transactionexpress.com:443/portal/merchantframework/MerchantWebServices-v1?xsd=3}
 * @package TransFirst
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
class TransFirstStructUpdtRecurrProfRequest extends TransFirstWsdlClass
{
    /**
     * The merc
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 1
     * @var TransFirstStructMerc
     */
    public $merc;
    /**
     * The cust
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructCust
     */
    public $cust;
    /**
     * The recurProf
     * Meta informations extracted from the WSDL
     * - maxOccurs : 1
     * - minOccurs : 0
     * @var TransFirstStructRecurProf
     */
    public $recurProf;
    /**
     * The prodData
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var TransFirstStructProdData
     */
    public $prodData;
    /**
     * Constructor method for UpdtRecurrProfRequest
     * @see parent::__construct()
     * @param TransFirstStructMerc $_merc
     * @param TransFirstStructCust $_cust
     * @param TransFirstStructRecurProf $_recurProf
     * @param TransFirstStructProdData $_prodData
     * @return TransFirstStructUpdtRecurrProfRequest
     */
    public function __construct($_merc,$_cust = NULL,$_recurProf = NULL,$_prodData = NULL)
    {
        parent::__construct(array('merc'=>$_merc,'cust'=>$_cust,'recurProf'=>$_recurProf,'prodData'=>$_prodData),false);
    }
    /**
     * Get merc value
     * @return TransFirstStructMerc
     */
    public function getMerc()
    {
        return $this->merc;
    }
    /**
     * Set merc value
     * @param TransFirstStructMerc $_merc the merc
     * @return TransFirstStructMerc
     */
    public function setMerc($_merc)
    {
        return ($this->merc = $_merc);
    }
    /**
     * Get cust value
     * @return TransFirstStructCust|null
     */
    public function getCust()
    {
        return $this->cust;
    }
    /**
     * Set cust value
     * @param TransFirstStructCust $_cust the cust
     * @return TransFirstStructCust
     */
    public function setCust($_cust)
    {
        return ($this->cust = $_cust);
    }
    /**
     * Get recurProf value
     * @return TransFirstStructRecurProf|null
     */
    public function getRecurProf()
    {
        return $this->recurProf;
    }
    /**
     * Set recurProf value
     * @param TransFirstStructRecurProf $_recurProf the recurProf
     * @return TransFirstStructRecurProf
     */
    public function setRecurProf($_recurProf)
    {
        return ($this->recurProf = $_recurProf);
    }
    /**
     * Get prodData value
     * @return TransFirstStructProdData|null
     */
    public function getProdData()
    {
        return $this->prodData;
    }
    /**
     * Set prodData value
     * @param TransFirstStructProdData $_prodData the prodData
     * @return TransFirstStructProdData
     */
    public function setProdData($_prodData)
    {
        return ($this->prodData = $_prodData);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see TransFirstWsdlClass::__set_state()
     * @uses TransFirstWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return TransFirstStructUpdtRecurrProfRequest
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
