<?php
/**
 * Test with TransFirst for 'https://ws.cert.transactionexpress.com/portal/merchantframework/MerchantWebServices-v1?wsdl'
 * @package TransFirst
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-04-07
 */
ini_set('memory_limit','512M');
ini_set('display_errors',true);
error_reporting(-1);
/**
 * Load autoload
 */
require_once dirname(__FILE__) . '/TransFirstAutoload.php';
/**
 * Wsdl instanciation infos. By default, nothing has to be set.
 * If you wish to override the SoapClient's options, please refer to the sample below.
 * 
 * This is an associative array as:
 * - the key must be a TransFirstWsdlClass constant beginning with WSDL_
 * - the value must be the corresponding key value
 * Each option matches the {@link http://www.php.net/manual/en/soapclient.soapclient.php} options
 * 
 * Here is below an example of how you can set the array:
 * $wsdl = array();
 * $wsdl[TransFirstWsdlClass::WSDL_URL] = 'https://ws.cert.transactionexpress.com/portal/merchantframework/MerchantWebServices-v1?wsdl';
 * $wsdl[TransFirstWsdlClass::WSDL_CACHE_WSDL] = WSDL_CACHE_NONE;
 * $wsdl[TransFirstWsdlClass::WSDL_TRACE] = true;
 * $wsdl[TransFirstWsdlClass::WSDL_LOGIN] = 'myLogin';
 * $wsdl[TransFirstWsdlClass::WSDL_PASSWD] = '**********';
 * etc....
 * Then instantiate the Service class as: 
 * - $wsdlObject = new TransFirstWsdlClass($wsdl);
 */
/**
 * Examples
 */


/***********************************
 * Example for TransFirstServiceSend
 */
$transFirstServiceSend = new TransFirstServiceSend();
// sample call for TransFirstServiceSend::SendTran()

$transFirstServiceSend = new TransFirstServiceSend();
// sample call for TransFirstServiceSend::SendTran()
$merchant = new TransFirstStructMerc( 
	'7777778830', //gateway id
	'M5RZH8BHXXZXKYPT'//reg key
);
$merchant->setInType( 1 );
$merchant->setProdType( 5 );
$card = new TransFirstStructCard();
$card->setPan( '4111111111111111' );
$card->setSec( '123' );
$card->setXprDt( '2011' );
$card->setDbtOrCdt( 1 );

$contact = new TransFirstStructContact();
$contact->setFirstName( 'Mitch' );
$contact->setLastName( 'Flogum' );
$contact->setFullName( 'MithcFlorum' );
$contact->setCoName( 'SportMart' );
$contact->setTitle( 'Manager' );
$contact->setPhone(
	new TransFirstStructPhone( 
		2,//phone type, "mobile"
		'250-888-1234'//phone.nr
	)	
);
$contact->setZipCode( '12345' );
$contact->setCtry( 'US' );
$contact->setEmail( 'fewfe@few.fe' );
$contact->setAddrLn1( '123 Bob st' );
$contact->setCity( 'New York' );
$contact->setState( TransFirstEnumState::VALUE_NY );
$req = new TransFirstStructSendTranRequest( 
	$merchant,
	1,//tranCode, auth & settle
	$card,
	$contact,
	100//reqAmount in minor denominations
);
$result = $transFirstServiceSend->SendTran( $req );


if( $result ){
	echo "success";
    var_dump($transFirstServiceSend->getResult());
}
else{
	echo "error";
    var_dump($transFirstServiceSend->getLastError());
	echo "last request headers:"; var_dump( $transFirstServiceSend->getSoapClient()->__getLastRequestHeaders() );
	echo "last request"; var_dump( $transFirstServiceSend->getSoapClient()->__getLastRequest() );
	echo "last response headers:";var_dump( $transFirstServiceSend->getSoapClient()->__getLastResponseHeaders() );
	echo "last response body"; var_dump( $transFirstServiceSend->getSoapClient()->__getLastResponse() );
}
die;
/*************************************
 * Example for TransFirstServiceSettle
 */
$transFirstServiceSettle = new TransFirstServiceSettle();
// sample call for TransFirstServiceSettle::SettleTran()
if($transFirstServiceSettle->SettleTran(new TransFirstStructSettleTranRequest(/*** update parameters list ***/)))
    print_r($transFirstServiceSettle->getResult());
else
    print_r($transFirstServiceSettle->getLastError());

/***********************************
 * Example for TransFirstServiceUpdt
 */
$transFirstServiceUpdt = new TransFirstServiceUpdt();
// sample call for TransFirstServiceUpdt::UpdtRecurrProf()
if($transFirstServiceUpdt->UpdtRecurrProf(new TransFirstStructUpdtRecurrProfRequest(/*** update parameters list ***/)))
    print_r($transFirstServiceUpdt->getResult());
else
    print_r($transFirstServiceUpdt->getLastError());

/**********************************
 * Example for TransFirstServiceFnd
 */
$transFirstServiceFnd = new TransFirstServiceFnd();
// sample call for TransFirstServiceFnd::FndRecurrProf()
if($transFirstServiceFnd->FndRecurrProf(new TransFirstStructFndRecurrProfRequest(/*** update parameters list ***/)))
    print_r($transFirstServiceFnd->getResult());
else
    print_r($transFirstServiceFnd->getLastError());

/*************************************
 * Example for TransFirstServiceRecurr
 */
$transFirstServiceRecurr = new TransFirstServiceRecurr();
// sample call for TransFirstServiceRecurr::RecurrProfFromTran()
if($transFirstServiceRecurr->RecurrProfFromTran(new TransFirstStructRecurrProfFromTranRequest(/*** update parameters list ***/)))
    print_r($transFirstServiceRecurr->getResult());
else
    print_r($transFirstServiceRecurr->getLastError());
